Introduction

 [Main] [Next]

Introduction

If you want to create wild and groovy Flash™ animations without using Flash™, then SWiSH is the tool for you! SWiSH is so easy to use, you'll be producing complex animations with text, images, graphics and sound in no time. SWiSH has over 150 built-in effects like Explode, Vortex, 3D Spin, Snake and many more. SWiSH has tools for creating lines, rectangles, ellipses, Bezier curves, motion paths, sprites and rollover buttons, all in an easy-to-use interface.

If you are over battling with complicated, expensive programs, use SWiSH. SWiSH takes the drama out of dramatic effects.

SWiSH exports the SWF file format used by Macromedia Flash™, so your animation will play on any machine that has the Flash™ Player installed. According to a recent survey by NPD Research that's over 96% of web users, or 334 million people!

SWiSH animations can be incorporated into any web page or imported into Flash™. They can also be sent in an email, embedded in a Microsoft PowerPoint presentation or included in a Microsoft Word document.

SWiSH v2.0 is the first major upgrade since SWiSH was born. There are hundreds of new features for you to play with.

Best of all, SWiSH is only $49.95 US Dollars. See the Purchasing SWiSH section for details.

Minimum system requirements:
· Windows 95/98/ME/NT4/2000/XP
· Pentium 100
· 32Mb of RAM
· 800x600 pixels by 256 color display
· SWiSH does NOT require Macromedia Flash be installed on your system.

Special thanks go to the SWiSH team for all their help.

[Main] [Next]


What's New in Version 2.0

 [Previous] [Main] [Next]

What's New in Version 2.0

SWiSH v2.0 is a huge upgrade from SWiSH v1.5. Here are a few of the major differences.

New User Interface
The SWiSH v2.0 User Interface consists of a collection of Panels and Toolbars. Each Panel displays a different view of the SWiSH Movie or properties of the selected object. Panels include: Layout, Outline, Timeline, Movie, Scene, Shape, Text, Transform, Color, Actions and Export. You can float or dock Panels, or group them together into a tabbed Panel, to create an overall layout that works best for you. You can also float or dock Toolbars. You can configure the Toolbars and Menus, and assign keyboard shortcut keys for any Menu command.

Drawing Tools
You can draw lines, rectangles, rounded rectangles, ellipses, circles, and Bezier shapes. Shapes can be open or filled and both the outline and fill color can be partially transparent. You can fill shapes with a flat color, a linear or radial gradient, or a clipped or tiled image. You can also change the outline line style.

Note: Image objects from SWiSH v1.5 are no longer supported in SWiSH v2.0 and are replaced automatically by rectangular shapes with an image fill

Handles and Editing Tools
You can resize objects uniformly or asymmetrically using the Select tool. You can also skew and rotate them using the Rotate tool. You can change the shape of a vector graphic and even add or remove vertices and control points using the Reshape tool and edit gradient fills using the Fill Transform tool.

Four-state (Rollover) Buttons
SWiSH v2.0 lets you easily create 'Rollover' Button Objects. A Button Object has four states: Up, Over, Down and Hit. When you play the Movie, the Up State is displayed first. Whenever you move the mouse pointer over the button, the Over State is displayed. If you press the mouse button while it is over the Button Object, the Down State is displayed. Each of these button states is a special kind of Group and can contain any number of any type of object (including Sprites, but not another button). The Hit State is never actually displayed while the Movie is playing, but specifies the active area for the button. The eye icon in the 'Outline' Panel can be used to display just the selected button state or all states at the same time.

Sprites (Movie Clips)
A Sprite is a Movie within a Movie. A Sprite has its own Timeline that plays independently of the main Timeline. You can put any kind of object inside a Sprite, including another Sprite. These objects can have Effects and Actions applied to them. You can make a Sprite either loop or play continuously. You can control how the background appears when you are editing a Sprite, the default being a checkerboard pattern. You can dynamically load another .swf file into a Sprite when the Movie is playing using the Load Movie Action.

Multiple-selection and Grouping
You can select multiple objects using Shift+click, Control+click or by dragging a rectangle to enclose the objects you want to select. These objects may then be grouped. You can select objects within a Group using Control+Shift+Click or the Outline panel, and you can edit them without breaking the Group apart. Similarly, you can select multiple Effects or Actions.

WYSIWYG Display with Zooming and Panning
SWiSH v2.0 displays all objects, including text, graphics and images, exactly as they appear in the Flash Player. You can scroll, pan and zoom in the Layout Panel.

Preview Frame Mode and Motion Paths
'Preview Frame' mode shows how the Movie will look at the current Frame. If the current Frame is a Keyframe at the end of an Effect, you can use the resizing handles to visually position/scale/rotate the object at that Frame. SWiSH v2.0 automatically 'tweens' (or interpolates) between the Keyframes. SWiSH also displays a Motion Path in the Layout Panel. This shows the movement of the selected object over time. The Motion Path can have either sharp corners or smooth curves. You can double-click in the 'Layout' panel while in 'Preview Frame' mode to add a new Keyframe to the Motion Path, or you can use the Motion Path drawing tool to simply click and draw the path for an object.

Make Changes while the Movie is Playing
You can do most editing 'live' while a Movie is playing. You rarely need to start and stop the animation in order to make changes.

SWF File Size Optimization
SWF export code now reuses font and shape definitions more efficiently and optimizes character glyphs, so they are not defined more than once in the .swf file. This results in smaller .swf files.

New Effects - Snake and Repeat Frames
There are two totally new Effects in SWiSH v2.0. These are the Snake Effect and the Repeat Frames Effect. The Snake Effect lets you specify the Motion Path and the Transform on an Effect using a repeating waveform, like a sine wave. You can use it to make objects follow, orbit, grow, shrink and so on. It is probably the most powerful of all the Complex Effects. The Repeat Frames Effect lets you repeat a given series of Effects a number of times, without having to copy and paste.

More Effect Options
Most Effects now include cascading options, where the Cascade can be in or out from the center, as well as forward and backward. You can also cascade based on x or y position and can choose whether the animation is continuous, freezes, or adds and removes components. All Complex Effects have more options, which give you greater variety and flexibility.

Color Transforms for All Effects
All Effects, including Complex Effects, include a color Transform. This allows the color of an object to change over the course of the Effect.

Save/Load Effect Settings
You can compile your own library of Effect settings. For example, you may save some explode settings under the name "Slow explode with fade and zero gravity". You can reuse these settings in another Movie, or send them to your friends.

Easing for Motion and Transform Effects
All object movements and Transforms have easing controls to accelerate/decelerate the object at the start and end of the Effect. This is reflected in the Motion Path when in 'Preview Frame' mode, giving you a visual indication of the speed of movement.

Complex Effects Applied to Groups of Objects
You can apply Complex Effects (such as Explode, Wave, Squeeze) to any Group of objects, in addition to text. For example, a Group consisting of a Bezier shape, a Text Object and an Image Object can be 'exploded'. You can also apply a Complex Effect to a Simple Object, such as a shape.

Import Vector Artwork, Animations and Images
You can import .wmf, .emf and .swf files as static-vector artwork. The artwork is imported as a Group, which can then have a Complex Effect applied to it. For example, you can import a logo and explode it. SWF files with more than one Frame can be imported as a Sprite. You can import animated .gif and .swf files as animated Sprites. Sounds and Actions are not currently imported from an external .swf file. You can import .bmp, .dib, .gif, .jpg and .png images. These become the fill patterns for vector shapes. Any file, including text files, can be imported by dragging it from Windows Explorer and dropping it on the Layout Panel.

Timeline Enhancements
All Effects now include a Keyframe mark that can be activated for visual editing with a single click. You can drag the Keyframe forward or backward, and SWiSH will automatically adjust the duration of adjacent Effects. Icons are used to differentiate Actions, and single-frame Effects, such as Place Effect and Remove Effect. The Timeline Panel also indicates the length of the Scene, the duration of Effects, and shows the Frames where objects are actually visible (i.e. if the object is invisible, the Frames are dimmed). You can adjust the vertical and horizontal scale of the 'Timeline' Panel.

Insert/Delete Frames in the Timeline
The F5 function key inserts a Frame at the selected Frame in the Timeline Panel. Shift+F5 deletes the current Frame. You can also select multiple Effects for an object and drag them backward and forward on the Timeline to change the timing and flow of the Effects.

Playback Controls
SWiSH 2 includes Play Movie, Play Scene and Play Effect commands. In 'Preview Frame' mode there are commands to step through the Movie Frame-by-frame (forward and backward), rewind to start and cue to end. You can also drag the playback head forwards and backwards on the Timeline to preview the animation.

New Color Selector
There is a vastly improved Color Selector, which displays a much larger range of websafe colors. The Color Selector includes an eyedropper to select a color from anywhere on your screen. You can also specify the Alpha transparency value.

Masks
You can specify a Sprite to be masked. The bottom-most object in the Sprite become a mask. This is a bit like watching the Sprite Movie through a cardboard cut-out. Because it is part of the Sprite, you can apply Effects and motion to the mask itself.

Convert to Button
You can convert an object into a button. The object is duplicated in the three visible states and a bordering rectangle inserted in the Hit State. You can select multiple objects and convert all of them into individual buttons. This is a quick way of creating a new button from existing objects, rather than starting from an empty button with the Insert Button command.

Convert to Sprite
You can convert any object into a Sprite. The original object is moved into the newly created Sprite maintaining its Actions and Effects.

Convert to Shapes and Convert to Letters
You can convert any object into a group of shapes. Text objects are split into individual shapes for each letter. Complex graphic objects are split into their basic elements. The Effect settings of the original object are retained and applied to the Group. You can edit the resultant shapes and even recombine them into a complex shape. In Convert to Letters, you can also split text objects into a group of letters. You can then independently change the font, color and other properties for each letter.

Group and Group as Sprite
You can group selected objects into a Group or Sprite. Any Effects applied to the original objects are maintained. If you group as a Group, then you can apply Complex Effects to the Groups as a whole. If you Group as a Sprite, the Effects of the object inside run independently of the main Timeline.

Group as Shape
You can group multiple selected objects into a complex shape. However the original Effects are lost. You can Ungroup back to separate shapes.

Sound Effects
You can control the overall volume of sounds and apply simple fade Effects. There is no envelope editor in SWiSH v2.0.

Frame Labels
Any Frame can be given a label and used as a target for Goto Frame Actions.

FS Command Action for Calling JavaScript
You can use the FS Command Action to send information to, or control the host application (typically JavaScript in a browser).

JavaScript Action
You can directly enter Javascript to execute in the host application.

Mailto Action
You can send email directly from within your Movie.

Tell Target
The Tell Target Action lets you control the main Movie or a Sprite from within another Sprite or the main Movie itself.

Scene Background Color
You can specify the background color for each individual Scene. This can be a solid color, or be partially transparent to tint the Movie background. If no color is specified, or the Scene background is 100% transparent, SWiSH v2.0 uses the Movie background instead.

Object Thumbnails in 'Outline', 'Timeline' and 'Text' Panels
These Panels can (optionally) show a thumbnail of image objects and the actual font and color of text objects.

Alignment Grid and Ruler
You can display an alignment Grid in the Layout Panel. You can configure the Grid color and spacing from the Movie Panel. You can also choose to display a Ruler on the edge of the 'Layout' Panel.

Grid and Object Snapping
You can select Grid or Snap to Grid to help you align to other objects.

Multiple Document and Window Support
SWiSH v2.0 can have multiple 'SWiSH' windows open at the same time, each showing a different SWiSH document.

Rename Objects in Outline Panel
Objects and Scenes can be renamed by clicking on the object name in the 'Outline' Panel or pressing the F2 function key.You can also edit the names of text, Scenes and Sprites in their corresponding Panels.

Object Reordering
Pressing Control+arrow keys in the Outline, Timeline, or Layout Panels moves objects up and down the stacking order. You can also drag objects up and down to reorder in the 'Outline' or 'Timeline' Panels.

Right-click Context Menus
You can select from a Menu of the most useful commands by right-clicking on an object in the Outline, Timeline, or Layout Panels.

[Previous] [Main] [Next]


Getting Started

Getting Started

A bit of history
SWiSH will allow you to create Flash content to add images, animation, sounds, and interactivity to your web site. You can use this application to create introductions, commercials, banners, menus, and complete web sites. SWiSH revolutionized the Flash industry with its first release in April 2000. For the first time, complex-text effects could be created in minutes that had previously taken hours to create in Flash. SWiSH is so intuitive and easy to use young children enjoy using it, and it is being used in schools throughout the world.

SWiSH v1.5 was the second release in July 2000, which had the added ability to include both sounds and images in the animations. SWiSH v2 has taken yet another giant step. Along with its new interface, the application has added many features to allow users to create richer and more complex animations and web sites. SWiSH developers are dedicated to keeping the application intuitive and easy enough for the non-professional to use, while adding those features most requested by professional users. If you haven't already read a list of these new features, they are listed and described in What's New in Version 2.0.

How your Movies are played on the web
SWiSH will create four files: the .swi - the file format that the application reads and writes to; the .swf - the file the Flash player reads; the HTML page or code the browser uses to display the Movie; the .avi - a video format. You can also create a stand-alone projector .exe file via the Flash Player (see the FAQ on exporting). To display your Movie on the web, you need to upload the .swf to your server. Although a .swf can be played over the web without being placed within a web page, it is typically embedded within one, so unless you know how to do this, you will want to upload the HTML page as well.

Helpful hints when creating your Movies
Flash has quickly become the technology of choice for creating rich, interactive, multimedia content for the web. Three factors that have greatly contributed to the technology's popularity are:
1. the .swf format can compress both images and sounds
2. the format allows for the inclusion/use of vector formats, scaleable graphics with very small file sizes
3. the Flash player's streaming capabilities, which allow preloading images and sounds into the visitor's browser cache, and animation to stream while playing, rather than making the visitor wait for it to fully download.

Keep in mind that, at the time of this release, most visitors are using a dial-up service to access the internet. Therefore, although your Movies will be streamed, the speed is limited. To ensure your visitors view your Movies correctly and without pauses in the flow of the animation, you will need to ask them to wait while a portion of your Movie has a chance to preload. The larger your .swf file size, the longer you will have to ask them to wait. We include a tutorial on how to make a Preloader, which gives your viewer the status on the loading .swf.

There are a number of things that you can do to keep your file sizes smaller, to minimize the time a visitor has to wait for the Movie to begin. Images, music, sound effects and animation effects all add to the file size of the .swf and can quickly increase the file size. For this reason, it is wise to consider each of the files you plan to add to your Movies. SWiSH will allow you to compress both images and sounds.

Run through the tutorials we have supplied. These examples will give you good grounding in the use of SWiSH and how to put together a SWiSH-based web site.

Don't forget that there is a lot of support available through the growing community of Support Forums for SWiSH.

Keep on SWiSH'n.

Conventions used in this manual
Throughout this manual we refer to Menu selection options in the following format - Edit | Copy (Ctrl+C). This means to select the main titlebar 'Edit' Menu and from within it, the 'Copy' option. An equivalent quick key sequence is performed by pressing the Control key (Ctrl) and the C key together.


Sample Movies

Sample SWiSH Movies

SWiSH v2 comes with a collection of samples to demonstrate various features of the application. You can see a full description of the samples in the section on the File | Samples Menu of SWiSH.


Credits

Credits

The SWiSH Team
Many hours of labor and love have gone into bringing you the latest version of SWiSH. Thanks go to the following courageous souls: David Michie, Hung-Hsin Chang, Roger Onslow, Gus Nalwan, Jason Bennett, John Collingwood-Smith, Hugh Boyd, Caitlin McKelvey, Susannah Huntington, Nathalie Albouze, Andrew Glover, Lana Khoury, David Petley, Dawn Barrie, Jon Herron, Deborah McRitchie and Simon Collingwood-Smith.

External Credits
SWiSH is a Macromedia Flash-enabled application. SWiSH incorporates the Flash Player which enables it to preview .swf animations without launching an external player or browser.

SWiSH incorporates the LAME MP3 Encoder. LAME is distributed under the GNU Library General Public License. The LAME source code can be downloaded here.

This Help File was made with EC Software Help & Manual.
The SWiSH installer was created using MindVision Installer VISE.
Thank you to Flash Kit for hosting the Swish Support Forum.

Ó Copyright SWiSHzone.com Pty. Ltd. 2002

SWiSH2 Help Manual
Third 1.03 (v2.01 - Oct 2002) - minor revisions / SWiSHloc support changes
Second 1.02 (v2.0 - Dec 2001) - minor revisions
First Release 1.01 (v2.0 - Aug 2001)


Purchasing and Licensing

Purchasing and Licensing

Most SWiSHzone.com products are protected from piracy by a software licensing system.

Depending on the product, a free trial period is normally allowed. The trial period (if enabled) will give you sufficient time to fully evaluate the terrific value of our products.

To activate your free trial, you will need to obtain a trial Site Key. See the Trial License section for more information.

You can purchase the product before or after the trial period has expired, but once the trial period has expired you will no longer be able to use this product on your computer on a trial basis.

To purchase the product, see the Registration section for more information.

SWiSHzone.com works hard to produce reasonably priced software. In addition to our reasonable prices, there are additional discount options for network-license versions and educational users. Look for details at www.swishzone.com or contact Sales and explain your requirements. There is sure to be a solution to suit your needs.

Please refer to the following sections for assistance:

· Register gives detailed instructions on how to access the Unlock web page. From that page it is possible to purchase and / or obtain Site Keys. An overview of the purchasing and licensing options is presented on our purchase pages.
· Licensing notice explains how to get information on your license and our licensing policy
· Network License can be used if you want to run SWiSH over a network

Finally, we have a list of the most frequently asked questions on licensing and the protection system.


Frequently Asked Questions

Frequently Asked Questions

How do I update my software?
If an update for the program is available for download or on CD, follow the instructions supplied.
In all cases, please run the installer. Do not copy SZP .exe's directly between machines as this may cause incomplete copies or other errors.

I used to work on two computers (home and office). Can I install my software on both computers?
You are entitled to a License for home and office. Follow the instructions in the Register section to generate a second Site Key for your software. This policy does not apply when a multi user network license has been purchased.

Can I just copy my SWiSHzone program to another computer?
No. The copy protection software will prevent the second copy from working. You can however register two copies according to our home and office policy described above. Run the installation program on the second computer then follow the instructions in the Register section of this document.

Can I run my single user license copy on a network drive?
Yes. However each machine that references the installed program will require a local installation (possibly to the same network drive) and a local license.

What happens to the protection software when my computer HDD crashes and is replaced by a new one?
Follow the instructions in the Register section.

Is a Site key required during the free trial period?
Yes, Follow the instructions in the Trial License section.

What is my Site Code?
See Site Code.

What is my Site Key?
See Site Key.

How can I obtain a Site Key?
Go to the unlock page. This page can be accessed via the "Get Free Trial Key" or "Register" buttons of the 'Unlock' window.

I received the Site Key, but I can not see the difference between the number 0 and the letter O.
Because of the length of the Site Key, we recommend that cut and paste be used to transfer the site key.

Why can't I use the same Site Key multiple times?
The Site Code generated during the installation of the software depends on the computer. A new Site Code is generated if you install the software on another computer. Consequently, you cannot use the same Site Key for another computer. It is the Site Key that permits starting and using the application after the trial period.

For some reason I need to re-install my software. What happens with the Site Key?
If needed, go to the unlock page. This page can be accessed via the "Try" or "Unlock" buttons of the 'Unlock' window.

I want to license a machine that is not connected to the internet?
Paste the Site Code displayed in the 'Unlock' window to a text file and transfer that file to a computer that is connected to the internet. Access the Unlock web page and use the Site Code from the text file. Paste the resulting Site Key back into the text file and transfer back to the original computer.

I still need help...
If your questions are not answered here, contact your dealer or connect to the internet and use the "Try" or "Unlock" button to access the unlock page. From this web page, follow the Help link.

Please include the following information if available.
· The email address that you registered SWiSH under.
· World pay reciept ID number.
· Operating system, 95 / 98 / ME / NT / Win2k / XP

Please also state:
· If you have previously un-installed SWiSH
· Anything unusual about your system, huge disks, dual processors etc.


Trial License

Trial License

A trial License allows the user to evaluate the SWiSHzone.com product for a limited time. Typically, the evaluation period will be for 15 days or 45 invocations (which ever occurs first).

Note: Some SWiSHzone products do not come with a Free Trial Period. See here for more information.

If you are already using a trial license and would like to find out about obtaining an unlimited license, see Registration for more information.

When first installed, the product will be unlicensed. (See No License).

To obtain a trial license, connect to the internet and press the "Try" button. This will activate a web page to obtain a trial Site Key that is matched to your Site Code.

Please read the Notes section for important information about when the trial commences, activation time and issues relating to multi user use on NT / Windows2000 / XP machines.

Pasting a valid Site Key into the edit box will cause the Site Key OK dialog to be displayed. Pressing Continue will activate the product.

While using a trial license, a 'Unlock' window will be displayed during startup. This window allows displays the current trial license status and gives opportunity to purchase and register the product. See Registration for more information.


Notes

Notes

· Some SWiSHzone.com products are not available for trial use. See here for more information.
· Only 1 Trial Key will be issued to each computer. Support will NOT issue replacement trial keys.
· The trial period commences when the Site Key is first activated (pasted into the Site Key edit box).
· The available invocations will only decrement if the SZP is used. Pressing the cancel (x) button of the Unlock Window will allow viewing of license status without running the SZP and subsequent decrement of the available invocations.
· The Trial Site Key should be activated within 2 days. There is a timeout period, after which the site key will become invalid.
· Ensure that the date on your computer system is set to the correct date when activating the site key. Dates set in the future or in the past will invalidate the site key.
· When installed on a NT / Windows2000 / XP system, only the user that installs the SZP will be licensed to trial it. Other users attempting to run the installed product on the same computer using a different login will receive a status number 1011 indicating that the product is unlicensed. This WILL INVALIDATE the Trial Key for ALL users. (This limitation only applies to trial licenses, not Unlimited Site Keys.)
· See the first note above. Trial Keys will not be re-issued because of failure to follow the above suggestions.


Products Without Free Trial

Products Without Free Trial

Some SWiSHzone.com products do not come with a free trial period.

The Product Splash Image will indicate if a free trial period is available for the product you are using. If a trial is not available, the "Try" button will not be visible.

The following SWiSHzone products do not have a free trial period:
· SWiSHsites


No License

No License

After installing the product, one of the following windows will be displayed if no previous license was found.

This window above indicates that a trial license is allowed for the product.
To obtain your trial license you will need to:
· Connect to the internet.
· Activate the unlock web page via the "Try" button.
· Paste the Site Key that was obtained from the web page into the Site Key Edit Box.

The window above indicates that a trial license is not available for the product.
If you have already purchased the product, you can unlock the product by pressing the "Unlock" button.
Once you have recieved your Site Key, use copy and paste commands to Paste it into the Site Key Edit Box.
If you have not purchased the product, you can access our web based purchase pages by pressing the "Buy" button.


Paste Unlock Key

Paste Unlock Key

Once a Site Key has been copied to the clipboard, Button B1 will change to a "Paste Key" button.

The Site Key can be pasted by pressing the "Paste Key" button or using standard paste procedure so that the Site Key is pasted into the "Site Key Edit Box".


Site Key OK

Site Key OK

If the Site Key is valid, the following window will be displayed:

Press OK to remove the Congratulations dialog. The appliation will then start.
On subsequent invociations, press the Continue button to use the application.


Trial has ended

Trial has ended

After the trial has ended the Unlock Window will appear as shown below.
Note that the Get Free Trial / Continue button is missing (no longer entitled to free trial).

To continue using the SZP, use the "Buy" button to purchase then obtain an Unlimited Site Key using the "Unlock" button.


Licensing Notice

Licensing Notice

Unless registered, the Product will cease to function after the trial period indicated on the start-up splash screen. No data is lost or destroyed when the trial period expires. Licensed (Registered) users can unlock their software on a permanent basis anytime during or after the trial period. Detailed information on unlocking the product can be found in this manual.

The 'Unlock' window CANNOT be accessed while the Product is in use. The 'Unlock' window will be displayed each time the product starts if using a Trial License. The 'Unlock' window will also be displayed if the license has expired or been made invalid for some reason.

The CD-ROM or download installers DO NOT self-destruct after the application is installed. They can be used to install the Product on an infinite number of PCs. However each PC will require either a trial or unlimited license to run. We encourage potential customers to install the product on multiple PCs for evaluation purposes. Keep in mind, however, that you must purchase a license for each PC you wish to run the Product on a permanent basis.

Variations from the aforementioned policy will be at the sole discretion of SWiSHzone.com Pty. Ltd.


Registration

Registration

To remove the time or runs limitation of the trial license, or to re-activate the product once the trial period has expired, it is necessary to purchase an unlimited license and install an Unlimited Site Key.

When the product runs using a trial license, the dialog in the Start up with trial license section is displayed. This dialog allows the user to see the current license status.

You can access the purchase pages using the "Buy" button. Once you have purchased a license, that license will be associated with your email address. Using your email address, you can then generate an Unlimited Site Key which will permanently enable the product.

To purchase the product, use the "Buy" button to access our web based shopping pages.
To Unlock the product, use the "Unlock" button to obtain an Unlimited Site Key. This can also be used to re-license the product after some error.

See the Register section for more information.


Start up with trial license

Start up with trial license

While running with a trial key, the following dialog will be displayed each time the product starts. Press the Continue button to use the application.

The dialog also shows the time and runs remaining on the trial license.
To purchase an unlimited license, connect to the web and press the Register button.


Unlock

Unlock

Press the "Unlock" button of the 'Unlock' window to open a browser window that attempts to connect to the Unlock web page. This will also re-enable the Site Key Edit Box allowing a new site key to be pasted.

If connection is successful, the page will request the Site Code and the registered email address.

If you accessed the unlock page via the "Unlock" button, your current site code should have been automatically entered into the unlock page. This can be ammended if necessary.

If the registered user owns a valid license, a site key will be created and emailed to the registered email address.


Notes

Notes

When using NT / Windows2000 / XP, installation of the SZP and subsequent activation of the Unlimited Site Key by an administrator account will allow all uses of the system to use the SZP on that computer.
Installation and activation of the SZP by non adminsitrator accounts is possible. However, the license will only be useable by that user.
Upgrading the operating system, changing hardware or reformatting disk drives may cause a previously licensed system to become unlicensed. Follow the procedure in Register to obtain a new key.


Problems

Problems

If you encounter problems during the licensing / unlock process, connect to the web and press the "Try" or "Unlock" buttons to access the unlock page. From this web page, follow the Help link.

This is the preferred method of accessing the help page as it will transfer important information about your Site code and error number to our support staff.

Alternatively, you can contact our support staff via http://support.swishzone.com/support.asp


Network License

Network License

SWiSHloc supports network licenses.
This type of licensing requires a network server which should be running NT, Windows2000 or XP.
Client machines can run 95, 98, NT, Windows2000 or XP.
The network must support TCP/IP.

This type of setup is normally very attractive for large office or teaching institutions as the site key used by each of the client machines is identical.

The cost of a network license is identical to the equivalent number of single user licenses. Volume discounts still apply.

Detailed installation instructions and various network tools are included with the network installation package.

Because of the general complexity in setting up network solutions, the network installation package is not available automatically from our web site. Please contact Support with your requirements.

After analysing your requirements, If a network solution sounds like a useful solution, we will send you the network installation package.

Network licenses will not be supplied for sites with less than 5 seats (licensed users).


SWiSHloc

SWiSHloc

SWiSHloc is the copy protection system used to protect a number of SWiSHzone Products.


SWiSHzone Product

SWiSHzone Product

SWiSHzone.com produces a number of products.
For the purposes of this document, a SWiSHzone Product (sometimes referred to as SZP) is any product that uses the SWiSHloc method of copy protection.


Registered Email Address

Registered Email Address

The Registered Email Address is the email address that was used when a Registered User purchases the product.
The registered email address is used to track registered users on our database. The registered email address is also used to determine license ownership and consequently associated Site Key generation
permissions.


Registered User

Registered User

A Registered User is a user that has a valid license for the SZP. Licenses can be obtained by purchasing the product.

A registered user with a valid license can visit the Unlock web page to obtain an Unlimited Site Key that will allow them to unlock their product on a permanent basis.


Site Code

Site Code

A Site Code is used to identify a computer.

The Site Code is a 32 character string that is displayed in the 'Unlock' window.
An example site code is S18848NNK6189N93L22W86FTA8EJ4729

A corresponding Site Key available from our Unlock web page will unlock the application.


Site Key

Site Key

A Site Key is an encrypted string that is created to match the Site Code.
The Site Key is often referred to as the "Unlock Key". It contains information about the particular type of license a user owns.
A Trial Site Key is a special key that allows timed use of the product.
Once license ownership has been verified, the program is unlocked according to the license constraints.

The Site Key is a long character string enclosed by {}.
An example Site key is

{SH44VGGR9R66TFK2WETCAWCSK7SBKZQTUS44UUWEYBNY7GK9MTMG6DJWHP
WCFF72BJMWBR3PZLMQ6C8KJ55UQN9B7A872WWS82WCMN4VJCBLBJNMTJ4X}

When pasting the Site key, include the opening and closing {}.


Site Key Activation

Site Key Activation

The process of pasting a valid Site Key into the Site Key Edit box that is displayed in the Unlock window.


Trial Site Key

Trial Site Key

A Trial Site Key is a key that is free issued to computers that are not shown as having previously been issued with a trial key.
The Trial Site Key limits program use according to both time period and invocations. (Typically 15 days / 45 invocations, which ever occurs first).
Otherwise, the program is fully functional.

See the notes section for other special requirements assocated with trial keys.


Try Button

Try Button

This is button B1 of the Unlock Window. Note that this button is only visible after a fresh installation of the product.
Use this button to open the Unlock Web Page and obtain a Trial Site Key.

When this button is used to open the Unlock Web Page, your Site Code will be sent to the website eliminating the need to re-type the Site Code.

In some cases, the button may fail to function correctly because it is unable to determine the location of a default web browser.
The computer should be connected to the Web prior to pressing this button.

Note: Some SWiSHzone products do not come with a Free Trial Period. See here for more information.


Unlock Button

Unlock Button

This is button B3 of the Unlock Window.
Use this button to open the Unlock Web Page and obtain a Unlimited Site Key.

When this button is used to open the Unlock Web Page, your Site Code will be sent to the website eliminating the need to re-type the Site Code.

In some cases, the button may fail to function correctly because it is unable to determine the location of a default web browser.
The computer should be connected to the Web prior to pressing this button.


Unlimited Site Key

Unlimited Site Key

An Unlimited Site Key is a Site Key that indicates that the user owns an unlimited license for the product. When this Key is entered, the trial key time / invocations limitations are removed.

Once an unlimited Site Key has been entered, the Unlock dialog will no longer appear unless some error or machine re-configuration invalidates the license.


Unlock web page

Unlock web page

The web page http://support.swishzone.com/unlock.asp can be used to obtain Trial and Unlimited Site Keys.

This page can be accessed from the Unlock Window via the "Try" or "Unlock" buttons.

If possible, access the page using the "Try" or "Unlock" buttons as this will automatically transfer your site code to the web page.

Note that Unlimited Site Keys are only available to Registered Users and the Unlock web page will require your Registered Email Address to produce one of those Keys.


Unlock Window

Unlock Window

This is the main SWiSHloc dialog window.

This window provides allows you to:
Unlock your SZP by pasting an appropriate Site Key into the Site Key Edit Box.
· View the current license status (If license is valid, press "Continue", button (B1) to start the SZP.)
· Obtain a Trial Site Key via the "Try" button, (B1).
· Purhcase the application via the "Buy" button, (B2).
· Obtain an Unlimited Site Key via the "Unlock" button, (B3).

If the product is using a trial license or is currently unlicensed, the Unlock window will appear each time the SZP is started.

Product Splash Image
This image identifies the product. The text indicates if a trial period is normally available for the product.

Site Key Edit Box
This Edit Box allows the pasting of Site Keys. After a valid site key has been entered, the edit box will become disabled.

Site Code
The site code for the product and your computer is displayed here.

Computers that are not connected to the internet can be licensed by transferring the Site Code (use cut and paste) to a text file which is then transferred to another computer that has internet access. From the internet connected computer, access the Unlock web page and obtain a Site Key using the Site Code from the text file. Paste that Site key to a text file and transfer back to the original comupter.

Status Description
The current license status:
Unlicensed, Trial License, Unlimited etc.

Status #
A code indicating the current license status. Support staff will find this number useful.

Status bar
A graphical bar that indicates the % of time / runs available with a trial license.

B1 (Try / Paste / Continue)
If the product is unlicensed and this is the first installation, the button will have the caption "Try". Press this button to access the Unlock web page to obtain your free trial key.

Note: Some SWiSHzone products do not come with a Free Trial Period. See here for more information. In this case the "Try" Button will not be visible.

If a Unlock Key has been pasted to the clipboard, the button will change to a "Paste" button, allowing the pasting of the Unlock key.

If the product is licensed, the button will have the caption "Continue". Pressing this button will start the SZP.

B2 (Buy)
Use this button to contact access our electronic store. The user should be connected to the Web before using this button.

B3 (Unlock)
Press this button to obtain an Unlimited Site Key.
Pressing this button will re-enable the Site Key Edit Box allowing a new key to be pasted.

B4 (x)
This button will allow exit without starting the SZP. If you are using a trial license, your invocation count will not be affected. Note that the time period limitation commences once you have obtained your trial site key.


Unlock Key

Unlock Key

This is another name for Site Key.


Fundamentals

Fundamentals

This section describes the basic elements of SWiSH animation.

The animation created is called a Movie. Within each Movie is a collection of Scenes. Each Scene has a Timeline consisting of multiple Frames.

During the Timeline of each Scene, you place objects (e.g. text, images, etc.) to which you apply Effects. These Effects will start and stop at particular Frames and can be controlled by inserting Actions and Events.

In Scenes, Events occur when the Movie reaches a certain Frame. For objects, Events occur when you interact with an object using the mouse, such as rolling the mouse cursor over the object or clicking on it. An Event can trigger more than one Action. For example, when the mouse rolls over an object, the Movie can be stopped (with a Stop Action) and the browser can be told to load an URL into another Frame (with the Goto URL Action).

Actions are operations that are triggered by Events. Actions can alter the playing of the Movie, start or stop sounds, load other Movies or web pages, or communicate with the host browser or player.


Movies

Movies

A Movie is a sequence of Scenes. A Movie contains all the Scenes, objects, Effects, Events, and Actions that comprise the final animation.

Properties of a Movie (including size, Frame Rate and background color) can be edited on the Movie Panel.

A new Movie can be created by pressing the 'New' button on the Standard Toolbar, or by selecting New from the File Menu. Scenes can be added to a Movie by pressing the 'Insert Scene' button on the Insert Toolbar, or by selecting Scene from the Insert Menu.

Movies can be saved to disk (as a .swi file) by pressing the 'Save' button on the Standard Toolbar, or by selecting Save from the File Menu. Existing Movies can be read from disk by pressing the 'Open' button on the Standard Toolbar, or by selecting Open from the File Menu.

Movies can be exported to the Shockwave Flash format (.swf) or Video format (.avi) by pressing the 'Export to SWF' or 'Export to AVI' buttons on the Export Toolbar, or by selecting Export from the File Menu. You can also export to projector (.exe) by selecting 'In Player' from the Test sub-menu of the File Menu, then using File | Create Projector in the Flash Player.

Note: SWiSH v2 cannot read or write .fla files because .fla is a proprietary format owned by Macromedia


Scenes

Scenes

A Scene is a collection of objects that are animated over a number of Frames. When a Scene is complete, all the objects are removed from the display and the Movie automatically moves to the next Scene.

A new Scene can be created by pressing the 'Insert Scene' button on the Insert Toolbar, or by selecting Scene from the Insert Menu. Objects can be added to the Scene by pressing one of the buttons on the Insert Toolbar, by selecting options from the Insert Menu, or by using one of the drawing tools in the Toolbox on the Layout Panel.

If no object in the Scene is selected, the Object Panel displays the Scene Panel. You can use the 'Scene' Panel to set the name of the Scene, the background color of the Scene, as well as an URL to link to when the Scene is clicked.

Each Scene has its own Timeline which can be edited using the Timeline Panel. You can also use the Timeline to co-ordinate and combine animations of different objects.


Timeline and Frames

Timeline and Frames

Each Scene is made up of a series of Frames, in the same way that a motion picture is made up of Frames. The Timeline Panel shows a visual representation of the Frames with the first Frame at the left and last Frame at the right.

The top row shows the Frame Actions for the Scene. These Actions are executed when the Movie reaches the Frame where the Action is located. Frame Actions always have a duration of one Frame, but you can execute more than one Action in a single Frame.

The rows below the Scene row represent the objects in the Scene. The rows are displayed in stacking order, with the object that is in front of all other objects displayed at the top (just below the scene row), and the object that is behind all other objects displayed at the bottom.

Each object row shows the Effects that are applied to that object. Effects may have a duration of one or more Frames, but only one Effect can be applied to an object at any given Frame.

The amount of time a single Frame is displayed is controlled by the 'Frame Rate' field on the Movie Panel. The Frame Rate is measured in Frames-per-second. A high 'Frame Rate' value (e.g. 20) will produce a fast-running Movie. A low 'Frame Rate' value (e.g. 1) will produce a slow-running Movie. The Frame Rate is a maximum rate only. The speed of the Movie is limited by the power of the CPU playing the Movie and may vary from Frame to Frame depending on the complexity of the animation. See the FAQ on performance for more information

Note: A Scene contains one Frame until you add an Effect or Action


Objects

Objects

SWiSH supports two types of object inside a Scene:

· Simple Objects
· Complex Objects.

A Simple Object is a single indivisible entity. The following objects are Simple Objects:

· Shape Objects
· Button Objects
· Sprite Objects
· Instance Objects.

A Complex Object is made up of many shapes. The following objects are Complex Objects:

· Text Objects
· Group Objects.


Simple Objects

Simple Objects

A Simple Object is a single indivisible shape, unlike a Complex Object, which is made up of many component objects.

You can apply both Simple Effects and Complex Effects to a Simple Object. However, any Complex Effect will behave as though the object has a single component.

The following objects are Simple Objects:
· Shape Objects
· Button Objects
· Sprite Objects
· Instance Objects.


Shape Objects

Shape Objects

A Shape Object is a Simple Object defined by a list of curved or straight edges. It can contain multiple closed or open figures. The figures can have lines around their edges and can be filled with solid colors, gradients or images.

You can create Shape Objects using the following drawing tools:
Line
Pencil
Bezier
Rectangle
Ellipse.

You can also produce shapes by using [image] Group as Shape or [image] Convert to Shapes, or by importing them from a vector or raster image.

You can use [image] Reshape and [image] Fill Transform to modify a shape. You can edit the setting for a Shape Object, including line style and fill style, using the Shape Panel.

Note: The Image Object in SWiSH v1.5x is now represented by a rectangular-shaped object filled with the image in SWiSH v2


Button Objects

Button Objects

A Button Object is a Simple Object that is made up of four states: Up, Over, Down and Hit, as shown in the illustration below.

· The Up State is the default appearance of the button. It is displayed when the Movie starts playing, and whenever the mouse is outside the button
· The Over State is displayed when the mouse is moved inside the button. You can use it to create 'Rollover' and 'Hover' buttons in a Movie
· The Down State is the 'clicked' appearance of the button. It is displayed when the mouse is clicked inside the button
· The Hit State defines the active area of the button that reacts to mouse clicks. It is an invisible state and is never displayed

The behavior of the button as you drag the mouse away from the hit area depends on the Tracking Setting for the button.

These four button states act like Group Objects. You can insert any kind of object, except another button, into the Up, Over and Down states, but only Shape Objects and Text Objects are allowed to define the hit area.

You can create an empty button object using [image] Insert Button or create a button with the states already set up by using [image] Convert to Button.

You can edit the settings for a Button Object using the Button Panel.

For further information, refer to the Tutorial section on how to create animated buttons.


Sprite Objects

Sprite Objects

A Sprite Object is a Simple Object that has its own Timeline and is a collection of objects with Effects. They are the equivalent of 'Movie Clips' in Flash.

Since a Sprite's Timeline is played independently from that of the main Movie, you can think of it as a piece of reusable animation inside the main Movie.

A Sprite Object can contain any type of object, including other Sprite Objects.

You can also create an animated Button by using a Sprite Object in the Up, Over and Down button states. See the Tutorial section to see how to create animated buttons.

You can create an empty Sprite using [image] Insert Sprite, or convert an object into a Sprite using [image] Convert to Sprite or [image] Group as Sprite. You can also produce Sprites by importing an animated .gif or a .swf movie.

You can change the content of a Sprite when the Movie is playing using the Load Movie action, specifying a special Level of -1.

You can edit the settings for a Sprite Object using the Sprite Panel.

A Sprite can be the target of a Tell Target action. However, Sprites that have Mouse Events or are inside a Button State cannot act as targets, even if they have a name. Also Sprites that are within an unnamed Sprite or a Group can only be referred to from within the Sprite itself (i.e. from one of the objects inside the Sprite).


Instance Objects

Instance Objects

An Instance Object is a clone of a Sprite Object. The contents of the Instance and its reference Sprite are always the same. Making changes to the Instance will change the reference Sprite and vice versa. This feature can be used to simplify the process of making global changes to commonly used objects within a Movie.

You can create an Instance Object using [image] Insert Instance or [image] Make Instance, or by editing the settings of an existing Sprite and selecting a reference Sprite.

You can edit the setting of an Instance Object using the Sprite Panel.


Complex Objects

Complex Objects

A Complex Object is made up of many component objects, unlike a Simple Object which is treated as an indivisible object.

You can apply both Simple Effects and Complex Effects to a Complex Object.

The following objects are Complex Objects:
· Text Objects
· Group Objects.


Text Objects

Text Objects

A Text Object is a Complex Object that is made up of a collection of letters. Each letter is called a component of the Text Object.

Both Simple Effects and Complex Effects can be applied to a Text Object.

Text Objects are created by importing a text file or pressing [image] Insert Text.

You can modify the settings for the text using the Text Panel.


Group Objects

Group Objects

A Group Object is a Complex Object that is made up of a collection of objects. The objects that make up a group are called its components.

The components may be Simple or Complex Objects, but cannot have their own Effects. This means that any object with Effects is converted to a Sprite before it is grouped.

Both Simple Effects and Complex Effects can be applied to a Group Object itself.

Unlike a Sprite Object, a Group Object does not have its own Timeline.

Group Objects can be created by pressing [image] Group, [image] Convert to Shapes or [image] Convert to Letters on the Grouping Toolbar or the Modify Menu.

You can modify the settings for a Group using the Group Panel.


Effects

Effects

Effects are animations that change the appearance of an object over time. You can add, modify and co-ordinate Effects using the Timeline Panel.

There are two types of Effects:

· Simple Effects
· Complex Effects.

A Simple Effects animates the entire object in unison. The following Effects are Simple Effects:

· Place
· Remove
· Move
· Fade In
· Fade Out
· Slide In
· Slide Out
· Blur
· Repeat Frames.

A Complex Effects animates the components that make up the object independently. The following Effects are Complex Effects:

· Transform
· Squeeze
· Alternate
· Snake
· Explode
· 3D Spin
· Vortex
· Wave
· Typewriter
· Revert.

The properties of an Effect are edited using the Effect Settings Dialog Box, and many Effects also have Common Settings, such as Motion, Easing and Camera.


Common Effect Settings

Common Effect Settings

Many Effects share common settings that are displayed as tabs on the Effect Settings dialog box.

These settings include:

· Motion
· Easing
· Start At
· Cascade
· Camera
· Transforms.


Motion

Motion

The Motion tab enables you to set the position, scale, rotation, alpha (transparency) and color of the object at the end of the Effect.

X/Y Position
X/Y Position is the co-ordinate of the selected object's center. There are four selections for X/Y Position control:
· Unchanged: the X/Y Position for the selected object is unchanged
· Jump to X/Y: moves the selected object to the specific X/Y co-ordinate
· Jump Right/Down by: moves the selected object from the original position to the right and down by the specified distance
· Jump Left/Up by: moves the selected object from the original position to the left and up side by the specified distance.

Path at Key
Path at Key controls the shape of the motion path at the current key frame. There are two selections for Path at Key control:
· Smooth: the motion path is smooth at the current Keyframe
· Sharp: the motion path is cornered at the current key frame.

X/Y Scale
X/Y Scale is the scale factor of the selected object's width/height. With the 'X=Y' checkbox ticked, you can scale the object uniformly. When the function is turned off, you can independently stretch or shrink the object in the x or y directions. When scaling a Shape Object, the width of the line around the border of the shape is scaled by the maximum value of the X and Y factors. There are five selections for X/Y Scale control:
· Unchanged: the X/Y scale for the selected object is unchanged
· Resize to 100%: changes the X/Y scale factor to 100%
· Resize to scale: changes the X/Y scale factor to the specified value
· Increase by: increases the X/Y scale factor by the specified percentage
· Decrease by: decreases the X/Y scale factor by the specified percentage.

X/Y Angle
X/Y Angle is the clockwise rotation angle of the selected object's X/Y axis. With the X=Y checkbox ticked, you can rotate the object, when the checkbox is cleared, you can skew the object. There are five selections for X/Y Angle control:
· Unchanged: the rotation angle of the selected object's X/Y axis is unchanged
· Rotate to Zero: changes the rotation angle of the selected object's X/Y axis to zero degree
· Rotate to Angle: changes the rotation angle of the selected object's X/Y axis to the specified degrees
· Rotate CW by: rotates the selected object's X/Y axis clockwise by the specified degrees
· Rotate CCW by: rotates the selected object's X/Y axis counter-clockwise by the specified degrees.

X=Y
These two check boxes force the Y value to be equal to the X value for Scale or Angle.

Orient to path
If this setting is not checked, the in-between orientation of the selected object is decided by the X/Y Angle settings.

If this setting is checked, the orientation of the selected object will follow the tangent of the Motion Path while the object is moving.

Override angle settings
If this setting is not checked, the in-between orientation is a blend of the original orientation, the tangent of the Motion Path and the settings of X/Y Angle. At the end of the Effect, the orientation of the object is always the same as the X/Y Angle settings.

If this setting is checked, when the selected object is moving, the orientation always follows the tangent of the Motion Path and the X/Y Angle settings are ignored.

Alpha
Alpha controls the transparency of the selected object. There are six selections for Alpha control:
· Unchanged: the alpha (transparency) for the selected object is unchanged
· To Transparent: changes the alpha value to 0%, making the object completely transparent
· To Opaque: changes the alpha value to 100%, making the object completely opaque, with no transparent or semi-transparent areas
· Fade to Alpha: changes the alpha value to the specified value
· Increase by: increases the alpha value by the specified value
· Decrease by: decreases the alpha value by the specified value.

Color
This setting allow you to apply the color Transform to the selected object. There are five selections for Color control:
· Unchanged: the color of the selected object is unchanged
· Black: the object is changed to black (even if the object had multiple colors before)
· White: the object is changed to white (even if the object had multiple colors before)
· Color: the object is changed to the specified color. The object's color is determined by taking the percentage of the selected color and adding the complementary percentage of the original color. For example, if the given percentage is 30%, the result will be 30% of the selected color mixed with 70% of the original color.

Advanced
This setting allows you to specify the new Alpha/Red/Green/Blue value by taking a percentage of the current Alpha/Red/Green/Blue value and adding a value to the result.


Easing

Easing

The Easing tab enables you to control the position/scale/angle/alpha/color Transform speed at the start and at the end of the Effect.

Start
Accelerates the change at the start of the Effect.

At End
Decelerates the change at end of the Effect.

Acceleration
Controls the amount of acceleration or deceleration. A value of zero mean no acceleration. A positive value accelerates at the start or decelerates at the end. A negative value decelerates at the start of accelerates at the end.


Start At

Start At

The Start At tab enables you to set the position, scale, rotation, alpha (transparency), and color of the object before the start of the Effect. The Start At tab is displayed only if the 'Continue from previous effect' checkbox on the Effect Settings dialog box is unchecked.

X/Y Position
X/Y Position is the co-ordinate of the selected object's center. There are four selections for X/Y Position control:
· Unchanged: the X/Y position for the selected object is unchanged
· Jump to X/Y: places the selected object to the specific X/Y co-ordinate
· Jump Right/Down by: moves the selected object from the original position to the right and down by the specified distance
· Jump Left/Up by: moves the selected object from the original position to the left and up by the specified distance.

Reset components to original Transforms
If the previous Effect was a Complex Effect that transformed the component positions, then ticking this checkbox will reset the components back to their original positions before the next Effect starts. Otherwise, the components are left in whatever state they were in at the end of the previous Effect.

For example, if a Typewriter Effect follows an Explode Effect, the 'Reset components to original transforms' option will reset the positions of the letters before the Typewriter Effect begins.

X/Y Scale
X/Y Scale is the scale factor of the selected object's width/height. There are three selections for X/Y Scale control:
· Unchanged: the X/Y Scale for the selected object is unchanged
· Unscaled (100%): sets the X/Y Scale Factor to 100%
· Scale Factor: sets the X/Y Scale Factor to the specified value.

X/Y Angle
X/Y Angle is the clockwise rotation angle of the selected object's X/Y axis. There are three selections for X/Y Angle control:
· Unchanged: the rotation angle of the selected object's X/Y axis is unchanged
· Zero angle: sets the rotation angle of the selected object's X/Y axis to zero degree
· Angle of: sets the rotation angle of the selected object's X/Y axis to the specified degrees.

X=Y
These two check boxes force the Y value to be equal to the X value for Scale or Angle.

Alpha
Alpha controls the transparency of the selected object. There are four selections for Alpha control:
· Unchanged: the alpha (transparency) for the selected object is unchanged
· 100% Transparent: sets the alpha value to 0, making the object completely transparent
· 100% Opaque: sets the alpha value to 100%, making the object completely opaque, with no transparent or semi-transparent areas
· Alpha Value of: sets the alpha value to the specified value.

Color
This setting allows you to apply a color Transform to the selected object. There are five selections for Color control:
· Unchanged: the color of the selected object is unchanged
· Black: the object appears black (even if the object had multiple colors before)
· White: the object appears white (even if the object had multiple colors before)
· Color: allows you to specify the color of the object. The object's color is determined by taking the percentage of the selected color and adding the complementary percentage of the original color. For example, if the given percentage is 30%, the result will be 30% of the selected color mixed with 70% of the original color.

Advanced
This setting allows you to specify the new Alpha/Red/Green/Blue value by taking a percentage of the current Alpha/Red/Green/Blue value and adding a value to the result.


Cascade

Cascade

The Cascade tab enables you to control the order components of a Complex Object are animated. Cascading animates components one after another instead of all together. This can be used for Basic Complex Effects, 3D Effects and the Revert Effect.

Whole Object
If ticked, then the Effect applies to the object as a whole, and not to the individual components. The other controls on the tab do not apply and so are hidden.

Enable Cascade
If ticked, then the Cascade function is turned on and the relevant settings for this function revealed on the tab.

Direction
Instructs the Effect to animate the components of a Complex Object sequentially following the specified order.
· -->-->: forwards
· <--<--: backwards
· --><--: from two sides to center
· <---->: from center to two sides
· Interleaved: follows the specified direction but alternates between the direction specified and the opposite direction so the animations are interleaved

At Start
Specifies the start state of the components.
· Add: the component is not visible until it is animated
· Freeze: all components are visible at the start of the Effect but do not animate until it is their turn in the cascade order
· Continuous: all components are visible and animated in specified phases at the start of the Effect

At End
Specifies the end state of the components.
· Remove: the component is removed when the component animation ends
· Freeze: the component is left as it is when the component animation ends
· Continuous: the component animation is continued until the effect ends

Include and Order
Applies the effect to the components of a complex object sequentially following the specified order.
· Visible only: animates the visible components only. For text, this means that spaces and line breaks do not take part in the cascade sequence
· All chars: animates all components including space and line breaks characters
· By X position: animates the components in the order of their X position. All components with the same X position are animated at the same time
· By Y position: animates the components in the order of their Y position. All components with the same Y position are animated at the same time

Delay/Overlap/Duration
Determines when the animation begins and ends for the components of a Complex Object. You can only specify one of the three values, the other two are calculated and depend on the overall duration of the Effect and, more importantly, the number of components in the object.
· Delay: specifies the number of Frames between the first Frames of two adjacent component animations
· Overlap: specifies the number of Frames that adjacent component animations Overlap. For example, if the Overlap was set to 3 frames, the second component animation would begin 3 Frames before the first component animation finishes
· Duration: specifies the duration of a component animation


Camera

Camera

The Camera tab enables you to adjust the 3D viewing settings for the 3D Effects. By adjusting the parameters for the camera, the user is able to observe the object in a 3D world from different angles or positions over time.

Perspective projection
Determines whether 3D points are projected onto the Layout Panel using perspective rendering. When ticked, you can also specify a starting and ending Zoom Factor. Zoom Factors make no difference, and hence are not enabled, when the 'Perspective Projection' option is turned off.

Start rotation angle
Specifies the angle the camera is rotated around the view vector at the start of the Effect.

End rotation angle
Specifies the angle the camera is rotated around the view vector at the end of the Effect.

Start Zoom factor
Specifies the Zoom Factor of the camera at the start of the Effect. This is only valid for Perspective Projections.

End Zoom factor
Specifies the Zoom Factor of the camera at the end of the Effect. This is only valid for Perspective Projections.

Start position
Specifies the position of the camera at the start of the Effect, where the X axis points left, the Y axis points down, Z axis points to the front, 1 unit is equal to 1 pixel and the origin is at the center of the object.

Middle position
Specifies the position of the camera at the middle of the Effect. The Menu let you select which values you want to change. Any value you don't change uses the value halfway between the corresponding start and end values.
· Mid-X-Y-Z: midpoint of the camera's motion track = (X, Y, Z)
· Mid-X-Y: midpoint of the camera's motion track = (X, Y, none)
· Mid-X-Z: midpoint of the camera's motion track = (X, none, Z)
· Mid-Y-Z: midpoint of the camera's motion track = (none, Y, Z)
· Mid-X: midpoint of the camera's motion track = (X, none, none)
· Mid-Y: midpoint of the camera's motion track = (none, Y, none)
· Mid-Z: midpoint of the camera's motion track = (none, none, Z)
· None: camera moves straight from Start Position to End Position

End position
Specifies the position of the camera at the end of the Effect.

Start target
Specifies the point at which the camera is aimed at the start of the Effect.

Middle Position
Specifies the point at which the camera is aimed at the middle of the Effect. The Menu lets you select which values you want to change. Any value you don't change uses the value halfway between the corresponding start and end values.
· Mid-X-Y-Z: midpoint of the look-at point's motion track = (X, Y, Z)
· Mid-X-Y: midpoint of the look-at point's motion track = (X, Y, none)
· Mid-X-Z: midpoint of the look-at point's motion track = (X, none, Z)
· Mid-Y-Z: midpoint of the look-at point's motion track = (none, Y, Z)
· Mid-X: midpoint of the look-at point's motion track = (X, none, none)
· Mid-Y: midpoint of the look-at point's motion track = (none, Y, none)
· Mid-Z: midpoint of the look-at point's motion track = (none, none, Z)
· None: the look-at point moves straight from Start target to End target

End target
Specifies the point at which the camera is aimed at the end of the Effect.


Transforms

Transforms

The Transforms tab enables you to a sequence of transforming animations to each component of a Complex Object. This tab is used by the Basic Complex Effects.

Start/Middle/End check boxes
Enables or disables the settings for the component at the start/middle/end of the Effect. When the checkbox for Start or End is cleared, then the Effect starts or ends with the initial positions. When the checkbox for Middle is cleared, then the middle value is always halfway between the start and end values and the Transform is linear.

Position X/Y
Specifies the X/Y position for the component at the start/middle/end of the Effect. The X/Y value is relative to the original position of the component. A negative X/Y means the new position is on the left/top of the original position;a positive X/Y means the new position is on the right/bottom of the original position; a value of zero means there is no change in Scale Factor.

Spacing X/Y
Specifies the component (X) and line (Y) spacing factors for the component at the start/middle/end of the Effect. A value of 100% means there is no change in Scale Factor.

Scale X/Y
Specifies the width (X)/height (Y) Scale Factor for the component at the start/middle/end of the Effect. A value of 100% means there is no change in Scale Factor.

Angle X/Y
Specifies the rotation angle for the component's X/Y axis at the start/middle/end of the Effect. A value of zero means there is no change in angle or rotation.

X=Y check boxes
Forces the Y value equal to the X value for Spacing, Scale or Angle.

Alpha
Specifies the change to the alpha value of the component at the start/middle/end of the Effect. A value of 100% means there is no change in Scale Factor.

Color percentage and button
Specifies the color Transform for the component at the start/middle/end of the Effect. The new component color is calculated by taking the percentage of the selected color and adding the complementary percentage of the original color. For example, if the given percentage is 30%, the result will be 30% of the selected color mixed with 70% of the original color. A value of 0% means there is no change in color.


Simple Effects

Simple Effects

A Simple Effect animates the entire object in unison.

Simple Effects can be applied to both Simple Objects and Complex Objects.

The following effects are Simple Effects:
· Place
· Remove
· Move
· Fade In
· Fade Out
· Slide In
· Slide Out
· Blur
· Repeat Frames.


Place

Place

The Place Effect displays an object. This Effect is one Frame long and is indicated by a [image] Frame in the Timeline.

You can use the Place Effect to move objects that are already displayed by altering the object's properties in the 'Place Settings' dialog box. To do this, double-click the Place Effect in the Timeline, or right-click the Place Effect and select 'Properties' from the context Menu. The 'Place Settings' dialog box enables you to set the position, scale, rotation, alpha, and color of the object as it is revealed. Refer to the Start At tab Effect Setting for more information.


Remove

Remove

The Remove Effect hides a visible object. This Effect is one Frame long and is indicated by a [image] Frame in the Timeline.


Move

Move

The Move Effect changes an object's position, scale, rotation, alpha, color, or any combination of these variables over time.

The 'Move Setting' dialog box is displayed when you first create the Move Effect. It can also be displayed by double-clicking the Move Effect in the Timeline, or right-clicking the Move Effect and choosing 'Properties' from the context Menu. In the 'Move Settings' dialog box you can set the position, scale, rotation, alpha, and color of the object you want at the end of the Effect. SWiSH v2 will automatically generate the Frames in between. See the Motion tab Effect Setting for more information.


Fade In

Fade In

The Fade In Effect fades in by increasing the opacity (or alpha) of the object from completely transparent (0% alpha) until it is completely opaque (100% alpha).


Fade Out

Fade Out

The Fade Out Effect fades out by decreasing the opacity (or alpha) of the object from completely opaque (100% alpha) until it is completely transparent (0% alpha).


Slide In

Slide In

The Slide In Effect moves an object from outside the Movie (any corner or side) to its reference position.

The 'Slide Effect' dialog box is represented below. This is displayed when you first create the Slide In Effect. It can also be displayed by double-clicking the Slide Effect in the Timeline, or right-clicking the Slide Effect and choosing 'Properties' from the context Menu.

In the illustration below, the object will slide in from the left.


Slide Out

Slide Out

The Slide Out Effect moves an object from its reference position to outside the Movie (any corner or side).

The 'Slide Effect' dialog box is represented below. This is displayed when you first create the Slide Out Effect. It can also be displayed by double-clicking the Slide Effect in the Timeline, or right-clicking the Slide Effect and choosing 'Properties' from the context Menu.

In the example below, the object will slide out to the left.


Blur

Blur

The Blur Effect creates many copies of an object, with each copy having either a progressively increasing or decreasing alpha value. By changing the position, scale or alpha value of each copy over time, it can create a motion-blur Effect.

Below is an illustration of the Blur tab in the 'Blur Settings' dialog box. This is displayed when you first create the Blur Effect. It can also be displayed by double-clicking on a Blur Effect in the Timeline, or right-clicking on a Blur Effect and choosing 'Properties' from the context Menu.

Blur Mode
Determines the style of the Blur Effect. The styles available are:
· Zoom Blur: duplicates of the object are displayed at progressively larger scales, with smaller alphas. When the object is blurred in, the duplicates are faded in and squeezed into the size of the original object. When the object is blurred out, the duplicates are faded out and stretched outward
· Mirror Blur: when the object is blurred, two sets of duplicates are moved away from its reference position in opposite directions. When the object is brought into focus, two sets of duplicates are moved towards the reference position from opposite directions. The further away the duplicates are, the smaller the alpha value
· Slide Blur: duplicates of the object move from the off-screen position defined by the 'Direction' option (and the Effect Transform) to the object's reference position. Selection of either the 'Invisible' or 'Visible' radio button determines whether the Effect travels to or from the object's reference position on-screen to the off-screen point. Each duplicate is displayed with progressively smaller alphas. As the object approaches its reference position, the duplicates catch-up with the object so they all finish at the same place.

Blur Amount
Determines how many copies of the object are duplicated to carry out the Blur Effect.

Direction
Controls the direction of squeeze/stretch, moving in/away or slide in/out.

Blur Scale Factor
Specifies the maximum scaling change or offset between two duplicates.

Begin with
Controls the initial state of an object and whether the alpha values are increasing or decreasing in the Effect (i.e. fading in or fading out). If the 'Invisible' option is selected, the object emerges blurred and focusses to a sharp, solid object by the end of the Effect. If 'Visible' is selected, the object is sharp and solid at the beginning, blurring and fading to invisible by the end of the Effect.

Acceleration
Controls the blur speed at the start and at the end of the Effect.
· At Start: accelerates the blur at the start of the Effect
· At End: decelerates the blur at end of the Effect
· Amount: controls the blur speed at the start and at the end of the Effect. A value of zero means no acceleration. A positive value accelerates at the start or decelerates at the end. A negative value decelerates at the start or accelerates at the end


Repeat Frames

Repeat Frames

The Repeat Frames Effect replays the stipulated Frames the specified number of times. Nominate a starting Frame, duration and a number of repeats and the Effect will repeat those Frames. It will apply its own Transforms.

The Repeat Frames tab of the 'Repeat Frames Settings' dialog box is represented below. This is displayed when you first create the Repeat Frames Effect. It can also be displayed by double-clicking on a Repeat Frames Effect in the Timeline, or right-clicking on a Repeat Frames Effect and choosing 'Properties' from the context Menu.

Start Frame
Specifies the starting Frame. It can be either an absolute Frame number, or a relative number (if negative).

Number of Frames
Specifies the number of Frames to be repeated from the starting Frame.

Repeat
Specifies how many times to repeat.

The Repeat Frame Effect will not permit the repetition of only part of an Effect. Settings are always adjusted such that Effects are either entirely included or excluded from the range of Frames.


Complex Effects

Complex Effects

A Complex Effect independently animates the components that comprise the object.

Complex Effects can be applied to both Simple Objects and Complex Objects. However, when applied to a Simple Object, the Effect is applied to the object as a whole, because a Simple Object has no components.

The following Effects are Complex Effects:

Basic Complex Effects
· Transform
· Squeeze
· Alternate
· Snake

3D Effects
· Explode
· 3D Spin
· Vortex

Special Complex Effects
· Wave
· Typewriter

Revert.


Basic Complex Effects

Basic Complex Effects

The Basic Complex Effects are variations of the Transform Effect. All basic Complex Effects include Transform settings and Cascade settings.

Basic Complex Effects include:
· Transform Effect
· Squeeze Effect
· Alternate Effect
· Snake Effect.

The most powerful of these is the Snake Effect.


Transform

Transform

The Transform Effect applies a sequence of transforming animations to each component of a Complex Object.

The Transform Effect can be applied to a Complex Object to introduce each component with the same animation. By using the settings in the Cascade tab, the component animations can follow one after another, or overlap. The Transform Effect can be applied forwards or backwards, and can be used to add or remove components.

See the Transforms tab and Cascade tab for more information.


Squeeze

Squeeze

The Squeeze Effect squeezes or stretches the components of a Complex Object over time.

The Squeeze Effect can be applied to a Text Object to change the kerning over time. Words can be made to squeeze inward or stretch outward.

The Squeeze setting tab of the 'Effect Settings' dialog box is represented below. This dialog box is displayed when you first create the Squeeze Effect. It can also be displayed by double-clicking the Squeeze Effect in the Timeline, or right-clicking the Squeeze Effect and choosing 'Properties' from the context Menu.

Direction
Controls the direction of squeezing or stretching.
· --><--: Squeezes/stretches to/from center.
· <-<--<: Squeezes/stretches to/from left.
· >-->->: Squeezes/stretches to/from right.

Note:
· The component (X) and line (Y) spacing factors at Start/Middle/End of the Effect are specified in the Transforms tab. Using the Y spacing factor, you can squeeze/stretch a multiple-line Complex Object vertically
· Setting the Direction to center, makes this Squeeze Effect equivalent to the Transform Effect


Alternate

Alternate

The Alternate Effect applies alternating proportions and directions of animation to components of a Complex Object.

The Alternate setting tab of the 'Effect Settings' dialog box is represented below. This dialog box is displayed when you first create the Alternate Effect. It can also be displayed by double-clicking the Alternate Effect in the Timeline, or right-clicking the Alternate Effect and choosing 'Properties' from the context Menu.

To see how this Effect works, imagine a zig-zag line that goes between +100% and -100%, for example, with a cycle that repeats every four components starting at component position 0. You would get a figure like that shown below.

The red line represents the amount and direction of Transform applied for each component position. You can see that component position 0 gets a full 100% of the Transform, component position 1 getss zero, component position 2 gets -100%, and so on. If the Transform for the Alternate Effect is one that adds 50 pixels to the Y value, then the first Frame of the effect would look like this:

You can see that the first component was moved up by the full 50 pixels, the second component was unchanged, the third moved down by 50 pixels, and so on.

Repeat every 'n' components
The Alternate Effect goes through a complete cycle every 'n' components. The default is a four-component cycle. In that case every fourth component will have the same amount of Alternate Effect as shown in the example above, that is:
· maximum positive direction (100%)
· zero (no transform)
· maximum negative direction (-100%)
· zero (no transform).

Setting the repeat every 'n' components figure to two, for example, would specify a repeating cycle like this:
· maximum (100%) positive direction
· maximum (100%) negative direction.

Start at component
The maximum proportion in the positive direction occurs at this component position in the sequence. The default is the 0 position (first component), so the first component always get the full amount of the Transform.

Position/Spacing/Scale/Angle/Alpha/Color
These Transforms can be set in the Transforms tab.

X=Y checkboxes
This option forces the Y value to equal the X value.

For each Transform setting (position, spacing, scale, angle, alpha and color), there are three options:
· All: applies the full amount of the Transform to all components. There is no alternation for this setting
· Opposite: applies the proportion and direction of the Transform depending on the component position
· Same: applies the proportion of the Transform depending on the component position, but always in the positive direction.


Snake

Snake

The Snake Effect applies wave forms to vary the Transforms for components of a Complex Object over time.

The Snake setting tab of the 'Effect Settings' dialog box is represented below. This dialog box is displayed when you first create the Snake Effect. It can also be displayed by double-clicking the Snake Effect in the Timeline, or right-clicking the Snake Effect and choosing 'Properties' from the context Menu.

By component
When the by component box is checked, the Snake Effect applies to each component in turn, based on its position within the object. When the option is turned off, the snake applies to all the components at the same time.

For example, the following images show a 'time-lapse' view of some text moving in a circle. The first image shows the Effect with the By component option turned on.

The second image shows the Effect with the By component option turned off.

Follow path
When the Follow path option is turned on, the components automatically rotate to follow the path. When it is turned off, the components maintain their original orientation. Any angle Transform is added on to this calculated angle.

For example, the following images show a 'time-lapse' view of some text moving in a circle. The first image shows the Effect with the Follow path option turned on.

The second image shows the effect with the Follow Path option turned off:

Forward
The Forward option moves the components in order. When the option is turned off, the components move in reverse order, as shown below.

Note: This only has an Effect when the By component option is checked.

For example, the following images show a 'time-lapse' view of some text moving in a circle. The first image shows the Effect with the Forward option checked.

The second image shows the Effect with the Forward option turned off.

Start straight
When the Start straight option is turned on, components start from their initial positions and gradually move into the Snake Effect. When unchecked, the Snake Effect starts immediately.

Note: This only has an Effect when By component is ticked.

For example, the following images show a 'time-lapse' view of some text moving in a circle. The first image shows the Effect with the Start straight option turned on.

The second image shows the Effect with the Start Straight option turned off.

Wave
This set of columns has the Wave settings for each Transform. The Wave settings are the waveform itself, the Period is number of Frames over which the wave repeats its 360 degree cycle, and the Phase is where the wave starts within its 360 degree cycle.

Waveform
There are nine separate waveforms, plus a Fixed value indicating that no waveform applies.

The following illustrations show the effect of each waveform on the y value of a rectangle.
Sine: moves smoothly between the start and end values
Triangle: moves linearly between the start and end values
Square: jumps between start and end the values
Saw Up: moves linearly from start to end, then jumps back to start
Saw Down: moves linearly from end to start, then jumps back to end
Sqr+Tri: moves linearly to end values, stays, move linearly to start value, stay
Bounce: moves in a parabola from start to end values and back
Gravity: same as bounce, except, rather than repeating, the curve continues past the start point
Pulse: jumps to end value and back at the start of the cycle

Cycles or Period
This is controls the number of Frames it takes for the wave to complete a cycle, or the number of cycles for the effect duration.

If you specify "Period", then the values in this column is the number of frames per cycle. The larger the period, the less cycles during the effect and the slower the wave moves. Changing the effect duration does not change the speed of the effect, only how long it plays.

If you specify "Cycles", then the values in this column are the number of cycles during the effect. The larger the number of cycles, the longer the period and the faster the wave moves. Changing the effect duration changes the spped of the effect, not only how long it plays.

Note: Further, if you specify "Cycles", then you can control the speed of animation by adjusting the overall effect duration. The shorter the duration, the faster the animation.

Phase
This determines where the wave starts in it cycle. A vaue of 0 degrees starts at the start of the cycle, a value of 180 degrees starts halfway through and so on.

Decay
The parameters in these columns determines how the waveform changes over time.

A (amplitude)
When checked, the amplitude (or strength or range) can decrease toward zero or increase toward the full value (depending on the direction). When this option is turned off, the amplitude stays the same for the duration of the Effect.

P (period)
When checked, the period (or wavelength) can decrease toward zero or increase toward the full value (depending on the direction). When this option is turned off, the period stays the same for the duration of the Effect.

Halflife
This is the number of Frames it takes for the amplitude or period to halve (or double) its value. The larger the half-life, the slower the rate of decay.

Direction
This is the direction and (for amplitutde) the final value that the decay takes. The amplitutde can decay toward (or from) the minimum value, maximum value or halfway between.

X=Y
This option forces the Y value to equal the X value.

Position X/Y
Controls the maximum distance each component moves from its original position. A negative X is left, and a positive X is right. A negative Y is up and a positive Y is down. A value of 0 means no change in position.

Spacing X/Y
Controls the component(X) / line(Y) spacing factors for the components when the wave is farthest from its original position. A value of 100% means no change in spacing.

Scale X/Y
The amount by which each component is scaled horizontally/vertically as the wave passes through. Maximum change in scale will occur when the wave is farthest from its original position. A scale of 100% means the scale will not be varied. A negative value will shrink the component horizontally/vertically as wave passes through.

Angle X/Y
The amount by which each component's X/Y axis is rotated as the wave passes through. Maximum change in angle will occur when the wave is farthest from its original position. An angle of zero means the axis will not be rotated.

Alpha
The amount by which each component is faded out as the wave passed through. Maximum fade out will occur when the wave is farthest from its original position. An alpha of 100% means the alpha will not change. A value of 0% means the component will completely fade out as the wave passes through.

Color
This controls the color Transform for the component when the wave is farthest from its original position. The component color is calculated by taking the percentage of the selected color and adding the complementary percentage of the original color. For example, if the given percentage is 30%, the result will be 30% of the selected color mixed with 70% of the original color. A value of 0% means no change in color.


3D Complex Effects

3D Complex Effects

The 3D Effects are Complex Effects that work in 3D space rather than 2D space. All 3D Complex Effects include Camera Settings and Cascade Settings.

3D Complex Effects include:
· Explode Effect
· 3D Spin Effect
· Vortex Effect.


Explode

Explode

The Explode Effect explodes or implodes the components of a Complex Object.

The Explode Effect can be applied to a Text Object to blow apart the letters of the words. Letters can be made to spin, change size, fade out and fall to the ground. The strength and speed of the explosion can be altered, as can the position of the 'bomb'.

The Explode setting tab of the 'Effect Settings' dialog box is represented below. This dialog box is displayed when you first create the Explode Effect. It can also be displayed by double-clicking the Explode Effect in the Timeline, or right-clicking the Explode Effect and choosing 'Properties' from the context Menu.

Direction
Specifies an explosion or an implosion.

Bomb
Controls the strength and the position of the explosion.
· Strength of bomb: a value of 1 will produce a slow, weak explosion that is quickly overwhelmed by gravity. A value of 20 will produce a fast, powerful explosion that blows the fragments off the Movie in a few Frames. A value of 5-10 is a good approximation for a 'real' explosion
· Random seed: this number is used as a seed for the random number generator. Changing this number will produce slightly different results. You can keep changing this value until it produces an explosion that is esthetically pleasing
· Position: this is the center point of the explosion relative to the center of the object. The default is 60 pixels below the center of the object, so the object appears to explode upwards

Gravity
Controls the strength and the direction of gravity.
· Strength: this is the strength of the force pulling the fragments downward. A value of 5 will quickly overwhelm a moderate-strength explosion. A value of 0.5 will have little effect on a moderate-strength explosion. A value of 1 is a good approximation for 'real' gravity.
· Direction: controls the direction of gravity. Gravity may pull the fragments up, down, left, right, or any in any direction.

Transforms
Controls the Transforms applied to components as they move away from the bomb.
· Scale: this controls the scaling applied to components at the Start/End of the Effect. Fragments that began nearer the bomb will grow faster. A scale value of 100% means the fragments do not change size
· Alpha: this controls the fading applied to components at the Start/End of the Effect. A value of 100% means the alpha value of the fragments remains unchanged. A value of 0% means the fragments will fade out completely
· Color: this specifies the color Transform for the components at the Start/End of the Effect. The component color is calculated by taking the percentage of the selected color and adding the complementary percentage of the original color. For example, if the given percentage is 30%, the result will be 30% of the selected color mixed with 70% of the original color. A value of 0% means no change in color
· Rotation: this controls the amount of rotation applied to components as they move away from the bomb. The X and Y axis of the fragments are rotated independently (resulting in skewing) unless Uniform is checked. A rotation value of zero means the fragments will not be rotated

Note: For Text Objects, components correspond to letters


3D Spin

3D Spin

The 3D Spin Effect spins the components of a Complex Object on the vertical or horizontal axis in 3D space over time.

The 3D Spin Effect can be applied to a Text Object to change the orientations of the components over time. Components can be made to face left, top or front at the beginning and turn a specific number of degrees around the vertical or horizontal axis for the duration of the Effect. The component animations can follow one after another, or they can overlap. The 3D-Spin Effect can be applied forwards or backwards, and components can also be scaled and faded.

The 3D Spin setting tab of the 'Effect Settings' dialog box is rperesented below. This dialog box is displayed when you first create the 3D-Spin Effect. It can also be displayed by double-clicking the 3D Spin Effect in the Timeline, or right-clicking the 3D Spin Effect and choosing 'Properties' from the context Menu.

Spin Direction
Controls the initial orientations of components.
· Spin forwards: the components are animated forwards from Start Transform to End Transform
· Spin backward: the components are animated backwards from End Transform to Start Transform

Spin Axis
Specifies the direction of the Spin Axis. The amount of rotation around the nominated axis is determined by the difference in Angle settings.

Transforms
Controls the Transforms applied to components as they spin.
· Angle: specifies the angle the component is rotated around the Spin Axis at the start/end of the Effect. The value of 0 means the component is face up with no change in angle
· Scale: specifies how much the component is scaled at the start/end of the Effect. A value of 100% means no change in scale
· Alpha: specifies how much the component is faded at the start/end of the Effect. A value of 100% means the alpha of the component is unaffected. A value of 0% means the component is completely faded out
· Color: this specifies the color Transform for the component at start/end of the Effect. The component color is calculated by taking the percentage of the selected color and adding the complementary percentage of the original color. For example, if the given percentage is 30%, the result will be 30% of the selected color mixed with 70% of the original color. A value of 0% means no change in color
·


Vortex

Vortex

The Vortex Effect spins the components of a Complex Object in a 3D space and pulls them down into a gravitation point (or blows them out from a gravitation point) over time.

The Vortex Effect can be applied to a Text Object to attract the components of a text into a gravitation point (or blows them out from a gravitation point). Components can be made to spin, change size and fade out. The location of the gravitation point and the midpoint of motion track can be altered. The component animations can follow one after another, or they can overlap. The Vortex Effect can be applied forwards or backwards.

The Vortex setting tab of the 'Effect Settings' dialog box is represented below. This dialog box is displayed when you first create the Vortex Effect. It can also be displayed by double-clicking the Vortex Effect in the Timeline, or right-clicking the Vortex Effect and choosing 'Properties' from the context Menu.

Direction
Controls the direction of swirling.
· Swirl Outwards: the components of a Complex Object are blown out from a gravitation point over time
· Swirl Inwards: the components of a Complex Object are attracted into a gravitation point over time

Gravitation Point
Specifies the location of the Gravitation point.
· Custom: Gravitation point = (X, Y, Z), where the X axis points left, the Y axis points down, the Z axis points to the front, 1 unit is equal to 1 pixel and the origin is at the center of the Text Object
· Left: Gravitation point = (left of text - component width/2 + X, Y, Z)
· Right: Gravitation point = (right of text + component width/2 + X, Y, Z)
· Top-Left: Gravitation point = (left of text - component width/2 + X, top of text - component height/2 + Y, Z)
· Top: Gravitation point = (X, top of text - component height/2 + Y, Z)
· Top-Right: Gravitation point = (right of text + component width/2 + X, top of text - component height/2 + Y, Z)
· Bottom-Left: Gravitation point = (left of text - component width/2 + X, bottom of text + component height/2 + Y, Z)
· Bottom: Gravitation point = (X, bottom of text + component height/2 + Y, Z)
· Bottom-Right: Gravitation point = (right of text + component width/2 + X, bottom of text + component height/2 + Y, Z)
· Current X-Y: Gravitation point = (component's x + X, component's y + Y, Z)
· Current X: Gravitation point = (component's x + X, Y, Z)
· Current Y: Gravitation point = (X, component's y + Y, Z)

Midpoint
Specifies the Midpoint of the motion track.
· Custom: Midpoint = (X, Y, Z)
· Left: Midpoint = (left of text - component width/2 + X, Y, Z)
· Right: Midpoint = (right of text + component width/2 + X, Y, Z)
· Top-Left: Midpoint = (left of text - component width/2 + X, top of text - component height/2 + Y, Z)
· Top: Midpoint = (X, top of text - component height/2 + Y, Z)
· Top-Right: Midpoint = (right of text + component width/2 + X, top of text - component height/2 + Y, Z)
· Bottom-Left: Midpoint = (left of text - component width/2 + X, bottom of text + component height/2 + Y, Z)
· Bottom: Midpoint = (X, bottom of text + component height/2 + Y, Z)
· Bottom-Right: Midpoint = (right of text + component width/2 + X, bottom of text + component height/2 + Y, Z)
· Current X-Y: Midpoint = (component's x + X, component's y + Y, Z)
· Current X: Midpoint = (component's x + X, Y, Z)
· Current Y: Midpoint = (X, component's y + Y, Z)
· Cur. X-Y only: Midpoint = (component's x + X, component's y + Y, none)
· Cur. X only: Midpoint = (component's x + X, none, none)
· Cur. Y only: Midpoint = (none, component's y + Y, none)
· Custom X-Y: Midpoint = (X, Y, none)
· Custom X-Z: Midpoint = (X, none, Z)
· Custom Y-Z: Midpoint = (none, Y, Z)
· Custom X: Midpoint = (X, none, none)
· Custom Y: Midpoint = (none, Y, none)
· Custom Z: Midpoint = (none, none, Z)
· None: no Midpoint (the motion track is a straight line)

Rotation order/Angles
Specifies the order and the Angles to rotate around the Spin Axes during the Effect. For example, if the order was set to Y-X-Z, the component would first rotate Y degrees around Y axis, then rotate X degrees around X axis and finally rotate Z degrees around Z axis.

Transforms
Controls the Transforms applied to components as they spin.
· Scale: specifies how much the component is scaled at the start/end of the Effect. A value of 100% means no change in scale
· Alpha: specifies how much the component is faded at the start/end of the Effect. A value of 100% means the alpha of the component is unaffected. A value of 0% means the component is completely faded out
· Color: this specifies the color Transform for the component at start/end of the Effect. The component color is calculated by taking the percentage of the selected color and adding the complementary percentage of the original color. For example, if the given percentage is 30%, the result will be 30% of the selected color mixed with 70% of the original color. A value of 0% means no change in color


Special Complex Effects

Special Complex Effects

Special Complex Effects are Complex Effects that cannot be categorised as Basic or 3D.

Special Complex Effects include:
· Wave Effect
· Typewriter Effect.


Wave

Wave

The Wave Effect applies a rolling wave through the components of a Complex Object.

The Wave Effect can be applied to a Text Object to produce waving banners. The Wave Effect can move letters up and down or side-to-side. Letters can be rotated to follow the wave, and the scale and alpha of each letter can be varied at the wave passes through.

The Wave setting tab of the 'Effect Settings' dialog box is represented below. This dialog box is displayed when you first create the Wave Effect. It can also be displayed by double-clicking the Wave Effect in the Timeline, or right-clicking the Wave Effect and choosing 'Properties' from the context Menu.

Whole Object
If this option is turned on, the Effect applies to the object as a whole, and not to the individual components.

Direction
Controls the direction of the rolling wave.
· -->-->: the wave begins from the left side
· <--<--: the wave begins from the right side
· --><--: the wave begins from the two sides
· <---->: the wave begins from the center

Period
The number of Frames it takes for one complete wave to pass through a particular component. For example, say a Text Object contained the letter T. The Period is the number of Frames it takes for the letter T to move through one complete cycle and return to its original position.

Length
The distance in pixels from the start to the end of the wave. For example, say a Text Object contained the letter T. If the letter T is in its original position, then a component at the given length to the right will also be at rest.

Rotate to follow wave
If this option is turned on the components will rotate to follow the direction of the wave. If you have also specified an Angle in the Transform tab, then this is added on to the calculated angle.

Decay amplitude of wave
If this option is turned on the amplitude of the wave gradually decreases to zero over the duration of the Effect.

+90°
Shifts the phase of the wave by 90°.

No Shift:

Shift by 90°:

X=Y
This option forces the Y value to equal the X value.

Position X/Y
Controls the maximum distance each component moves from its original position. A negative X is left, and a positive X is right. A negative Y is up and a positive Y is down. A value of 0 means no change in position.

Spacing X/Y
Controls the component(X) / line(Y) spacing factors for the component when the wave is farthest from its original position. A value of 100% means no change in spacing.

Scale X/Y
The amount by which each component is scaled horizontally/vertically as the wave passes through. Maximum change in scale will occur when the wave is farthest from its original position. A scale of 100% means the scale will not be varied. A negative value will shrink the component horizontally/vertically as the wave passes through.

Angle X/Y
The amount by which each component's X/Y axis is rotated as the wave passes through. Maximum change in angle will occur when the wave is farthest from its original position. An angle of zero means the axis will not be rotated.

Alpha
The amount by which each component is faded out as the wave passed through. Maximum fade out will occur when the wave is farthest from its original position. An alpha of 100% means the alpha will not varied. A value of 0% means the component is completely faded out as the wave passes through.

Color
This controls the color Transform for the component when the wave is farthest from its original position. The component color is calculated by taking the percentage of the selected color and adding the complementary percentage of the original color. For example, if the given percentage is 30%, the result will be 30% of the selected color mixed with 70% of the original color. A value of 0% means no change in color.


Typewriter

Typewriter

The Typewriter Effect shows the components of a Complex Object one after another, like someone typing text onto the screen, with an optional cursor character. The cursor will only appear when you apply the Typewriter Effect to a Text Object.

The Typewriter setting tab of the 'Effect Settings' dialog box is represented below. This dialog box is displayed when you first create the Typewriter Effect. It can also be displayed by double-clicking the Typewriter Effect in the Timeline, or right-clicking the Typewriter Effect and choosing 'Properties' from the context Menu.

Show character every 'n' frames
Controls the speed at which characters are displayed. A value of 1 will produce the fastest 'typing' possible.

Flash cursor every 'n' frames
Controls the speed at which the cursor flashes. A value of 1 will produce the fastest flashing possible.

At start of line flash cursor n times
This feature determines the number of times the cursor flashes at the start of a line. A value of zero means the cursor will not flash at the start of a line.

At end of line flash cursor 'n' times
This feature determines the number of times the cursor flashes at the end of a line. A value of zero means the cursor will not flash at the end of a line.

Cursor Character
Lets you choose the cursor character for the Typewriter Effect. Choosing a space will result in no cursor being displayed. If the Typewriter Effect is being applied to a Text Object, the cursor font will be the same as the Text Object font.


Revert

Revert

This Revert Effect moves all the components of a Complex Object back to their original positions, scale, rotation, alpha and color value.

The Revert Effect can be applied to a Text Object to move letters back to their original state after a Complex Effect has modified the Text Object. For example, a Revert Effect can be applied after an Explode Effect to restore the original character positions.

There is no Revert tab on the Effect Settings Dialog Box.


Events

Events

All Actions are triggered by some kind of Event. For Scenes, Events occur when the Movie reaches a certain Frame. For objects, Events occur when you interact with the object using the mouse, such as rolling the mouse cursor over the object or clicking on the object.

An Event can trigger more than one Action. For example, when the mouse rolls over an object, the Movie can be stopped (with a Stop Action) and the browser can be told to load an URL into another Frame (with the Goto URL Action).

Event properties appear adjacent to the 'Event/Action' tree in the Actions Panel when you select an Event.


Mouse Events

Mouse Events

Mouse Events occur when the mouse interacts with an object in a Scene.

More than one Event can trigger the same Action, as shown in the example below.

You can insert a Mouse Event either by going to the Action Panel, selecting an object, and pressing 'Add Event'.

When you select a Mouse Event for an object, the Mouse Event Properties are shown adjacent to the 'Event/Action' tree in the Actions Panel.

This contains a list of check boxes showing the Mouse Events. You can select a combination of Events, such as Roll Over and Roll Out, so that the same list of Actions can be performed for different Events. The Events and their triggers are described below:
· Press: press the left mouse button while the cursor is over the object
· Release: release the left mouse button while the cursor is over the object
· Roll Over: move the mouse cursor from outside the object to over it with no mouse button pressed
· Roll Out: move the mouse cursor from over the object to outside it with no mouse button pressed
· Drag Over: move the mouse cursor from outside the object to over it with the left mouse button pressed
· Drag Out: move the mouse cursor from over the object to outside it with the left mouse button pressed
· Release Outside: release the left mouse button after moving the cursor outside the object.

Note: Due to limitations of the Flash Player, the Play Sound and Stop Sound Action cannot be triggered by Drag Over, Drag Out or Release Outside Events

In the example below, both Press and Roll Over Actions will send the Movie to Frame zero.


Frame Events

Frame Events

This Event occurs when the Movie reaches the specified Frame.

For Actions, other than the Preload Content and Set Label Actions, the Event is triggered just before the specified Frame is displayed. See the Preload Content and Set Label Actions for information about how they work.

You can insert a Frame Event either by:
· using the Timeline: selecting the Scene row and pressing Add Action.
· using the Action Panel: selecting a Scene and pressing Add Event, and selecting 'At Frame'.


Actions

Actions

Actions are operations that are triggered by Events.

Actions can alter the playing of the Movie, start or stop sounds, load other Movies or web pages, or communicate with the hosting browser or player.

Action properties appear adjacent to the 'Event/Action' tree in the Actions Panel when you select an Action.

The available Actions are:

Frame Actions
· Set Label
· Preload Content

Control Actions
· Play
· Stop
· Goto Frame

Conditional Actions
· If Frame Loaded

Sprite/Target Actions
· Tell Target
· Transform

External SWF Movie Actions
· Load Movie
· Unload Movie

Sound Actions
· Play Sound
· Stop Sound
· Stop All Sounds

Browser Actions
· Goto URL
· FS Command
· Javascript
· Mailto


Set Label

Set Label

Use this Action to label a Frame. You can use the label to refer to the Frame by name in a Goto Frame or If Frame Loaded Action.

The Set Label Action can only be used with a Frame Event. That is, it has to be applied to a particular Frame of a Scene or Sprite. As with the Preload Content Action, the Frame does not need to be played for the label to be set.

The advantage of using Frame labels is that you can insert or delete Frames without having to change any Goto Frame Actions.

Label
This is the name given ot a particular frame. You should ensure that labels are unique within a Sprite or the main Movie, even if they appear in different Scenes. You can use the same label in different Sprites.

In the example below, we have given Frame 10 the label "Part2". One could then use a Goto Frame Action elsewhere that jumps to the Frame labeled "Part2".


Preload Content

Preload Content

Use this Action to instructs the SWiSH Movie to download (or define) a piece of content before it is used. For instance, you may want to make sure a sound is ready to be played before you issue a Play Sound Action, or an image has been downloaded before it is displayed.

To preload an object immediately before the Frame with the Preload Content Action, the preload option of the object has to be set as 'At Preload action'. The preload option can be found in the Export Panel, the properties dialog box of an image fill style and the sound options dialog box.

Note: There can be more than one Preload Content Action in a Movie. The object to be preloaded will be defined at the closest Frame with the Action before its first use. For example, if the object to be preloaded is first used at Frame 18 and two Preload Content Actions are at Frame 10 and Frame 20, the object will be defined at Frame 10.

Note: The Preload Content action is not required to use content. For example, if a sound has not been preloaded when a Play Sound Action is encountered, the sound will be automatically downloaded.

See also Creating a Preloader for further information.

There are no options for the Preload Content Action.


Play

Play

Use this Action to play the main Movie or a Sprite. If the Movie or Sprite is stopped, the Play action will cause it to resume playing from the current frame. If the Movie or Sprite is already playing, then the Play action will have no effect. Use the Tell Target Action to tell a different Movie or Sprite to start (or resume) playing. If the

There are no options for the Play Action.


Stop

Stop

Use this action to stop the main Movie or a Sprite. If the Movie or Sprite is playing, the Stop action will cause it to stop. If the Movie or Sprite is already stopped, then the Stop action will have no effect. Use the Tell Target Action to stop a different Movie or Sprite.

There are no options for the Stop Action.


Goto Frame

Goto Frame

Use this Action to go to another Frame. The Frame can be in the same Scene or another Scene.

When you use the Goto Frame Action with a Frame Event, the Goto Frame happens before the Frame containing the Action is displayed.

Note: A Goto Frame Action will have no effect until the Frame it is to go to is loaded

You can use the Tell Target Action to tell another Sprite, or the main Movie, to go to another Frame.

You can specify the Frame you want to go to in one of four different ways:
· by Frame number within a Scene
· by Frame label
· the following Frame
· the previous Frame.

Number

Select the Scene containing the Frame you want to go to. Enter the Frame number (starting from zero) in the 'Actions' Panel. You can select the Scene directly by name, or use one of the five special Scene names:
· _THIS_SCENE_
· _FIRST_SCENE_
· _LAST_SCENE_
· _PREV_SCENE_
· _NEXT_SCENE_.

Label

Select the label of the Frame you want to go to. The frame can be anywhere in the current Movie or Sprite. You do not need to select the Scene containing the labeled Frame. See the Set Label Action.

Next

The current Frame is skipped and the following Frame is displayed.

Prev.

The current Frame is skipped and the previous Frame is displayed.

Scene
The Scene selection only appears when you select the Number option (see above). If the Goto Frame Action is targetting a sprite, then you cannot select a scene, as sprites do not have scenes within them.

Play
When the Play function is turned on (the default setting), the Movie or Sprite will continue playing from the Frame you specify. If turned off, the Movie or Sprite will display the Frame you specify and then stop.

In the example below, the Movie will jump to Frame 22 of Scene "Scene 1" when the mouse button is pressed inside the current object. The Movie will keep playing from that Frame after the jump.


If Frame Loaded

If Frame Loaded

Use this action to perform Actions only if a given Frame has been loaded. This can be useful when creating a preloader.

You can specify the Frame you want to test for in one of two ways: by Frame number within a Scene, or by Frame label.

Number

Select the Scene containing the Frame you want to go to. Enter the Frame number (starting from zero) in the 'Action' Panel. You can select the Scene directly by name, or use one of the five special Scene names:
· _THIS_SCENE_
· _FIRST_SCENE_
· _LAST_SCENE_
· _PREV_SCENE_
· _NEXT_SCENE_.

Label

Select the label of the Frame you want to go to. The Frame can be anywhere in the current Movie or Sprite. You do not need to select the Scene containing the labeled Frame. See the Set Label Action.

Scene
The Scene selection only appears when you select the 'Number' option (see above).

Not
If you tick the [x] Not checkbox option, then the actions will be carried out only if the frame is not already loaded. You can also use the Else action in the list of actions to perform to provide an alternative set of actions when the condition is not met.

In the example below, the SWiSH Movie is instructed to jump to Frame 0 of Scene 2, only when Frame 0 of Scene 2 has been downloaded.

Note: In this case, an If Frame Loaded Action is not strictly necessary, as the Goto Frame Action will not do anything if the Frame it is to go to is not yet loaded.


Tell Target

Tell Target

Use this Action to direct all its child Actions to the named Sprite/Movie rather than the current Sprite/Movie.

Tell Target is useful when you have Sprites or loaded Movies at other levels. It lets Sprites do things to each other. It also lets the Sprite do things to the main Movie and vice versa.

Note: Sprites that have Mouse Events or are inside a Button State cannot act as targets, even if they have a name. Also Sprites that are within an unnamed Sprite or a Group can only be referred to from within the Sprite itself (i.e. from one of the objects inside the Sprite)

Targets can be nested inside other targets. In this case, you need to specify a target by either an absolute or relative target path. An absolute target path starts with a '/'. A relative target path starts with either the name of a child Sprite or a '..' to mean the parent Sprite (or Scene). In both cases the path works down (or up for a '..') through the hierarchy of containing Sprites, with each Sprite name separated by a '/'.

For example, let's assume we have some Sprites like this:

Scene 1
Sprite Tom
Sprite Richard
Sprite Harry

Scene 1 contains two sprites, 'Tom' and 'Harry'. Sprite Tom contains another Sprite 'Richard'.

From within Sprite Tom you could use the following to refer to the other Sprites and Scenes:

'/' refers to Scene 1 (main Movie)
'../' refers to Scene 1 (parent of the current Sprite)
'../Harry' refers to the sibling Sprite called Harry (that is, Harry is within the parent of Tom)
'/Harry' refers to the Sprite within the main Movie called Harry
'Richard' refers to the child Sprite Richard
'/Tom/Richard' refers to the child sprite Richard, which is a child of Tom, which is in the main Movie.

In the example below, the Tell Target Action will send "My Sprite" to Frame 0 when the mouse button is pressed inside the current object.


Transform

Transform

Use this Action to change a property of a sprite or the whole movie. You can change position, scale, rotation, alpha or visibility.

For any of the seven properties, you can either leave the property unchanged (na), set it to a new value (=), add (+=) or subtract (-=) a value, or multiply (*=) or divide (/=) by a constant value or by the corresponding value of another sprite.

When you select an option other than "na" for a property, and edit box appears where you can enter
· a numeric value
· the name of a sprite (target) whose corresponding property value to use
· rnd(lo,hi) to use a random value between lo and hi inclusive

In the Action Tree, the Set Properties action appears like some JavaScript or Flash ActionScript code.

In the example below, we are telling the sprite "MySprite" to move 10 pixels to the right and 20 pixels up and rotate by 45 degrees.


Load Movie

Load Movie

Use this Action to load another .swf file into the current Flash Player.

When a .swf file is loaded, the [0,0] coordinate of the loaded .swf file is aligned with the [0,0] coordinate of the movie or sprite into which is it loaded. The [0,0] coordinate of a .swf file is usually the top-left corner. The [0,0] coordinate inside a sprite is usually the centre. This means if you load a .swf file into a level, the top-left corner of the loaded .swf file will be aligned with the top-left corner of the movie. If you load a .swf file into a sprite, then the top-left corner of the loaded .swf file will be aligned with the center of the sprite.

If you are exporting a .swf file from SWiSH, you can specify that the [0,0] coordinate of the movie is in the centre, rather than the top left. To od this, change the "Offset to suit use as a Movie Clip" option in the Movie Export Panel.

Movie URL
You can specify an absolute or relative URL of the .swf file to load. If you do not specify an absolute URL for the .swf file, the Flash Player will assume the relative URLs are based on the URL for the currently open .swf file. When running in a browser, you can override the base URL using the 'Base' option on the HTML Export Panel. When playing within SWiSH, or using the File | Test | In Player or File | Test | In Browser commands, the default folder is the one selected in the Tools | Preferences dialog. If you want to be able to test the Load Movie action, then you need to ensure that there the .swf files can be found in the selected folder.

Sprite
You can load the .swf file into the current sprite or scene. The .swf file replaces the previous content of the sprite, however, the position and size of the sprite, and any effects applied to it will apply to the loaded .swf instead.

Level
You can specify a level into which to load the .swf file. Movies loaded with higher levels appear in front of those with lower levels. The Movie that was loaded first is always loaded at the bottom level, level 0. The Movie at level 0 sets the Frame Rate, background color, and Frame size for all other loaded Movies. Movies are then stacked in higher numbered levels above the Movie at level 0. You can replace a Movie at a given level by simply loading another Movie into that level. In particular, you can Chain movies together by loading another Movie over the current Movie at level 0.


Unload Movie

Unload Movie

Use this Action to unload a .swf file that was previously loaded in a specified level.

Level
You can specify the Movie level that you want unloaded. Any .swf Movie playing in that level is cleared. See the Load Movie Action for more information.


Play Sound

Play Sound

Use this Action to play a sound.

Only sounds that have been imported can be selected. Use the 'Import...' or 'Reload' buttons to import/reload a .wav or .mp3 sound file.

Note: Due to a limitation in the Flash Player, sounds will only play in response to a Frame Event, or to the Mouse Events, Press, Release, Roll Over or Roll Out. Sounds cannot be played in response to the Mouse Events, Drag Over, Drag Out or Release Outside.

Note: Due to a limitation in the Flash Player, MP3 sounds must have a sample rate of 11025Hz, 22050Hz or 44100Hz.

Import...
You can import a sound file into the movie using the 'Import...' button. You can import Windows .wav files or .mp3 sound files.

Reload
You can reload a previously loaded sound file by selecting the sound in the content tree and using the 'Reload' button. This is useful if the sound file on disk had changed since the last time it was loaded.

Delete
You can delete a sound file from the Movie by selecting it in the 'Content' tree and using the 'Delete' button. This does not delete the sound from your disk drive, it only removes it from within the .swi file and makes it no longer available for playing.

Options
You can change options for the playback of a sound by selecting it in the 'Content' tree and using the 'Options' button. This displays the Play Options dialog from, which you can change compression type, looping, volume and simple effects.

Content tree
The 'Content' tree show you the sound objects that are available for playing in this Movie.

Play Options dialog box
Clicking the 'Options' button on the Play Sound section of the 'Action Panel' shows the Play Options dialog box.

· Compression: specifies the compression method for the sound. The available options are None, ADPCM and MP3
· Loop sound: specifies how many times the sound will be played. In the example above, the sound called "chimes.wav" is played 10 times. Due to a limitation in the Flash Player there is no 'infinite loop' option. If you want your sound to loop for a very long time, enter a large number such as 50,000
· Volume: specifies the volume of the sound for playback as a percentage of the original volume
· Do not play if already playing: lets you stop a sound being triggered multiple times
· Always use LAME MP3 encoder: makes SWiSH to use LAME MP3 encoder to compress the sound instead of using Windows' MP3 CODEC.
· Sound effect: specifies simple sound effects, including fading in or out and panning effects
· Preload sound: specifies when the sound is defined in the .swf file. See the discussion on the object page of the Export Panel for more information
· Play: plays the sound with the current setting
· Stop: stops the currently playing sound. This is useful for a long sound, or a sound with a large number of loops

In the example below, the sound called "chimes.wav" is played when the movie reaches Frame 10.

See also Adding Music and Sounds for further information.


Stop Sound

Stop Sound

Use this Action to stop playing the selected sound.

The options and limitations are the same as for the Play Sound Action. However, instead of playing the selected sound, it is stopped.


Stop All Sounds

Stop All Sounds

Use this Action to stop playing all sounds that are currently playing for this Movie or Sprite.

There are no options for this Action.


Goto URL

Goto URL

Use this Action to load an URL into the specified Target Frame of the browser (or whatever program is playing the Movie).

Note: When playing within SWiSH, Goto URL Actions are not performed.

Movie URL
You can specify an absolute or relative URL of the file to load. If you do not specify an absolute URL for the file, the Flash Player will assume the relative URLs are based on the URL for the currently open .swf file. When running in a browser, you can override 'the base URL using the 'Base' option on the HTML Export Panel.

Target
You can specify an HTML Target Frame to load the file into. This is not the same as a Frame in the SWiSH Movie, but rather an HTML Frame. You can leave this blank if you do not understand HTML Frames, or simply want to replace the page that contains the Movie with the specified URL.

In the example below, the browser will load the URL "http://www.swishzone.com" when the mouse button is pressed inside the current object.


FS Command

FS Command

Use this Action to send commands to the browser or player.

Command
You can specify the command to enter.

Argument
This provides extra information to the script for the given command.

Note: When playing within SWiSH, FS Command Actions are not performed

Using FSCommand with the stand-alone Flash Player or Projector
If the .swf Movie is playing within a stand-alone Flash Player or a projector, then you can only use one of the predefined FS commands. Those predefined FS commands appear in the drop-down list on the FS Command action page:

AllowScale
True: displays the SWF scaled (not always 100%)
False: SWF is always 100%.

ShowMenu
True: displays the full Flash Menu on right-click (Windows). Displays the full Flash Menu on control click (Mac)
False: displays "About Shockwave Flash" only (Windows). Greys out the Menu (Macintosh).

FullScreen
True: SWF is displayed full screen
False: SWF is displayed at original size.

Exec
Program Name: executes the specified program. This command is valid for stand-alone projectors only.

Quit
Quits the SWF.

Using FS Command within an HTML document in a browser
If the Movie is playing within an HTML document in a browser, then there are no predefined commands. Instead, the FS Command Action triggers some JavaScript/VBScript within the HTML page. This script has to test for the command name, and should then run appropriate script commands. The argument value is also available to the script to use as it is required.

When you use the 'Export HTML' command, SWiSH will add the necessary basic script to the HTML document when you export the movie. All you have to do is to implement the function at the place marked as "// ADD YOUR CODE HERE" in the exported HTML document.

In the example below, the Movie will call the embedded script function TestFunction in the HTML document when the mouse button is pressed inside the current object.

SWiSH will add the following script to the beginning of the HTML document when you export the movie. Then you can replace "// ADD YOUR CODE HERE" with your own code.

<SCRIPT LANGUAGE="JavaScript">
<!--
// Detect Browser
var InternetExplorer = navigator.appName.indexOf("Microsoft") != -1;
// FSCommand handler for Netscape
function Movie1_DoFSCommand(command, args) {
var Movie1Obj = InternetExplorer ? Movie1 : document.Movie1;
if (command=="TestFunction") {
// ADD YOUR CODE HERE
}
}
//-->
</SCRIPT>
<SCRIPT LANGUAGE="VBScript">
<!--
// FSCommand handler for VBScript and ActiveX
Sub Movie1_FSCommand(ByVal command, ByVal args)
call Movie1_DoFSCommand(command, args)
end sub
//-->
</SCRIPT>


Javascript

Javascript

Use this Action to directly execute some Javascript.

The javascript can have multiple lines. SWiSH will automatically 'escape' the blanks and newlines etc, prepends "javascript:", and appends ";void(0);" before sending it to the browser. This means you only have to include the actual javascript code itself.

Note: When playing within SWiSH or within a stand-alone player, Javascript actions are not performed.

In the example below, the browser will call the specified JavaScript code to display the message "Hello World" in a dialog box when the mouse button is pressed inside the current object.


Mailto

Mailto

Use this Action to send email.

When the Mailto Action is executed, the Flash Player will start the default email client. The fields you have specified will be already filled in. The user can edit any of these or fill in any that are blank and then send the message.

To
You can put in the email address of the recipient.

CC
You can put in the email address of the recipient of a copy of the message.

Subject
You can supply a subject line for the message.

Message body
You can supply text for the message.

In the example below, the Movie will allow the user to send an email to support@swishzone.com and a copy to sales@swishzone.com.


User Interface

User Interface

The SWiSH User Interface is made up of the following components:

· Main Menu
· Toolbox
· Toolbars including the Standard, Insert and Control Toolbars
· Panels including the Timeline, Outline, Layout and Text Panels
· Status Bar.

Each of these features are indicated in the illustration below.


Main Menu

Main Menu

The Main Menu is located at the top of the 'SWiSH application' window. From here you can select commands and options. You can also access many of the Main Menu commands and options from the Toolbars.

The Menus are:
· File
· Edit
· View
· Insert
· Modify
· Control
· Tools
· Panels
· Help.

To describe pathways through the Menu system, the '|' character is used to indicate a selection on the next level of the Menu system.
For example, File | Open... means the command can be accessed by selecting File from the Main Menu and then Open from the Submenu.

Shortcut keys shown as (key sequence) allow direct access to the command.
For example, File | Open... (Ctrl + O) means the command can also be accessed by pressing the Control and O keys simultaneously.

If the command is available from a Toolbar, the associated icon is shown.


File Menu

File Menu

The File Menu enables you to work with .swf files and Movies as a whole.

The available options are as follows:

Manage .swi files
· New
· Open...
· Save
· Save As...

Create a new application window
· New Window

External files and testing
· Samples
· Import...
· Export
· Test

Recent files
· Recent Files

Closing windows and exiting
· Close
· Exit.


New

New

File | New (Ctrl+N)
Creates a new SWiSH Movie. If you already have a Movie open, SWiSH will ask you if you want to save it before closing the current Movie and creating a new one.


Open

Open

File | Open... (Ctrl+O)
Opens a .swi (SWiSH Movie) file.

You can also use File | Open to create a new SWiSH Movie into which the file you specify imported. To do this, choose a file with a type and extension that is supported by File | Import.

Note:
· SWiSH cannot open .fla files because it is not a public format
· If you want to open an existing .swf file and do not have the corresponding .swi file, use File | Import to import it into the current Movie


Save

Save

File | Save (Ctrl+S)
Saves the current SWiSH Movie. If it is a new Movie, SWiSH will ask you for a name. There is no need to type in the .swi extension.


Save As

Save As

File | Save As...
Saves the current SWiSH Movie under a new name. There is no need to type in the .swi extension.


New Window

New Window

File | New Window (Ctrl+Shift+N)
Opens a new 'SWiSH application' window. You can create or edit different SWiSH Movies in different windows. This allows you to copy objects from one Movie and paste to another.


Samples

Samples

File | Samples
The Samples Menu contains a list of sample .swi Movies that demonstrate various features of SWiSH.

The following examples are included in the Samples folder to illustrate some of the potential of this new version of SWiSH. Others will be posted on www.swishzone.com in the future.

Snakes.swi
This example was produced by Roger Onslow to illustrate the many Effect variations possible using the Snake Effect in SWiSH v2. A study of the settings used in each of these variations will assist you in understanding what they do. It also includes, as a bonus, Scenes which demonstrate a Radarscope Effect, and a Spotlight Effect produced with a masked Sprite and three vector objects.

Pseudo3D.swi
This example, produced by Dawn Barrie, also shows some variations on the Snake Effect, but uses the gradient fill properties of vector objects to show how a pseudo 3D Effect can be produced. It also demonstrates an Explode Effect applied to a 'sheet of glass' (a group of vector shapes).

Ray of Light.swi
This example was also produced by Dawn Barrie, to illustrate the use of vector shapes and gradient fills to produce the Effect of light beaming out from, and sweeping across, the letters of a word.

Spritedemo.swi
This example was produced by David Petley to illustrate the use of masked Sprites. An inspection will show the use of Sprites within Sprites.

Actions.swi, Buttons.swi, First.swi
The Actions, Buttons and First samples are used in the tutorials.

Three other examples from SWiSH v1.5 are also included. They illustrate some basic techniques.

Promo.swi
The demonstrates how Text Effects, which include Squeeze, Scale and Wave are simply and effectively applied.

Preloader.swi
This is a basic preloader. SWiSH v2 provides more preload options than SWiSH v1.5, but this shows the basics.

Menu.swi
This example shows how easy it can be to apply Mouse Events to Text Objects and, although this only shows the Goto URL Action, there are many other Actions that can be applied.


Import

Import

File | Import...
Imports an external file into the current Scene. SWiSH currently supports the following formats:

Text
· Plain text (*.txt)

Images (raster)
· Windows Bitmap (*.bmp; *.dib)
· GIF Image (*.gif)
· JPEG Image (*.jpg; *.if, *.jpeg)
· PNG Image (*.png)

Graphics (vector)
· Windows Metafile (*.wmf)
· Enhanced Metafile (*.emf)
· Flash Graphics (*.swf)

Animation
· Animated GIF (*.gif)
· Flash Animation (*.swf)
· Flash Projector (*.exe)

Note: When importing a Flash Animation (*.swf) file, SWiSH does not import any sounds, actions, morph shapes or external video streams, and all clipping (mask) settings are ignored.

Sound
· Wave sounds (*.wav)
· MP3 sounds (*.mp3)

Note: When importing a sound, SWiSH will add a Play Sound action that will play the sound to the current frame of the current scene or sprite.

Import Frames
The 'Import Frames' dialog box appears when you import an animation. With this dialog box, you can select the Frames you want to import.

Select All Frames button
To select all Frames in the Frame list.

Import background
The background rectangle will be imported if this option is checked.

Import as a Sprite
The selected Frames will be imported as a Sprite if this option is checked. Otherwise, the selected Frames will be imported as a group of pictures.

Masked
The imported sprite will be masked by the background rectangle if this option is checked.

Show File Information...
Displays the details of the file to be imported.


Export

Export

File | Export | SWF... (Ctrl+E)
Exports the current SWiSH Movie to a .swf file. You can import the .swf file into Flash by choosing File | Import and selecting Files of Type: Flash Player (*.swf, *.spl) on the 'Flash Import' dialog box. See the tutorial on Importing a SWiSH Movie into Flash.

File | Export | HTML... (Ctrl+P)
Creates an .htm and .swf file for uploading to your web site. Both the .htm and .swf files will have the name you enter on the 'Publish SWiSH Movie' dialog box.

Note: Once these files have been created, simply upload to your web server (using FTP or similar). That's it. No other files are necessary to play your SWiSH Movie over the internet

File | Export | AVI... (Ctrl+D)
Exports SWiSH Movies in the .avi video format. Actions (except sounds), buttons and other interactive components are excluded.

Note: During the export process, the 'SWiSH main application' window will be minimized. The export process is done in two stages: capturing audio and recording data.
During capturing audio:
· make sure your computer is not running a heavy process as this will affect the quality of the exported audio
· Do not press the 'Cancel' button and then 'Continue' otherwise the exported audio might be out of synchrony

File | Export | HTML to Clipboard
Copies the HTML code for embedding the .swf file to the Clipboard. If you wish to insert your Flash Movie into an existing web page, just paste the code in the Clipboard into your existing web page. The HTML code does not include any scripting functions.

Note: You can export to a standalone projector .exe file. Use File | Test | In Player. Then you can select File | Create Projector from within the Flash Player.


Test

Test

File | Test | In Player
Creates a temporary .swf file, launches the Flash Player and plays the current SWiSH Movie in the Flash Player.

Note: You must have the stand-alone Flash Player installed on your system and .swf files must be associated with the Flash Player

Note: You can also use this to create a stand-alone projector .exe file. Use File | Test | In Player, then select File | Create Projector from within the Flash Player.

File | Test | In Browser
Creates temporary .htm and .swf files, launches the default browser and displays the HTML page containing the Movie in the browser.

Note: You must have at least one browser associated with .htm files

File | Test | Report
Displays the details of the Movie to be exported.


Recent Files

Recent Files

Below the Test Menu item and above the Close Menu item, you will see a list of the four most recently used files. Select any of these Menu options to open the file.


Close

Close

File | Close (Ctrl+F4)
Closes the current SWiSH Movie. The 'application' window for the current SWiSH Movie will be closed, unless it is the only 'SWiSH application' window left open, in which case this has the same effect as File | New. File | Close will never shut down the last 'SWiSH application' window.


Exit

Exit

File | Exit
Exits the SWiSH application. All 'SWiSH' windows will be closed.


Edit Menu

Edit Menu

The Edit Menu enables you to make changes to a Movie.

The available options are as follows:

Undo or Redo changes
· Undo
· Redo

Copy, Paste and Delete Scene, object, Effects, etc.
· Cut
· Copy
· Paste
· Delete

Create an Instance of a selected Sprite
· Make Instance

For showing or hiding objects
· Show
· Hide
· Show All States

Select all objects
· Select All

Show the properties of an object, Effect, etc.
· Properties.


Undo

Undo

Edit | Undo (Ctrl+Z)
To Undo the last change made to the current SWiSH Movie. SWiSH supports unlimited Undo/Redo commands. Almost all changes can be undone.


Redo

Redo

Edit | Redo (Ctrl+Y)
To Redo the last change made to the current SWiSH Movie. SWiSH supports unlimited Undo/Redo commands. Almost all changes can be redone.


Cut

Cut

Edit | Cut (Ctrl+X)
Deletes the currently selected object or Effect and copies it to the Clipboard. If no Effect is selected the object will be copied.


Copy

Copy

Edit | Copy (Ctrl+C)
Copies the currently selected object or Effect to the Clipboard. The selected object or Effect is not deleted. If no Effect is selected, the object will be copied.


Paste

Paste

Edit | Paste (Ctrl+V)
Pastes the object or Effect in the Clipboard to the current SWiSH Movie. If an object is being pasted, it is added to the current Scene/Sprite/Button State/Group in the center of the Movie at the top of the stacking order. If an Effect is being pasted, it is inserted at the current Frame of the selected object.


Delete

Delete

Edit | Delete (Delete)
Deletes the currently selected object or Effect.


Make Instance

Make Instance

Edit | Make Instance
Creates an Instance of the selected Sprite. An Instance is a clone of a reference Sprite. The contents of the Instance and its reference Sprite are always consistent. Making changes to the Instance will also change the reference Sprite and vice versa.

Note: The selected Sprite must have a name or must itself be an instance of another Sprite


Show

Show

Edit | Show
Shows the selected object(s).


Hide

Hide

Edit | Hide
Hides the selected object(s). However, hidden objects will still appear when the Movie is played.


Show All States

Show All States

Edit | Show All States
Shows all states (Up, Over, Down and Hit) of a button translucently, to help you position and edit the objects in those states. The state you have selected will appear darker.


Select All

Select All

Edit | Select All (Ctrl+A)
Selects all objects in the current Scene.


Properties

Properties

Edit | Properties (Alt+Enter)
Displays the properties of the selected object or tool in Object Panel.


View Menu

View Menu

The View Menu enables you to show and hide windows and change the view of the Movie.

The available options are as follows:

Preview Frame mode
· Preview Frame

Toolbars and Status Bar and Ruler
· Toolbars
· Status bar
· Rulers

Zooming
· Zoom in
· Zoom out
· View at 100%
· Fit Scene in Window
· Fit Objects in Window

Grids and snapping
· Show Grid
· Snap to Grid
· Snap to Object Handles.

Display quality
· Show All Images
· Smooth Edges and Images


Preview Frame

Preview Frame

View | Preview Frame
'Preview Frame' mode previews the current Frame in the Layout Panel.

In Preview Frame Mode, you can move, scale, rotate and skew objects in Keyframes using Select/Scale tool [image] and Rotate/Skew tool [image].

See the Preview Frame Mode tutorial for more information.


Toolbars

Toolbars

View | Toolbars
Shows or hides a specific Toolbar. See the Toolbars topic for a list of Toolbars.


Status Bar

Status Bar

View | Status Bar
Shows or hides the Status Bar.

The Status Bar is at the bottom of the SWiSH v2 window and is used to display Help for the selected command or tool. The Status Bar also displays the estimated file size of the exported .swf file.

Note: The actual file size of the export .swf may be smaller depending on the optimizations selected on the Export Panel.


Rulers

Rulers

View | Rulers
Shows or hides Rulers in the Layout Panel.


Zoom In

Zoom In

View | Zoom In
To increase the zoom factor of the Layout Panel, such that the Movie is displayed 50% larger than its previous size.


Zoom Out

Zoom Out

View | Zoom Out
To decrease the zoom factor of the Layout Panel, such that the Movie is displayed at two-thirds its previous size.


View at 100%

View at 100%

View | View at 100%
Views the Movie at its actual size in the Layout Panel.


Fit Scene in Window

Fit Scene in Window

View | Fit Scene in Window
To fit the entire Scene (stage area) into the Layout Panel.


Fit Objects in Window

Fit Objects in Window

View | Fit Objects in Window
To fit all selected objects into the Layout Panel. If no object is selected, fit all objects in the Scene into the Layout Panel.


Show Grid

Show Grid

View | Show Grid
Displays or hides the Grid on the Layout Panel. The Grid is a network of evenly spaced horizontal and vertical lines that cover the canvas. It can help you to align your artwork and arrange objects symmetrically. You can change the Grid settings on the Movie Panel.


Snap to Grid

Snap to Grid

View | Snap to Grid
Have objects Snap to the Grid while moving or editing. It will automatically align objects along your Grid when they come within a certain distance of it. You can change the Grid settings on the Movie Panel.


Snap to Object Handles

Snap to Object Handles

View | Snap to Object Handles
To have an object Snap to another object's handles while moving or editing. You can change the settings on the Movie Panel.


Show All Images

Show All Images

View | Show All Images
When this option is checked SWiSH will display all images in the Layout Panel. When this option is unchecked only selected images will be displayed.

Uncheck this option if SWiSH is taking a long time to redisplay the Layout Panel.


Smooth Edges and Images

Smooth Edges and Images

View | Smooth Edges and Images
When this option is checked SWiSH will anti-alias the edges of shapes and text, and smooth images that have been resized. When this option is unchecked text and shapes may have jagged edges and resized images will appear to pixelate.

Uncheck this option if SWiSH is taking a long time to redisplay the Layout Panel.


Insert Menu

Insert Menu

The Insert Menu enables you to add things to the Movie.

The available options are as follows:

Add Scenes
· Scene

Add objects
· Text
· Button
· Sprite
· Image...
· Content...
· Instance...

Effects and interactivity
· Effect
· Event
· Action

Frames
· Insert Frame
· Delete Frame.


Scene

Scene

Insert | Scene
Inserts a new Scene into the Movie.


Text

Text

Insert | Text
Inserts text into the current Scene/Sprite/Group. You can edit the text in the Text Panel.


Button

Button

Insert | Button
Inserts a button into the current Scene/Sprite/Group.


Sprite

Sprite

Insert | Sprite
Inserts a Sprite into the current Scene/Sprite/Group.


Image...

Image...

Insert | Image...
Inserts an image from an external file into the current Scene/Sprite/Group.

SWiSH currently supports the following image formats:
· Windows Bitmap (*.bmp; *.dib)
· GIF Image (*.gif)
· JPEG Image (*.jpg; *.jif, *.jpeg)
· PNG Image (*.png).


Content...

Content...

Insert | Content...
Inserts an external file into the current Scene/Sprite/Group.

This is the same as the File | Import command.


Instance...

Instance...

Insert | Instance...
Inserts an Instance of a specific Sprite into the current Scene/Sprite/Group.

An Instance is a clone of a reference Sprite. The contents of the Instance and its reference Sprite are always consistent. Making changes to the Instance will also change the reference Sprite and vice versa.


Effect

Effect

Insert | Effect
Inserts an Effect to the selected object at the current Frame. The Submenu has a list of the available Effects. Some of the effects have a further sub-menu where you can select the basic effect, or one of the preset effects you have recently used (saved or loaded).


Event

Event

Insert | Event
Adds a Mouse Event to the selected object or add a Frame Event to the current Frame. The Event can be edited in the Actions Panel.


Action

Action

Insert | Action
Adds an Action to the current Event handler of the selected object or the current Frame. The Action can be edited in the Actions Panel.

Note:
· If the selected object does not have any mouse Events, an On Release mouse Event will be added before inserting the Action
· If the current Frame does not have a Frame Event, an At Frame Event will be added before inserting the Action


Insert Frame

Insert Frame

Insert | Insert Frame (F5)
Inserts a new Frame before the current Frame in the Timeline.


Delete Frame

Delete Frame

Insert | Delete Frame (Shift+F5)
Deletes the current Frame from the Timeline.


Modify Menu

Modify Menu

The Modify Menu enables you to change the properties of the currently selected object(s).

The available Submenus are as follows:

Grouping and Convert
· Grouping
· Convert

Change layer and Transform
· Order
· Transform

Change text objects
· Alignment
· Justification
· Appearance.


Grouping

Grouping

Modify | Grouping | Group (Ctrl+G)
To Group selected objects together. Complex Effects can then be applied to the Group.

Note: Because a Group does not have its own Timeline, SWiSH converts any objects with Effects into Sprites before grouping

Modify | Grouping | Group as Sprite
Groups the selected objects together as a Sprite.

Modify | Grouping | Group as Shape
Groups the selected objects together as a single shape.

Note:
· If you want to use multiple Text or Shape Objects as a mask, you should group them as a shape

· Objects with Effects/Events cannot be grouped as a single shape, as you will lose the Effects and Events. You should manually remove these before grouping if desired

· After grouping as a single shape, the overlapped regions of objects with the same fill style will become empty. You can use this feature to punch a hole in a shape as shown below

· If you use the merged shape as a mask, any overlapping regions will be empty (see below left). If you want the overlapping regions to be filled, then check the 'Solid shape with overlap filled' option in the Shape Panel (see below right). If you use this setting on a shape that is not being used as a mask, then the shape will always have a solid fill with no outline, regardless of the fill and line styles specified

· After grouping as a single shape, the edges of the object behind are no longer covered by the object in front, as shown below

Modify | Grouping | Ungroup (Ctrl+U)
Splits a Group or Sprite into separate objects.


Convert

Convert

Modify | Convert | Convert to Button
Converts the selected objects into individual Buttons.

Modify | Convert | Convert to Sprite
Converts the selected object into individual Sprites.

Modify | Convert | Convert to Shapes
Converts the selected objects into Groups of shapes.

Note: The text is converted into shapes according to the text object's Text as shapes setting in the Export Panel

· Disabled/Colored+Scaled: SWiSH generates separate shape definitions for each combination of font size or color. Different characters will be represented by the different shapes without using any scale and color Transform
· Colored: SWiSH generates separate shape definitions for each color, regardless of the font size. The characters which are only different in scale will be represented by the same shape definition but using different scale Transforms
· Normalized: Text is converted into shapes. SWiSH generates a single set of shape definitions for each letter, regardless of the font size of color. Characters that are only different in scale and color will be represented by the same shape definition, but using different scale and color Transforms

Modify | Convert | Convert to Letters
Converts the selected Text Objects into Groups of letters.


Order

Order

Modify | Order | Bring to Front
Moves the selected object in front of all other objects.

Modify | Order | Send to Back
Moves the selected object behind all other objects.

Modify | Order | Bring Forward
Moves the selected object one step closer to the top of the stack of objects.

Modify | Order | Send Backward
Moves the selected object one step closer to the bottom of the stack of objects.


Transform

Transform

Modify | Transform | Rotate 90
Rotates the selected object by 90 degrees.

Modify | Transform | Rotate 180
Rotates the selected object by 180 degrees.

Modify | Transform | Rotate 270
Rotates the selected object by 270 degrees.

Modify | Transform | Flip Horizontal
Flips the selected object horizontally.

Modify | Transform | Flip Vertical
Flips the selected object vertically.

Modify | Transform | Reset
Resets the Transform to default settings, except for position.


Alignment

Alignment

Alignment specifies what you mean by the 'position' of the object. For example, when you talk about the position of the object, you may be referring to where the center of the object is. The alignment position can be one of nine preset positions on the corners, edges and center of the object. The alignment position is also the center for rotation and scaling of the object. You can see the co-ordinates of the alignment position in the 'Transform' Panel.

Modify | Alignment | Top Left
Sets the alignment position to be at the top left of the object.

Modify | Alignment | Top Center
Sets the alignment position to be at the top center of the object.

Modify | Alignment | Top Right
Sets the alignment position to be at the top right of the object.

Modify | Alignment | Center Left
Sets the alignment position to be at the center left of the object.

Modify | Alignment | Center
Sets the alignment position to be at the center of the object.

Modify | Alignment | Center Right
Sets the alignment position to be at the center right of the object.

Modify | Alignment | Bottom Left
Sets the alignment position to be at the bottom left of the object.

Modify | Alignment | Bottom Center
Sets the alignment position to be at the bottom center of the object.

Modify | Alignment | Bottom Right
Sets the alignment position to be at the bottom right of the object.


Justification

Justification

Modify | Justification | Align Left/Top
Aligns the lines of the selected text to the left/top with ragged right/bottom edge.

Modify | Justification | Center
Centers the lines of the selected text with ragged right and left edges.

Modify | Justification | Align Right/Bottom
Aligns the lines of the selected text to the right/bottom with ragged left/top edge.

Modify | Justification | Align Full
Aligns the lines of the selected text on both sides.


Appearance

Appearance

Modify | Appearance | Bold (Ctrl+B)
Makes the selected text bold (toggle).

Modify | Appearance | Italic (Ctrl+I)
Makes the selected text italic (toggle).

Modify | Appearance | LR-TB Flow
Displays the selected text from left to right, top to bottom.

Modify | Appearance | TB-RL Flow
Displays the selected text from top to bottom, right to left.

Modify | Appearance | RL-TB Flow
Displays the selected text from right to left, top to bottom.

Modify | Appearance | TB-LR Flow
Displays the selected text from top to bottom, left to right.


Control Menu

Control Menu

The Control Menu enables you to control how the Movie is played and previewed.

The available options are as follows:

Play
· Play Movie
· Play Scene
· Play Effect
· Preview Frame

Stop
· Stop

Move the play head
· Step Forward
· Step Back
· Cue to End
· Rewind to Start.


Play Movie

Play Movie

Control | Play Movie
Plays the Movie.


Play Scene

Play Scene

Control | Play Scene
Plays the current Scene only.


Play Effect

Play Effect

Control | Play Effect
Plays the part of the Scene containing the currently selected Effects.


Preview Frame

Preview Frame

Control | Preview Frame
Switches to 'Preview Frame' mode to preview the current Frame in the 'Layout' window. In 'Preview Frame' mode, you can move, scale, rotate and skew objects in Keyframes using Select/Scale tool [image] and Rotate/Skew tool [image].

See the Preview Frame Mode tutorial for more information.


Stop

Stop

Control | Stop
Stops playing the Movie, Scene or Effect.


Step Forward

Step Forward

Control | Step Forward
Steps forward to the next Frame in 'Preview Frame' mode.


Step Back

Step Back

Control | Step Back
Steps back to the previous Frame in 'Preview Frame' mode.


Cue to End

Cue to End

Control | Cue to End
Jumps to the last Frame in 'Preview Frame' mode.


Rewind to Start

Rewind to Start

Control | Rewind to Start
Rewinds to the first Frame in 'Preview Frame' mode.


Tools Menu

Tools Menu

The Tools Menu enables you to set application-wide preferences and add your own commands to the SWiSH User Interface.

The available options are as follows:
· Preferences
· Customize
· Keyboard Map.

You can add additional options to the Tools Menu by selecting the Customize option, and then choosing the Tools tab.


Preferences

Preferences

Tools | Preferences
Opens 'Preferences' dialog boxes for setting options in SWiSH.

Show Formatting
Shows the color and font of text objects in the Outline, Timeline and Text Panels.

Color Selector
Converts the selected color to the nearest websafe color. This may be a color selected from the Color Selector, the screen or the Windows Color picker.

Background
Sets the background color of the window for areas outside the Movie in the Layout Panel, and empty space in the Timeline Panel. This uses the Color Selector. Change this setting if you have difficulty seeing window outlines when you drag a Panel, or if your Movie background is the same color as the workspace area.

Load Movie from Folder
Sets the folder to look in for .swf files when a Load Movie action is executed while previewing in SWiSH or testing in the player or browser. You can choose to use either:
· the folder where you last loaded or saved a .swi file
· the folder where you last exported a .swf file
· the folder where you last exported a .html file
· a folder of your choice.


Customize

Customize

Tools | Customize...
Opens a dialog box to customize the Toolbars and Menus.

The available options are as follows:
· Commands Tab: to add/remove a command to/from a Toolbar
· Toolbars Tab: to show/hide a Toolbar or add/rename/delete a custom Toolbar
· Tools Tab: to add/edit/remove an external command to/in/from the Tools Menu
· Keyboard Tab: to add/remove a shortcut key to/from a command
· Menu Tab: to add/remove a command to/from a Menu
· Options Tab: to configure the 'look' of Menus and Toolbars.


Commands

Commands

To add a command to a Toolbar
1. Select a Menu in the 'Categories' box
2. Drag the command you want from the 'Commands' box to the displayed Toolbar.

To remove a command from a Toolbar
Simply drag the icon off the Toolbar.


Toolbars

Toolbars

To show/hide a Toolbar
1. Select an option from the 'Toolbars' box
2. Tick/Untick the check box to show/hide the selected Toolbar.

To add a custom Toolbar
1. Click the 'New...' button, and in the 'Toolbar Name' box, type a name for the new Toolbar
2. Click the Commands tab
3. In the 'Categories' box, click the category that contains the command that you want to add to the new Toolbar
4. From the 'Commands' options, drag the command to the new Toolbar.

To rename a custom Toolbar
1. In the 'Toolbars' box, click the Toolbar you want to rename
2. Click the 'Rename...' button and type the new name in the 'Toolbar Name' box.

To delete a custom Toolbar
1. In the 'Toolbars box', click the Toolbar you want to delete
2. Click the 'Delete' button.

To reset a Toolbar to the default settings
1. In the 'Toolbars' box, click on the Toolbar you want to reset
2. Click the 'Reset' button.

To reset all Toolbars to the default settings
Click the 'Reset All' button.

To display text labels on Toolbars
1. In the 'Toolbars' box, click the Toolbar you want the text labels be displayed on
2. Check the 'Show text labels' checkbox.


Tools

Tools

To add a command to the Tools Menu
1. Click the [image] 'New' button or double-click the blank area of the 'Menu contents' box
2. Type the name of the tool as you want it to appear on the Tools Menu. To specify a letter in the Menu title as an access key, precede that letter in the 'Menu contents' box with an ampersand (@). The first letter in the title is the keyboard access key by default
3. Highlight the name of the tool you just entered in the 'Menu contents' box
4. In the 'Command' box, browse using the [image] 'Browse' button or type the path and name of the program
5. In the 'Arguments' text box, browse or type any arguments to be passed to the program
6. In the 'Initial directory' box, type the file directory where the command is located.

To remove a command from the Tools Menu
1. In the 'Menu contents' box, select the command you want to delete
2. Click the [image] 'Delete' button or press the Delete key.

To edit a command in the Tools Menu
1. In the 'Menu contents' box, select the command you want to edit
2. To move the command up/down one position in the Menu, click the [image] 'Move Up' or [image] 'Move Down' buttons, respectively. To change the Menu text, 'Command' line (tool path and file name), command-line 'Arguments', or the 'Initial directory', type the new information in the appropriate text box.


Keyboard

Keyboard

To assign a shortcut key
1. In the 'Category' list, select the Menu that contains the command that you wish to assign a shortcut key
2. In the 'Commands' list, select the command that you wish to assign a shortcut key
3. In the 'Press New Shortcut Key' box, press the shortcut key or key combination that you want and click the 'Assign' button. If you press a key or key combination that is currently assigned to another command, an 'Assigned To' section will appear under the 'Press New Shortcut Key' box.

To delete a shortcut key
1. In the 'Category' list, select the Menu that contains the command you wish to delete the shortcut key to
2. From the 'Commands' list, select the command you wish to delete the shortcut key to and click the 'Remove' button.

To reset all shortcut keys to their default values
Click the 'Reset All' button.


Menu

Menu

To add a command to an Application Frame Menu
1. Use the 'Show Menus for' drop-down list to select the Menu you want to customize
2. Click the Commands tab and drag the commands into the Menu.

Note: To remove items, just drag them off the Menu

To reset the Menus to their original configuration
Click the 'Reset' button.

To add a command to a context Menu
1. Use the 'Select context menu' drop-down list to select the pop-up Menu you want to customize
2. Click the Commands tab and drag the commands into the Menu.

Note: To remove items from the pop-up Menu, just drag them off

To select the type of Menu animations
Use the 'Menu animations' drop-down list to select the type of Menu animations. The available options are None, Unfold, Slide and Fade.

To display shadows under open Menus
Tick the 'Menu shadows' checkbox.


Options

Options

Show ScreenTips on Toolbars
Select the 'Show ScreenTips on toolbars' checkbox to display short help text when mouse pointer is positioned over a 'Toolbar' button.

Show shortcut keys in ScreenTips
Select the 'Show shortcut keys in ScreenTips' checkbox to see the possible keyboard shortcut displayed in addition to the short help text.

Large Icons
Select the 'Large Icons' checkbox to display big Toolbar icons.

Look 2000
Select the 'Look 2000' checkbox to enable Windows-2000-style features in the User Interface. This option has only minimal effects, mainly affecting the style of toolbar handles.

Menus show recently used commands first
Select the 'Menus show recently used commands first' checkbox to show only basic and frequently used commands on Menus.

Show full Menus after a short delay
Select the 'Show full menus after a short delay' checkbox to show all commands on the Menu after you rest the mouse pointer over the open Menu for a brief period of time.

Reset my usage data
Click the 'Reset my usage data' button to clear the list of recently used commands saved by SWiSH.


Keyboard Map

Keyboard Map

Tools | Keyboard Map
Displays a map of the current keyboard shortcuts and a brief description of functions.
You can modify your keyboard shortcuts at the Keyboard tab on the Customize dialog box.


Panels Menu

Panels Menu

Panel | Layout
Shows or hides the Layout Panel.

Panel | Timeline
Shows or hides the Timeline Panel.

Panel | Outline
Shows or hides the Outline Panel.

Panel | Movie
Shows or hides the Movie Panel.

Panel | Object
Shows or hides the Object Panel.

Panel | Actions
Shows or hides the Actions Panel.

Panel | Transform
Shows or hides the Transform Panel.

Panel | Color
Shows or hides the Color Panel.

Panel | Export
Shows or hides the Export Panel.

Panel | Reset to Defaults
Resets all panels to their default position.


Help Menu

Help Menu

Help | SWiSH Help Topics
Opens the SWiSH Help file and lists help topics.

Help | SWiSH Tutorials
Opens the SWiSH Help file and shows a list of tutorials.

Help | Go to SWiSH web site
Launches the browser and goes to the SWiSH web site at http://www.swishzone.com.

Help | Go to SWiSH Support Forums
Launches the browser and goes to the SWiSH support forums at http://www.swishzone.com/support_forums.html.

Help | About Macromedia Flash
Launches the browser and goes to the Flash Player web site.

Help | About LAME MP3 Encoder
Displays information about the LAME MP3 encoder.

Help | Purchase SWiSH...
To purchase a copy of SWiSH.

Help | About SWiSH...
Displays application information, version number and copyright information.


Toolbars

Toolbars

The Toolbars provide you with quick access to Menu commands and settings. Each Toolbar has a number of icons on it. These same icons appear with the corresponding Menu item.

You can dock Toolbars on any edge of the 'application' window, or you can float them over the window.

Toolbars can be:
· floated over the 'SWiSH application' window
· docked around the edges of the 'SWiSH application' window.

When floated, each Toolbar has a [image] 'Close' button, which hides the Toolbar.

There are a number of ways to rearrange Toolbars.

You can move a Toolbar around by dragging it by its title bar or gripper. You can drag it to another edge to dock it, or drag it elsewhere to have it float over the 'application' window. You can force a Toolbar to float by holding the Control key while dragging it. You can change the alignment of the Toolbar from horizontal to vertical, or vice versa, by holding the Shift key while dragging. You can double-click on the gripper of a docked Toolbar to float it, or double-click on the title of a floating Toolbar to dock it.

You can customise the appearance and content of Toolbars using the Toolbar Submenu and the Customise command on the View Menu.

The SWiSH Toolbars are:
· Standard
· Insert
· Control
· Grouping
· Export.


Standard

Standard

New (Ctrl+N)
Creates a new Swish Movie.

Open (Ctrl+O)
Opens a .swi (Swish Movie) file.

Save (Ctrl+S)
Saves the current Swish Movie.

Cut (Ctrl+X)
Deletes the currently selected object or Effect and copies it to the Clipboard.

Copy (Ctrl+C)
Copies the currently selected object or Effect to the Clipboard.

Paste (Ctrl+V)
Pastes the object or Effect on the Clipboard to the current Swish Movie.

Delete (Delete)
Deletes the currently selected object or Effect.

Bring Forward
Moves the selected object one step closer to the top of the stack of objects.

Send Backward
Moves the selected object one step closer to the bottom of the stack of objects.

Bring to Front
Moves the selected object in front of all other objects.

Send to Back
Moves the selected object to the back of all other objects.

Undo (Ctrl+Z)
To undo the last change made to the current Swish Movie.

Redo (Ctrl+Y)
To redo the last change made to the current Swish Movie.

Help Topics (F1)
Lists help topics.

Context-sensitive Help (Shift + F1)
Provides help related to a specific topic. Click this button, then click the object you require help with.


Insert

Insert

Insert Scene
Inserts a new Scene into the Movie.

Insert Text
Inserts a Text Object into the current Scene/Sprite/Group.

Insert Image
Inserts an image from an external file into the current Scene/Sprite/Group.

Insert Content
Inserts an external file into the current Scene/Sprite/Group.

Insert Button
Inserts a button into the current Scene/Sprite/Group.

Insert Sprite
Inserts a Sprite into the current Scene/Sprite/Group.


Control

Control

Stop
Stops playing.

Play
Plays the Movie.

Play Scene
Plays the current Scene only.

Play Effect
Plays the current Effect only.

Rewind
Rewinds to the first Frame in Preview Frame mode.

Step Back
Steps back to the previous Frame in Preview Frame mode.

Preview Frame
Switches to Preview Frame mode to preview the current Frame in the Layout Panel.

Step Forward
Steps forward to the next Frame in Preview Frame mode.

Go to End
Jumps to the last Frame in Preview Frame mode.


Grouping

Grouping

Group (Ctrl+G)
Groups the selected objects together.

Group as Sprite
Groups the selected objects together as a Sprite.

Group as Shape
Groups the selected texts and shapes together as a single Shape.

Ungroup (Ctrl+U)
Splits a Group/Sprite/merged-shape into separate objects.

Convert to Button
Converts the selected object into a Button.

Convert to Sprite
Converts the selected object into a Sprite.

Convert to Shapes
Converts the selected object into a group of shapes.

Convert to Letters
Converts the selected text into a group of letters.


Export

Export

Export to SWF (Ctrl+E)
Exports the current Swish Movie to a .swf file.

Export to HTML (Ctrl+P)
Exports the current Swish Movie to a .swf file and an .htm file

Export to AVI (Ctrl+D)
Exports the current Swish Movie to a .avi file.

Test In Browser
Creates temporary .htm and .swf files, launches the default browser and displays the HTML page containing the Movie in the browser.

Test In Player
Creates a temporary .swf file, launches the Flash Player and plays the Movie in the Flash Player.


Tools

Tools

Tools are modal commands that determine what SWiSH does when you click and drag the mouse on the workspace. You can select a tool by clicking one of the options in the Toolbox, which is located in the top-left of the Layout Panel. You can only select one tool at a time.

The available tools are:

· Select / Scale
· Rotate / Skew
· Reshape
· Motion Path
· Fill Transform
· Line
· Pencil
· Bezier
· Rectangle / Square
· Ellipse / Circle
· Zoom
· Pan


Select/Scale Tool

Select/Scale Tool

Select / Scale
Selects, moves and scales objects on the stage by clicking and dragging.

To Select objects
Click on the object. The selected object has eight resize handles.

Note:
· To select multiple objects, press and hold Shift key while clicking, or drag the cursor to select surrounded objects (marquee selection)
· To toggle the selection status of an object, press and hold the control key down while clicking
· Double-click the object to display its properties in Object Panel

To move objects
1. Press and hold the left mouse button on the object
2. Drag the object to the new position and release the mouse

To Scale objects
1. Press and hold the left mouse button on a resize handle
2. Drag the handle to the new position and release the mouse

Note: To maintain the aspect ratio of the object, press and hold Shift key while dragging

To move/Transform an object at a Keyframe
1. Click on the object
2. Click on either the Timeline Ruler [image] or the 'Preview Frame' button [image] to enter Preview Frame mode. The Motion Path of the object will be displayed in 'Preview Frame' mode
3. Click on a Keyframe handle. Follow the same procedures mentioned above to move/Transform the object at the Keyframe

Note: In 'Preview Frame' mode, double-clicking on the Scene's background in the 'Layout' window will add a Move Effect to the selected object. A Motion Path is added from the object's current position to the position double-click occurred


Rotate/Skew Tool

Rotate/Skew Tool

Rotate / Skew
Selects, moves, rotates or skews objects on the stage by clicking and dragging.

To select objects
Click on the object. The selected object comes with four rotation handles on the corners and four skew handles on the edges of its bounding rectangle.

Note:
· To select multiple objects, press and hold SHIFT key while clicking
· To toggle the selection status of an object, press and hold the Control key while clicking
· Double-click on the object to display its properties in Object Panel

To move objects
1. Press and hold the left mouse button on the object
2. Drag the object to the new position and release the mouse

To copy objects
1. Press and hold the left mouse button on the object while holding the Control key
2. Drag a copy of the object to the new position and release the mouse and the Control key

To Rotate/Skew objects
1. Press and hold the left mouse button on a rotation/skew handle
2. Drag the handle to the new angle and release the mouse

Note:
· To constrain the rotation/skew angle to multiples of 15°, press and hold Shift key while dragging
· To round the rotation/skew angle to an integer, press and hold Control key while dragging
· To change the point about which the object rotates, change the alignment using the Transform Panel or the Alignment submenu of the Modify Menu

To Rotate/Skew an object at a Keyframe
1. Click on the object
2. Either click on the Timeline ruler [image] or the 'Preview Frame' button [image] to enter Preview Frame mode. The Motion Path of the object will be displayed in 'Preview Frame' mode
3. Click on a Keyframe handle. Follow the same procedures mentioned above to rotate/skew the object at the Keyframe

Note: In 'Preview Frame' mode, double-clicking on the Scene's background in the 'Layout' window will add a Move Effect to the selected object. A Motion Path from the object's current position to the position where the double-click occurred is added


Reshape Tool

Reshape Tool

Reshape
Reshapes graphic objects by clicking and dragging.

To Select an object
Click on the object. The vertices of the selected object are indicated by square anchors, and the control points by circular anchors. Vertex anchors are always on the curve, whereas control-point anchors are usually off the curve. There are either zero, one or two control points associated with each edge, and these affect the curvature of the edge. The control points are shown joined to the adjacent vertices by a dotted line.

To move the whole object
1. Press and hold the left mouse button inside the object, but not on any vertex or control-point anchor
2. Drag the object to the new position and release the mouse

To Reshape objects by dragging an anchor
1. Press and hold the left mouse button on a vertex or control-point anchor
2. Drag the anchor to the new position and release the mouse

Note: To constrain the direction from the original position to the new position to multiples of 15°, press and hold the Shift key while dragging

To Reshape objects by dragging an edge
1. Press and hold the left mouse button on an edge
2. Drag the edge to the new position and release the mouse

Note: To constrain the direction from the original position to the new position to multiples of 15°, press and hold Shift key while dragging

To delete or change the type of a vertex anchor
1. Move mouse pointer to the vertex anchor
2. Right-click and select the command from the pop-up Menu

· Cusp: lets you adjust the adjacent control points independently. When the vertex is a cusp, the edges are still curved, but the corner is not smooth
· Smooth: the adjacent control points are always in the same direction, but can be different distances from the vertex. The corner at the vertex is smooth
· Symmetrical: the adjacent control points are always in the same direction and are both the same distance from the vertex
· Sharpen: the edges on either side of the vertex are made straight, thereby removing the associated control points. This makes the corner sharp
· Remove Anchor: removes the vertex anchor completely

To change the type of an edge, or insert a vertex
1. Move mouse pointer to the edge
2. Right click and select the command from the pop-up Menu

· Linear edge: the edge is straight and does not have any control points
· Quadratic edge: the edge is curved and has one control point
· Cubic edge: the edge is curved and has two control points
· Insert Anchor: adds a new vertex anchor at the mouse position

To Reshape an object in Preview Frame mode
In 'Preview Frame' mode, if you reshape an object at a Keyframe, the change is not only applied to the current Frame. The shape of the object in all other Frames will be changed as well.


Motion Path Tool

Motion Path Tool

Motion Path
Plots a Motion Path for the selected object by clicking and dragging.

To draw a Motion Path for an object
1. Select the object

2. Click at the new position where the object will be displayed for the next Keyframe. In this step, a new Move Effect will be added into the object's Timeline automatically

3. Repeat step 2 to add more Move Effects

Note:
· To constrain the direction from the current position to the new position to multiples of 15°, press and hold the Shift key while clicking
· To draw a sharp corner path for the next Keyframe, press and hold the Control key while clicking


Fill Transform Tool

Fill Transform Tool

Fill Transform
Transforms an object's gradient or image fill without transforming the object.

To Move/Scale the filled gradient or image
1. Ensure the 'Fill Transform' tool is selected
2. Select the object with the 'Select/Scale' tool. The resize handles of the filled gradient or image will be displayed

3. Follow the same procedures mentioned in Select/Scale tool to move/scale the filled gradient or image

To Rotate/Skew the filled gradient or image
1. Ensure the 'Fill Transform' tool is selected
2. Select the object with 'Rotate/Skew' tool. The rotation/skew handles of the filled gradient or image will be displayed

3. Follow the same procedures mentioned in Rotate/Skew tool to rotate/skew the filled gradient or image


Line Tool

Line Tool

Line
Draws a line.

To draw a Line
1. Position the mouse pointer to where you want the line to begin
2. Press and hold the left mouse button
3. Drag the mouse pointer to where you want to end the line, and release the mouse

Note: To constrain the line direction to multiples of 15°, press and hold the Shift key while dragging


Pencil Tool

Pencil Tool

Pencil
Draws a freehand line object.

To draw a freehand line
1. Position the mouse pointer to where you want the line to begin
2. Press and hold the left mouse button
3. Drag the mouse pointer on the path you want the line to take
4. Release the mouse button to end the drawing

Note: To draw a closed shape, release the mouse button at the starting point


Bezier Tool

Bezier Tool

Bezier
Draws a set of connected Bezier curves or line segments.

To draw a set of connected Bezier curves
1. Position the mouse pointer to where you want the curve to begin
2. Press and hold the left mouse button to place the on-curve anchor
3. Drag the mouse pointer in the tangent direction of the curve to be drawn
4. Release the mouse button to place the off-curve anchors
5. Repeat steps 1-4 to draw additional curves
6. Double-click left mouse button to end the drawing

Note:
· To constrain the tangent direction to multiples of 15°, press and hold the Shift key while dragging
· To draw a closed shape, double-click the left mouse button at the starting point on completion of the drawing

To draw a set of connected line segments
1. Press and release the left mouse button at the position you want the line segment to begin
2. Continue pressing and releasing the left mouse button at the position you want to end the current line segment and begin the next line segment
3. Double-click left mouse button to end the drawing

Note:
· To constrain the direction of the line segment to multiples of 15°, press and hold the Shift key while moving the mouse pointer
· To draw a polygon, double-click the left mouse button at the starting point on completion of the drawing


Rectangle/Square Tool

Rectangle/Square Tool

Rectangle
Draws a rectangle or square.

To draw a Rectangle
1. Press and hold the left mouse button down (or click and release) at the position you wish to draw a corner of the rectangle
2. Drag the pointer diagonally to adjust the size of the rectangle
3. Release the mouse button (or click and release) to end the drawing

Note: To draw a square, press and hold the Shift key while dragging

To draw a Rectangle with rounded corners
1. Press and release the left mouse button at the position you wish to draw a corner of the rectangle
2. Move the mouse pointer diagonally adjust the size of the rectangle
3. Press and hold the left mouse button to finish positioning the other corner of the rectangle
4. Drag the mouse pointer back into the rectangle to adjust the rounded edge of the corners
5. Release the mouse button to end the drawing

Note:
· To draw a rounded square, press and hold the Shift key while drawing with the 'rectangle' tool
· To constrain the rounded corners of squares to circles, press and hold the Shift key while adjusting the rounded edge of the corners
· To constrain the rounded corners of rectangles to ellipses, press and hold the Shift key while adjusting the rounded edge of the corners


Ellipse/Circle Tool

Ellipse/Circle Tool

Ellipse
Draws an ellipse or circle.

To draw an Ellipse
1. Press and hold the left mouse button where you wish to position the ellipse
2. Drag the mouse pointer diagonally to adjusting the size of the ellipse
3. Release the mouse button to end the drawing

Note: To draw a circle, press and hold the Shift key while drawing with the 'Ellipse' tool


Zoom Tool

Zoom Tool

Zoom
Zooms in/out of the workspace in the Layout Panel using the mouse.

To Zoom in/out
Click the left mouse button at the position you want to zoom in on.

Note: To zoom out, press and hold the Shift key

To Zoom to an area
1. Press and hold the left mouse button at one corner of the area
2. Drag the mouse pointer diagonally to position the other corner of the area
3. Release the mouse button to zoom in


Pan Tool

Pan Tool

Pan
Pans around the workspace in the Layout Panel by clicking and dragging.

To Pan the Layout Panel
1. Press and hold the left mouse button on the workspace
2. Drag the mouse to pan the 'Layout' window
3. Release the mouse button to finish panning


Panels

Panels

Panels are windows that let you control various options and settings.

Panels can be:
· floated over the 'SWiSH application' window
· docked around the edges of the 'SWiSH application' window
· in the center of the 'SWiSH application' window
· grouped together into a combined tabbed Panel.

Each Panel has a [image] 'Close' button and an [image] 'Expand/Contract' button. The 'Close' button will hide the Panel. The 'Expand/Contract' button is only active when you have two Panels docked side by side on an edge of the application window. Click on it to expand the Panel to occupy as much space as it can by shrinking the Panels next to it to their minimum size. If you click on it again, the Panel will contract to its smallest size allowing room for the other Panels to expand.

There are a number of ways to rearrange Panels.

You can move a Panel around by dragging it by its title bar or by its tab when grouped into a combined Panel. You can drag it to another edge to dock it, or drag it onto the title bar or tab bar of another Panel to form or join a combined Panel, or drag it elsewhere to have it float over the application window. You can force a Panel to float by holding the Control key while dragging it. You can change the alignment of the Panel from horizontal to vertical, or vice versa, by holding the Shift key while dragging. You can double-click on the title or tab of a docked Panel to float it, or double-click on the title of a floating Panel to dock it.

You can turn Panels on and off using the Panel Menu. Some Panels will appear automatically when they are needed. For example, if you add an Action, the Actions Panel will appear, even if you had previously turned it off.

By default, the Layout Panel is in the center of the 'SWiSH application' window. The Outline and Timeline Panels are docked separately and the remainder of the Panels are grouped together and docked.

You can restore panels to their default layout using the 'Reset to Defaults' option on the Panels menu. Also see the FAQ.

The SWiSH Panels are as follows:
· Layout
· Outline
· Timeline
· Movie
· Object
· Actions
· Transform
· Color
· Export.


Layout Panel

Layout Panel

The 'Layout' Panel shows how objects are arranged in the workspace. You can arrange and edit objects, as well as preview Movies, Scenes or Effects in this Panel.

The 'Layout' Panel has three components:

· the workspace
· the Toolbox
· the Zoom Controls.

The Workspace and Stage
The main area of the 'Layout' Panel is the workspace. The area within the workspace that corresponds to the viewable area of your Movie is called the stage.

Scroll bars automatically appear on the right and bottom of the workspace when the entire stage area does not fit within the 'Layout' Panel. In the picture above, the stage is too wide to fit in the 'Layout' Panel, so a scroll bar is displayed at the bottom. You can pan the workspace by moving the scroll bars or by using the Pan tool.

You can choose to display a Ruler at the top and left edges of the workspace. This helps you see x and y positions in pixels. Use the Rulers option on the View Menu or on the Movie Panel to turn the Rulers on or off. You can also choose to display a Grid over the workspace. Use the Show Grid option on the View Menu or on the Movie Panel to turn the Grid display on or off.

The Toolbox
The Toolbox is located along the the top-left edge of the workspace and contains the tools that operate on the stage/workspace. The selected tool determines what SWiSH does when you click and drag the mouse on the workspace.

The Zoom Controls
The Zoom controls are fixed to the bottom left of the workspace and allow you to change the scale of the stage/workspace. You can increase the amount of Movie visible by zooming out, or see more detail by zooming in. You can also use the Zoom In or Zoom Out functions or the Zoom tools on the View Menu.

The Layout Panel has three modes of operation:
· editing mode
· 'Preview Frame' mode
· play mode.

Editing Mode
While in editing mode, you can arrange and edit objects for the current Scene. You can show a context Menu by right-clicking on an object or an unused area of the workspace. From this Menu you can perform various operations on the Scene or object. You can also use the Main Menus and Toolbars.

When you are using the Select, Rotate or Reshape tool, you can select an object in the 'Layout' Panel by clicking on it. To select multiple objects use Shift+Click or Control+Click. You can select an object within a Group or Sprite using Shift+Control+Click. You can move an object by dragging it. This changes the reference position of the object.

The object you have selected is displayed with 'handles' around it. Handles are small squares, or circles, at the bounding edges of the object. You can change the object or its Transform by dragging the handles that appear around it.

When a drawing tool is active, clicking and dragging will perform whatever action is appropriate for the selected drawing tool.

Preview Frame Mode
You can select 'Preview Frame' mode by selecting the Preview Frame option from the Control Menu or the Control Toolbar, by clicking on the Frame Ruler in the Timeline Panel, or by selecting the Motion Path tool. You can return to editing mode by turning off the 'Preview Frame' option, or by clicking on the Frame Ruler in the Timeline Panel.

When in 'Preview Frame' mode, the handles around the currently selected object are red and a red play head appears on the Timeline Panel. Any Motion Path for the currently selected object is indicated by a dotted line. Each dot on the Motion Path line corresponds to the position of the object at a given Frame. The motion is made up of one of more Effects. The last Frame of each Effect is called a Keyframe, and is indicated by a larger blue dot in the Motion Path.

Most of the things you can do in editing mode you can also do while in 'Preview Frame' mode. However, you can only make changes to the current Transform for an object (that is, position, scale, angle, skew, color or alpha) when a Keyframe is selected in the Timeline Panel. When in 'Preview Frame' mode, you can edit the Motion settings for the current Effect, rather than the reference position. This means you can directly edit the Transforms for a given Effect.

If you are using the Motion Path tool, then you can add Move Effects to the Motion Path by simply clicking the mouse. If you are using the Select, Rotate or Reshape tools, then you can double-click to add to the Motion Path.

Play Mode
You can view play mode by selecting Play Movie, Play Scene or Play Effect from the Control Menu or Control Toolbar. This previews the Movie inside the 'Layout' Panel as it would appear on a web page or in the Flash Player. Play Movie plays all the Scenes of the Movie in sequence. Play Scene plays only the current Scene. Play Effect starts at the first Frame of the first selected Effect and plays until the last Frame of the last selected Effect. If you have selected only one Effect, it will play the Frames for that Effect only. You can also select Play Effect from the 'Effect Settings' dialog box.

If you have checked the 'Loop preview animation' checkbox in the Movie Panel, then the preview will repeat until you stop it, otherwise it will play once and stop.

You can return to editing or 'Preview Frame' mode by selecting Stop from the Control Menu or Control Toolbar.

When in play mode, the currently selected object does not show its handles. Right-clicking on the 'Layout' Panel shows a context Menu with information about the Flash Player, rather than the usual right-click context Menu. In this case, the 'Layout' Panel effectively become a Flash Player window. Also, you cannot select objects or drag them about in the 'Layout' Panel.


The Toolbox

The Toolbox

The Toolbox is fixed to the top-left of the Layout Panel and contains the tools that operate on the workspace. The selected tool determines what SWiSH does when you click and drag the mouse on the workspace. For example, when the 'Line' tool is selected, a click and drag will create a line object, but when the 'Rectangle' tool is selected, a rectangular object will be created.

Select / Scale
Selects, moves and transforms objects by clicking and dragging.

Rotate / Skew
Selects, moves, rotates and skews objects by clicking and dragging.

Reshape
Reshapes objects by clicking and dragging.

Motion Path
Draws a Motion Path by clicking and dragging.

Fill Transform
Transforms the filled gradient or image using 'Select/Scale' and 'Rotate/Skew' tools.

Line
Draws a line.

Pencil
Draws a freehand line.

Bezier
Draws a set of connected Bezier curves or line segments.

Rectangle
Draws a rectangle/square.

Ellipse
Draws an ellipse/circle.

Zoom
Zooms in or out.

Pan
Pans the 'Layout' window by dragging.


Zoom Controls

Zoom Controls

The Zoom Controls are fixed to the bottom-left corner of the Layout Panel. The zoom controls allow you to quickly adjust the scale of the workspace.

Zoom Menu
Displays a pop-up Menu of common zoom factors (25%, 33%, 50%, 66%, 75%, 100%, 150%, 200%, 300%, 400%, 500%)

Fit Scene In Window
Fits the entire Scene (stage area) into the 'Layout' window.

View at 100%
Views the Movie at its actual size.

Zoom In
Zooms in on the stage by a factor of 1.5.

Zoom Out
Zooms out on the stage by a factor of 2/3.


Outline Panel

Outline Panel

The 'Outline' Panel shows an overview of the structure of the entire Movie.

The 'Outline' Panel has a row of buttons at the top. Below this is the 'Outline' tree. The order of Scenes in the tree determines the order in which the Scenes are played. The order of objects within a Scene or Sprite determines the stacking order. Objects higher up in the stacking order appear in front of objects further down, within the same Scene or Sprite.

Insert
You can insert Scenes and objects using the 'Insert' button. When you click on the button, you are given a Menu of things you can insert. You can also use the Insert Menu or the Insert Toolbar.

Delete
You can delete the currently selected object(s) or Scene by clicking on the 'Delete' button. If you try to delete a Scene, SWiSH will ask you to confirm that you want to delete the entire Scene.

Move Up and [image] Move Down
You can change the order of Scenes, or the stacking order of objects, by using the 'Up' and 'Down' buttons. You can also reorder by dragging with the mouse, using the Ctrl+Up and Ctrl+Down keys, or using the Order options on the Modify Menu or the Standard Toolbar.

Outline Tree
The 'Outline' Tree show the Scenes and objects within the Movie.

Note:
· the Movie name is at the root of the tree
· Scenes are on the next level of the tree
· objects are shown as children of Scenes
· Group, Sprite and Button Objects can have their own object children
· each item in the tree has an icon indicating the type of object
· objects have an eye icon that controls visibility.

You can select Scenes or objects by clicking on them in the 'Outline' tree. You can also use Shift-Click and Ctrl-Click for multiple selections.

You can edit the name of the selected Scene or object by clicking on its name or by pressing the F2 key. For text objects that do not have the 'Has Name' option checked, this will also change the text itself.

You can change the playing order of Scenes or the stacking order of objects by dragging them up and down within the 'Outline' tree.

You can expand the branch for a Scene, Group or Sprite by clicking on the small plus sign next to its name.

You can display the appropriate Object Panel for an object or Scene by double-clicking on it in the 'Outline' tree. For Sprites, the Timeline Panel is displayed when you double-click on the Sprite name.

You can display a context Menu of options appropriate for an object or Scene by right-clicking on it in the 'Outline' tree.

You can hide objects in the Layout Panel while in edit or 'Preview Frame' mode by turning off the eye icon next to its name. Click on the eye icon to toggle between on or off. For Button Objects, you can also choose to show all the button states simultaneously. Click on the eye icon until it changes to the multiple-eye icon. You can also use the corresponding commands on the Edit Menu.


Timeline Panel

Timeline Panel

The 'Timeline' Panel contains time-based properties for the current Scene. The Scene is made up of a series of Frames, in the same way that a motion picture is made up of Frames. The Timeline is a visual representation of the Frames with the first Frame at the left and last Frame at the right

The top row shows the Frame Events and corresponding Actions for the Scene. These Actions are executed when the Movie reaches the Frame that the Action is located. Frame Actions always have a duration of one Frame, but you can execute more than one Action in a single Frame.

The rows below the Scene row represent the objects in the Scene. The rows are displayed in stacking order, with the object that is in front of all other objects displayed at the top (just below the scene row), and the object that is behind all other objects is displayed at the bottom.

Each object row shows the Effects that are applied to that object. Effects may have a duration of one or more Frames, but only one Effect can be applied to an object at any given Frame.

Note:
· A Scene contains zero Frames until you add an Effect or Action
· If you are editing a Sprite, the 'Timeline' Panel displays the Timeline for the Sprite

Add Effect / Action
You can add an Action to a Scene Frame or add an Effect to an object using these buttons. You can display a Menu of Effects or Actions by clicking on the 'Add Effect' or 'Add Action' buttons, respectively.

Delete Object / Effect / Action
Deletes the currently selected object, Effect or Action. If no Action or Effect is selected the object will be deleted.

Timeline Frame width
Adjust the width of the Frames in the Timeline using this button. You can also display a Menu of width options by clicking on this button. The options are Narrow, Normal, or Wide.

Timeline row height
Adjust the height of the rows in the Timeline using this button. You can display a Menu of height options by clicking on the button. The options are Short, Normal, or Tall.

Minimize/Maximize
This button toggles the Timeline buttons between maximized (text and icon displayed) and minimized (icon-only displayed) states.

Timeline control
This is the most complex control in SWiSH, and is the key to combining and co-ordinating animations. The basic components of the Timeline control are listed below.

Frame Ruler
The Frame Ruler is located at the top of the Timeline and shows the Frame number. It also has markers for each one-second interval.

Play Head
The Play head also appears on the Frame Ruler when in Preview Frame mode.

Object Labels
Object Labels are used for selecting objects or the Scene or Sprite itself. When Show Formatting is turned on, the label shows the actual text color and font.

'Up' Button
An 'Up' button will appear above the object list when you are editing the Timeline for a Sprite. It selects the Sprite or Scene the next level up in the stacking order.

Scene/Sprite Row
The Scene or Srite row is always the top row in the Timeline, although it may not be visible if you have scrolled down the Timeline control. This is where you can add or edit Frame Events. The corresponding Frame Action is automatically executed when the Movie reaches the Frame it is placed in.

Object Rows
Objects rows appear are under the Scene Row. They appear in stacking order, the same as in the Outline Panel. That is, objects at the top of the list will obscure objects at the bottom of the list in the Layout Panel. This is where Effects can be added, moved or edited.

Current Frame
The current Frame is highlighted. In Preview Frame mode, the red Play head also indicates the current Frame.

Using Frame Actions:

Adding Frame Actions
You can add Frame Actions by either clicking on the 'Add Action' button (while the Scene/Sprite row is selected) or by right-clicking on an empty Frame in the Scene/Sprite row. Any of the available Actions can be placed as a Frame Action. After you have added the Action, SWiSH displays a small icon in the Frame indicating the type of Action. When you move the mouse over the Action Frame, a ScreeTip indicates which Actions are executed at this Frame.

Note: A Frame Action is automatically executed when the Movie reaches the Frame in which it is placed

Moving Frame Actions
You can move Frame Actions by clicking and dragging the Frame to a new position. You can select multiple Actions and drag them together.

Editing Frame Actions
You can edit Frame Actions by clicking on the Frame. The Actions Panel will show the selected Action. If the 'Actions' Panel was not visible, then double-clicking on an Action Frame, or right-clicking and choosing Properties from the context Menu, will display the 'Actions' Panel.

Deleting Frame Actions
You can delete Frame Actions by selecting the desired Action and then clicking the 'Delete Action' button, or by right-clicking on the Action and selecting Delete from the context Menu.

Using Object Effects:

Adding Effects
You can add Effects either by clicking on the 'Add Effect' button (while an object row is selected) or by right-clicking on an empty frame in an object row. You can select an Effect to add from the Menu. After you have added the Effect, SWiSH displays a rectangle with the Effect title and duration in the Timeline and also displays the Effect Properties dialog box. When you move the mouse over the Action Frame, a ScreenTip will show you the name of the Effect if it is partially obscured.

Moving Effects
You can move Effects by clicking and dragging the Effect to a new position on the Timeline. You can select multiple Effects in a single object row and drag them together.

Resizing Effects
Most Effects can be lengthened and shortened by dragging the ends of the Effect in the Timeline.

Note: Some Effects (such as Place and Hide) always only a single Frame in length. Others, like Typewriter, have their length determined by the Effect settings and the object to which they are applied. In these cases, the Effect cannot be resized directly on the Timeline.

Editing Effect Properties
You can edit the settings for an Effect by double-clicking on the Effect in the Timeline or right-clicking on the Effect and selecting 'Properties' from the context Menu. Youcan also edit the setting from the Effect Properties dialog box. The pages on the Effect Properties dialog box is different for each type of Effect.

Deleting Effects
You can delete Effects either by selecting them and then pressing the 'Delete Effect' button, or by right-clicking on an Effect and choosing Delete from the context Menu.

Copying and Pasting Effects
You can copy Effects by right-clicking on an Effect and choosing Copy from the context Menu or by pressing the Ctrl+C key. Similarly you can paste a copied Effect by right-clicking on an empty Frame in an object row and choosing Paste from the context Menu or by using selecting a Frame and pressing the Ctrl+V key.

Previewing Effects
You can preview Effects by right-clicking on the Effect and selecting Play Effect from the context Menu, or by using the Control Menu or Toolbar, or by clicking on the Play Effect button on the top of the Effect Properties dialog box. You can stop the preview by selecting the Stop option on the Control menu or Toolbar.


Movie Panel

Movie Panel

The 'Movie' Panel contains properties that are common to the entire Movie.

Width and Height
Lets you change the size of the stage of the Movie in pixels. This size is also used when you export to HTML, unless you use the Size 100% option, or manually edit the HTML code. The default setting is 400x300 pixels. The maximum size for the movie is 3277x3277 pixels. This is due to the limitations of the SWF format.

Frame Rate
Lets you change the speed of the Movie in Frames per second. The greater the number of Frames per second, the faster the animation will play. The Frame Rate represents an upper limit, as the rate may be slower than you specify, depending on the amount of animation happening and the options for loading content. The default setting is 12 Frames per second.

Bgnd Color
Lets you change the background color of the Movie using the Color Selector. There is no alpha value for this color selection. This color is also used as the player background color when you export to HTML (unless you manually edit the HTML code). The default colour is white.

Grids and Rulers

Grid Spacing - Horizontal and Vertical
Lets you specify the Grid size as pixels. The Grid can be used for display and for snapping object handles to the Grid. The default setting is 20x20 pixels.

Show/Hide Grids
Shows or hides a Grid over the stage area. The colour of the Grid can be specified along with the Grid spacing. The default setting is to have no Grid.

Snap to Grid
Snaps object handles and locations to the nearest Grid line. This helps you obtain consistent sizes for and positions of objects. The snapping occurs regardless of whether the Grid is visible or not. The default setting is to have Snap to Grid turned off.

Snap to Object Handles
Snaps object handles so they align with neighboring objects. The default setting is to have Snap to Object Handles turned off.

Show/Hide Rulers
Shows (or hides) Rulers along top and left sides of the stage. The default setting is to have Rulers hidden.

Grid Color
Allows you select the color for the Grid lines when displayed using the Color Selector. There is no alpha value available for this color selection. The default colour is grey.

Loop preview animation
Checking this option causes the preview to replay itself over and over when you press the 'Play' button on the Toolbar. The default setting is to have Loop preview animation turned on. Unchecking this option will make the preview play only once.


Object Panel

Object Panel

The 'Object' Panel shows the properties of a selected object.

The content and title of this Panel change depending on what object (if any) you have selected.

The different 'Object' Panels available are as follows:

· Button Object Panel
· Group Object Panel
· Scene Object Panel
· Shape Object Panel
· Sprite Object Panel
· Text Object Panel.


Button Object Panel

Button Object Panel

The 'Button' Panel shows the properties for the current button.

Name
This is the name of the button that appears in the Outline Panel.

Track as menu
Button tracking refers to how a button behaves as it tracks the movement of the mouse. A Button Object can track the mouse in one of two modes:
· as a push button
· as a Menu.

The default setting to track as a push button (i.e. Track as menu turned off).

If the button is tracking as a push button (i.e. Track as Menu is turned off) and, while playing a Scene or Sprite, you click the button, all mouse movement Events are directed to the push button until the mouse button is released. This is called 'capturing' the mouse. For example, if you click a push button and drag outside the button (without releasing) the button changes to the Over state, and the pointer remains a hand cursor.

If the button is tracking as a Menu, then the mouse is not captured when you click on the button. If you click on a Menu button and drag outside, the button changes to the Up state, and the pointer reverts to an arrow cursor.


Group Object Panel

Group Object Panel

The 'Group' Panel shows properties for the current Group.

Note: You will also see the 'Group' Panel when you select one of the button states. In this case, you cannot change the name of the button state

Name
This is the name of the Group that appears in the Outline Panel.


Scene Object Panel

Scene Object Panel

The 'Scene' Panel shows properties for the current Scene.

Name
This is the name of the Scene that appears in the Outline Panel. It can also be used to identify the Scene in Goto Frame Actions

Link - URL and Target Frame
Lets you set an URL for the entire Scene. If the Scene is clicked while the Movie is playing the browser will display this URL in the specified HTML Target Frame. This is not the same as a Frame in the SWiSH Movie, but rather an HTML Frame.

Note: If you click on an object in the Scene that has an event handler for On Release, this will override the Scene Link

Background Color
This lets you change the background color for the current Scene using the Color Selector. If you use an alpha value of less than 100%, you can tint the Movie background color. If you use an alpha value of 0% (transparent is the default setting), the Scene will have the same color as the Movie default.


Shape Object Panel

Shape Object Panel

The 'Shape' Panel shows properties for the current shape.

Name
This is the name of the shape that appears in the Outline Panel.

Line style
You can select from a number of line styles for the line around the outside of the shape. The default style is solid. If you do not want a line around the outside of the shape, select None from the Menu.

If you choose the custom option, then you can directly define the line style using the 'Custom Line Style' dialog box. This allows you to define the line style by a combination of minus signs and spaces. The window at the bottom of the dialog box shows you a preview of what the line style looks like. When you have the line style you want, press the 'OK' button.

Line thickness
You can change the thickness of the line around the outside of the shape (if any). The default thickness is 1.

Line color
You can change the color of the line around the outside of the shape (if any) using the Color Selector. The default col our is black.

Fill style
You can select the fill style of a shape from a number of styles. The default setting is solid, though if you want the interior to be hollow, select 'None' from the Menu.

· Solid: uses a single color, which may have a degree of transparency (alpha value). Click on the 'Fill Control' or colored button to change the color using the Color Selector
· Linear gradient: uses a smooth change in colors in straight bands across the shape. The Fill Control lets you change the colors in the gradient (see below)
· Radial gradient: uses a smooth change in colors in circular bands across the shape. The Fill Control lets you change the colors in the gradient (see below)
· Tiled image: uses a bitmap image to fill the shape. If the image is too small to fill the shape completely, then the image is tiled. Click on the Fill Control to select an image
· Clipped image: uses a bitmap image to fill the shape. If the image is too small to fill the shape completely, then the outside pixels are stretched. Click on the Fill Control to select an image

Fill Properties Button
When you select a gradient or image fill style, the 'Properties' button is displayed. If you press the 'Properties' button, you can directly edit the fill Transform in a dialog box. For image fills, you can also change the compression (image quality).

The 'Gradient Properties' dialog box is represented below.

The controls are the same as for the Transform Panel. However, in this case, the Transform applies to the fill pattern within the shape, rather than the shape within the Scene. You can also visually edit the fill Transform using the Fill Transform tool.

For image fills the title bar shows you the size in pixels and color depth of the image. The dialog box looks like this:

There are several extra controls at the bottom right hand corner of the 'Image Fill' dialog box:
· The 'Always Fit' checkbox lets you automatically set up the fill Transform so that the fill will always fit the shape while reshaping
· When the 'No Smooth' setting is checked, the bitmap that have been resized will never be smoothed. This can result in a clearer image in some cases, as smoothing can blur images
· There are two types of image compression for SWF files. ZIP compression is 'lossless' compression, which means compression does not change the image quality or alter the image content. It uses the same compression as .zip files. You cannot control the compression ratio. It gives similar results to .gif or .png compression. JPEG compression is 'lossy' compression, which means image quality is reduced during compression. You can control the compression indirectly using the Quality setting. This is the same compression that JPEG files use
· If you have selected JPEG compression, you can decide whether to use the existing JPEG compression of your imported image, or have SWiSH recompress the image itself to the quality level you select. Some images must be recompressed because they use progressive JPEG encoding, which will crash the Flash Player if not recompressed, or because the original file is not JPEG compressed
· If you have selected JPEG compression and have selected to recompress the JPEG image, you can specify the image quality. The higher the value, the better the image quality, the larger the files size and the less compression. The quality is not directly related to the compression ratio
· The 'Transparency' checkbox is only available for opaque images. When the 'Transparency' setting is checked, you can make the specific color from the image transparent. The 'Tolerance' setting controls how similar to the specified color the pixel must be before it is changed to transparent. The valid tolerance setting is between 0 and 255. At low settings, the colors must be close. At higher settings the tolerance is greater, so more pixels are made transparent
· The 'Preload image' function lets you select where you want the image definition to appear in the .swf file. See the Export Panel for more information.

Fill control
The fill control changes depending on the fill style you have selected.

For solid fills, the control shows you the fill color. Click on the colored 'Fill control' button to select a different color.

For gradient fills, the control shows you the gradient. Click to place new colors onto the gradient. Click on a triangular colored handle to change the corresponding color using the Color Selector. Drag the handles along the gradient to adjust their positions. Drag the triangular colored handles completely off the bar to delete them.

For image fills, the control shows you the image. Click on the control to select and load a new image file. Double click on the image to reload the current image file.

Solid shape with overlap filled
This function forces the shape to have no border and to be filled with a single solid color. Any areas where the shape has overlaps will be filled. This is different to the usual behavior of shapes, where overlapping areas are left hollow. You may find this setting useful when setting up masks for Sprites. The default setting is to have this function turned off.

Note: There is a bug in Flash, such that it will crash when trying to import a .swf file that has the 'Solid shape with overlap filled' option turned on for any shape


Sprite Object Panel

Sprite Object Panel

The 'Sprite' Panel shows properties for the currently selected Sprite.

Name
The name of the Sprite appears in the Outline Panel. It can also be used to identify the Sprite in the Tell Target Action or when making or inserting a new Instance.

Instance of
An Instance is a clone of a reference Sprite. Whenever you make a change to either the reference Sprite or the Instance, the other is automatically updated so that they remain the same. The Instance and reference Sprite can have their own independent settings for name, background and so on, and have their own Effects and Events.

Background
This property lets you select how you would like the background image of the Sprite to appear when you expand it for editing. This option reminds you that you are editing the contents of a Sprite, rather than the content of a main Movie Scene. The settings do not affect the appearance of the Sprite when it is not being edited. The default setting for this function is a single color.

Background Color
This lets you change the background color for the Sprite using the Color Selector. If you use an alpha value of less than 100%, you can tint the Movie background color. If you use an alpha value of 0% (the default), the Scene will have the same color as the Movie default.

Loop
When checked, the Sprite will play continuously as long as it is placed. Otherwise it will play once and stop at the last Frame. The default setting is to have the loop option turned on.

Masked
When checked, the object in the bottom-most layer of the Sprite becomes the mask shape. This object must be a single shape or text object, otherwise masking will not work. The rest of the Sprite content will only be visible where the mask shape is filled. Any Sprite content outside the mask shape is invisible. The default setting is to have the masking option turned off.

Show icon while editing
When checked, an icon is displayed for the Sprite instead of its contents, unless you are playing the Movie. You may want to check this option if the Sprite contents are complicated and this slows down the program while you are editing. The default setting is to have the icon option turned off.

Only show 1st frame if it's closed
When checked, only the child objects shown in the 1st frame of the sprite are displayed, unless the sprite is expanded or the movie is played. You may want to check this option if the Sprite contents are complicated and this slows down the program while you are editing. The default setting is to have the icon option turned off.


Text Object Panel

Text Object Panel

The 'Text' Panel shows properties for the current Text Object.

Note: You can only specify a single font, style and color for a Text Object. You cannot mix colors or styles in the one Text Object

Font Selection
You are able to choose the font for the current Text Object. Only TrueType and Postscript fonts can be used with SWiSH. The pull-down Menu lists all the TrueType and Postscript fonts installed on your computer. When the pull-down list is activated, a window appears next to the current selection showing you what the font looks like.

Font Size
Lets you choose the size of the font (in points) for the current Text Object. You may select the size from the drop-down list of preset sizes, or type the size into the available space.

Bold and [image] Italic Buttons
Lets you set the style of the text to plain, bold, italic or a combination of both. The default settings are for plain text.

Text Flow
Lets you select the direction of the text flow. The available directions are:
from left to right, top to bottom. This is the default setting.
from top to bottom, right to left.
from right to left, top to bottom.
from top to bottom, left to right.

Justification
Lets you set the text justification to left/top, right/bottom, centered or both sides. This only applies when you have multiple lines of text. The default setting is centered text. For a single line of text, the text always fills the bounding box.

Text Color button
Lets you select the color of the Text Object using the Color Selector. You may select both color and transparency value (alpha). The default text colour is black.

Text window
Thr text window is the large window in the middle of the Panel, where text is entered and edited. New lines can be added by pressing the Enter key. Changes in the text window are updated in the Layout Panel as you type. If you have the Show Formatting option enabled (in Tools Preferences), then the text in the windows will be displayed in the font and color you have chosen. However, the font size remains unchanged so that the text does not become too large or small to be legible. The word "text" is the default setting.

Has Name
This option allows you to name the Text Object irrespective of the the text itself. By default the name of a Text Object is the text itself. When you check this option, an edit box appears next to the 'Has Name' checkbox where you can enter the name. The name of a Text Object appears in the Outline and Timeline Panels. The default setting is to have this function turned off.

Kerning
The Kerning control adjusts the horizontal distance between characters in a word. A negative number will move the characters closer together, while a positive number will move the characters further apart. A value of zero (the default setting) resets the kerning to the standard distances defined by the font.

Leading
The Leading control adjusts the vertical distance between lines in a multi-line Text Object. A negative number will move the lines closer together, while a positive number will move the lines further apart. A value of zero (the default setting) resets the leading to the standard distance defined by the font.


Actions Panel

Actions Panel

The 'Actions' Panel contains all the Events and Actions for the currently selected Scene or object.

When you select an Event or Action in the 'Event/Action' tree, the adjacent area shows the properties of the selected Action or Event. In the picture above, the bottom section of the Panel shows the properties of the currently selected Goto Frame Action.

Add Event/Action
This button adds a new Event or Action. Depending on what you have selected in the 'Event/Action' tree, you can add either an Event or an Action at any stage. The button automatically changes its label and behavior accordingly.

When the 'Event/Action' tree is empty, or if you have selected an existing Event that already has Actions, then the Panel will provide the 'Add Event' button. Click on the button will reveal a Menu of available Events.

For a Scene, then menu looks like this:

For an object, the menu looks like this:

Select one to add a new Event to the Scene or object.

If you select an Event that does not yet have any Actions, or if you select an existing Action, the Panel will provide the 'Add Action' button. If you click on the button, you will see a Menu of available Actions.

Select one to add a new Action to the current Event, or as a child of a Tell Target or If Frame Loaded Action.

Delete Event/Action
You can delete Events and Actions by selecting them in the 'Event/Action' tree and then clicking on the 'Delete' button. If you delete an Event, its associated Actions will also be deleted. Similarly, if you delete a Tell Target or If Frame Loaded Action, its child Actions will also be deleted.

Up/Down
You can change the order of Events and Actions using the 'Up' and 'Down' arrow buttons. However, changing Event order has little practical use.

Event/Action tree
This shows the Events and Actions for the currently selected Scene or object. Events are shown at the root of the tree, and Actions are shown as children of Events. The Tell Target and If Frame Loaded Actions can also have child Actions.

Current Event/Action label bar
This bar show the currently selected Event or Action. The properties of the Event or Action appear below this bar.


Transform Panel

Transform Panel

The 'Transform' Panel shows how the current object's position, size and angle of rotation of the X and Y axes can be altered.

Alignment
This feature allows you to specify which part of the object will be the alignment point. For example, if you select Top left from the pull-down list, the X and Y position will refer to the top-left corner of the Text Object. The alignment point is indicated by a small cross (x) in the 'Layout' Panel. The alignment point also serves as the center of rotation when using the Rotate/Skew Tool. The default setting is for the center of the object to be the alignment point.

X and Y position
These boxes provide the X,Y coordinates of the object's alignment point. The alignment point can be the center (default) of the object or any corner or side.

Width and Height
These boxes provide the width and height of the object.

X-scale and [image] Y-scale
These are the scale factors applied to the width and height of the object as a percentage.

Uniform scale checkbox
If you turn on the 'Uniform' checkbox, the x and y scale are always the same. If you turn it off, you can change the values independently.

X-angle and [image] Y-angle
The is the angle of rotation of the object's x and y axes. If both values are the same, then the object is rotated by that amount. If they are different, then the object is skewed.

Uniform angle checkbox
If you turn on the 'Uniform' checkbox (the default setting), then the x and y angles are always the same and you rotate the object. If you turn it off, you can change the values independently and you can skew the object.

Reset button
You can reset the scale factors to 100% and the angles of rotation to 0 degrees by pressing the 'Reset' button.

Scale or Reshape
If you select "Reshape" (the default setting), you can resize a shape without changing its line width. If you select "Scale", the line width will be scaled with the object. This option is only available for shapes and only when you are not in Preview Frame mode, if you are in Preview Frame mode it will always scale.


Color Panel

Color Panel

The 'Color' Panel lets you adjust the color Transform for a given object. This is especially useful when you are in 'Preview Frame' mode, as you can easily edit the color Transform for the currently selected Effect.

There are two parts to the 'Color' Panel:
· the 'Alpha' control
· the 'Color' control.

The options available depend on the selections you make from the pull-down lists.

Alpha control

There are four selections for the 'Alpha' control.

1. Unchanged: the alpha (transparency) value for the selected object is unchanged
2. Transparent: sets the alpha value to 0%, making the object completely transparent
3. Custom: you can specify the alpha value as a percentage of the current value.

A value of 0% will make the object transparent. A value of 100% will leave the alpha unchanged. A value higher than 100% will make any transparent areas of the object more opaque.
4. Advanced: you can specify the new alpha value by taking a percentage of the current alpha value and adding a value to the result.

For example, setting the percentage to 0% and adding 100% will mlake the object 100% Opaque

Color control

There are five selections for 'Color' control.

1. Unchanged: the color of the selected object is unchanged
2. Black: the object appears completely black (even if the object had multiple colors before)
3. White: the object appears completely white (even if the object had multiple colors before)
4. Custom: you can specify the color for the object using the Color Selector.

The selected color is mixed with the original color of the object. The alpha value of the selected color gives the proportion of the selected color to mix. If the alpha value of the selected color is 0%, then the color of the object is unchanged; if the alpha is 100%, then the colour of the object is completely replaced by the selected color; if, for example, you select a color with an alpha of 30%, then the new color will be a mix of 30% of the selected colour with 70% of the original color. Select the color by clicking on the color button to the right of the 'Color' Panel
5. Advanced: you specify the red, green and blue components individually.

For each one, you specify the new value by taking a percentage of the current value and adding a value to the result. For example, you might set the red component to 255, reduce the green component to 50%, and leave the blue component unchanged


Export Panel

Export Panel

The 'Export' Panel allows you to control the generation of the .swf file for the Test in Player and Export SWF commands, and both the .swf and .htm files for the Test in Player and Export HTML commands.

The content of the 'Export' Panel changes depending on what you select in the 'Show export options for' box. The image above shows the HTML options.

The export options available are as follows:
· HTML export options
· Movie export options
· Scene export options
· Object export options
· AVI export options.


HTML Export Options

HTML Export Options

The HTML option of the 'Export' Panel allows you to control the generation of the .htm file for the Test in Player and Export HTML commands.

When you export a Movie using File | Export | HTML, SWiSH generates both .swf and .htm files. The options displayed above pertain to the .htm file.

Size 100%
Scales the Movie scale to occupy the entire html page. It sets the width and height values of the Object and Embed tags to 100%. When turned off (the default setting), the width and height are set from the Movie size (or stage).

Loop
Repeats the Movie from the beginning when it reaches the last Frame. It sets the Loop value of the Object and Embed tags to True. Deselecting this option stops the Movie when it reaches the last Frame. Loop is checked by default.

Menu
This option makes a shortcut Menu available to users when they right-click (Windows) or Command-click (Macintosh) on the Movie. It sets the Menu value of the Object and Embed tags to True. Deselect the Show Menu option if you want About Flash to be the only available option in the shortcut Menu. The Menu option is checked by default.

Base
Specifies the Base directory or URL to resolve any relative path names in your Movie. It sets the Base value of the Object and Embed tags.

Quality
Sets the level of anti-aliasing performed, and hence the smoothness of objects when playing a Movie. It sets the Quality value of the Object and Embed tags. Because anti-aliasing requires a faster processor to smooth each Frame of the Movie before it is rendered on the viewer's screen, the Quality parameter assigns priorities to appearance and playback speed. The priority options are as follows:
· Low: prioritizes playback speed over appearance. With this setting, anti-aliasing is never used
· Autolow: emphasizes speed at first, but improves appearance whenever possible. Playback begins with anti-aliasing turned off. If the Flash player detects that the processor can handle it, anti-aliasing is turned on
· Autohigh: emphasizes playback speed and appearance equally at first, but sacrifices appearance for the sake of playback speed if necessary. Playback begins with anti-aliasing turned on. If the actual Frame Rate drops below the specified Frame Rate, anti-aliasing is turned off to improve playback speed. Use this setting to emulate the 'View > Antialias' setting in Flash
· High: prioritizes appearance over playback speed. With this setting, anti-aliasing is always used. If the Movie does not contain animation, bitmaps are smoothed; if there is animation, bitmaps are not smoothed. High is the default setting
· Best: provides the best display quality and does not consider playback speed. All output is anti-aliased and all bitmaps are smoothed.

Scale
Defines how the Movie is placed within the boundaries of the 'Browser' window. It sets the Scale value of the Object and Embed tags.

These settings are used if you use a width and height that are different from the Movie's original size (for example, if you choose the Size 100% option). The available settings are as follows:
· Show all: makes the entire Movie visible in the specified area. The original aspect ratio of the Movie is maintained, and no distortion occurs. Borders may appear on two sides of the movie. This is the default setting
· No Border: scales the Movie to fill the specified area. The original aspect ratio of the Movie is maintained, and no distortion occurs. Portions of the Movie may be cropped
· Exact Fit: makes the entire Movie visible in the specified area. However, no attempt is made to preserve the original aspect ratio, and distortion may occur.

Align Movie
Determines how the Movie is placed within the 'Movie' window and, if it must be cropped to fit that window, how it is cropped. It sets the Salign value of the Object and Embed tags. The 'Salign Movie' options are as follows:
· Default: displays the Movie centered in the 'Movie' window. All edges might be cropped if the 'Movie' window is smaller than the Movie
· Left: aligns the Movie along the left edge of the 'Movie' window and crops the top, bottom, and right sides as necessary
· Right: aligns the Movie along the right edge of the 'Movie' window and crops the top, bottom, and left sides as necessary
· Top: aligns the Movie along the top edge of the 'Movie' window and crops the bottom, left, and right sides as necessary
· Bottom: aligns the Movie along the bottom edge of the 'Movie' window and crops the top, left, and right sides as necessary
· Top Left: aligns the Movie along the top and left edges of the 'Movie' window and crops the bottom and right sides as necessary
· Top Right: aligns the Movie along the top and right edges of the 'Movie' window and crops the top and left sides as necessary
· Bottom Left: aligns the Movie along the bottom and left edges of the 'Movie' window and crops the top and right sides as necessary
· Bottom Right: aligns the Movie along the bottom and right edges of the 'Movie' window and crops the top and left sides as necessary.

Align Window
Determines how the Flash Player 'Movie' window is positioned within the 'Browser' window. It sets the Align value of the Object and Embed tags. The 'Align Window' options are as follows:
· Default: centers the Movie along within the 'Browser' window and crops the top, bottom, left, and right sides as necessary
· Left: aligns the Movie along the left edge of the 'Browser' window and crops the top, bottom, and right sides as necessary
· Right: aligns the Movie along the right edge of the 'Browser' window and crops the top, bottom, and left sides as necessary
· Top: aligns the Movie along the top edge of the 'Browser' window and crops the bottom, left, and right sides as necessary
· Bottom: aligns the Movie along the bottom edge of the 'Browser' window and crops the top, left, and right sides as necessary.

Window Mode
Lets you take advantage of the transparent Movie, absolute positioning, and layering capabilities available in Internet Explorer 4.0 (or later). This option works only in the Windows version of Internet Explorer with the Flash Active X control. It sets the WMode value of the Object and Embed tags. The settings are as follows:
· Window: plays the Movie in its own rectangular window on a web page. This setting normally provides the fastest animation performance and is the default setting
· Opaque: use this setting if you want to move elements behind Flash movies (for example, with dynamic HTML) and don't want them to show through
· Transparent: use this setting to make the background of the HTML page on which the Movie is embedded show through all the transparent portions of the Movie. Animation performance might be slower when you use this setting.


Movie Export Options

Movie Export Options

The Movie option of the 'Export' Panel allows you to control the generation of the .swf file for the Test in Player, Export SWF and Export HTML commands.

When you export a Movie using File | Export | SWF, SWiSH generates a .swf file. When you export a Movie using File | Export | HTML, SWiSH generates both .swf and .htm files. The options shown above pertain to the .swf file.

The top section of the Panel shows the Movie defaults.

Preload Content
This is the value for Preload Content that all Scenes in the Movie will use. You can override the value for individual Scenes or objects. The default setting is At Preload Action. See the Object Export Options for more information about Preload Content options.

Share Fonts
This sets the default value for Share Fonts for all Scenes in the Movie. However, individual Scenes or Text Objects can override these defaults. The default setting is Across Movie. See the Object Export Options for more information about Share Font options.

Text as Shapes
This sets the default value for Text as Shapes for all Scenes in the Movie. However, individual Scenes or Text Objects can override these defaults. The default setting is to have this option disabled. See the Object Export Options for more information about Text as Shapes options.

The bottom section of the Panel shows the settings for the Movie itself.

Offset to suit use as a Movie Clip
Check this option if you want to export your SWiSH animation to a Flash Movie clip, otherwise your animation will be shifted down and to the right when you import it into the Movie clip. The default setting is to have this option turned off. See Importing a Swish Movie into Flash.

Do not animate off-stage objects
Check this option if you do not want to animate objects when they are completely outside the defined Movie area (or stage). Checking this option may result in a smaller .swf file size for some Effects because the SWF file will not contain any instructions for animating objects that are outside the stage area. However, if you intend to import the .swf file into Flash (or back into SWiSH) or if areas outside the stage will be visible, you may want to uncheck this option. Otherwise letters will appear to 'stick' when they reach the edge of the 'Movie' window. However, you can use the "Mask off-stage objects" option to ensure that off-stage objects are not visible anyway, in which case you could leave the "Do not animate off-stage object" option checked. The default setting is to have this option turned on.

Mask off-stage objects
Check this option to mask objects if they are completely outside the defined Movie area (or stage). Checking this option will add a few bytes to the filesize of the SWF and may result in a slight decrease in performance. However, if areas outside the stage are going to be visible, then this will neatly clip objects that move offstage so you don't see unexpected objets. You will probably want to combine this option with the "Do not animate off-stage object" option. The default setting is to have this option turned on.

Note: There is a bug in the import option in Flash that will resut in errors in SWF publishing from Flash if you import a SWF file from SWISH with the "Mask off-stage objects" option turned on. If you intend to import a SWF into Flash, then leave this option off. This does not apply if you are using Load Movie to load a SWF into another SWF.

Allow import of text as text object
Check this option if you want to import the resultant .swf file into Flash (or back into SWiSH) and you also want to be able to edit any text. If you uncheck this option, SWiSH will remove the information required to edit text. Unchecking this option may result in smaller and more secure .swf files. The default setting is to have this option turned on.

Note: There is a bug in Flash where it will crash when trying to import a SWF files with this information removed. This acts as some protection for your SWF file.

Text effects use
When Complex Effects are applied to Text Objects, SWiSH needs to break the text into individual objects for each character within the .swf file itself. This option specifies what sort of objects SWiSH will break the text into. Changing this setting can affect the overall .swf file size. The default setting is have colored and scaled objects.


Scene Export Options

Scene Export Options

The Scene option of the 'Export' Panel allows you to control the default Export SWF settings for objects in the Scene for the Test in Player, Export SWF and Export HTML commands.

Preload Content
This sets the default value for Preload content for all objects in the Scene. However, individual objects can override these defaults. The default setting is Movie default. See the Object Export Options for more information about Preload Content options.

Share Fonts
This sets the default value for Share Fonts for all objects in the Scene. However, individual objects can override these defaults. The default setting is Movie default. See the Object Export Options for more information about Share Font options.

Text as Shapes
This sets the default value for Text as Shapes for all objects in the Scene. However, individual objects can override these defaults. The default setting is Movie default. See the Object Export Options for more information about Text as Shapes options.


Object Export Options

Object Export Options

The Object option of the 'Export' Panel allows you to control the generation of the .swf file for the Test in Player, Export SWF and Export HTML commands.

Preload content
This option determines where object definitions are written to the .swf file. By grouping definitions, you can avoid delays or jerkiness while the Movie is playing. The Preload content options are as follows:
· Disabled: definitions are written out at the Frame where the object is first placed. If the definition is large because you have a large object or block of text, or if the connection speed is slow, this could introduce a short delay or jerk in the playback
· Before Scene: definitions are grouped together at the start of the Scene. This may mean a short delay before the Scene starts playing, but such delays are generally less noticeable than those that occur while the Scene is playing
· Before Movie: definitions are grouped together before the first Frame of the Movie. This can mean a delay before the Movie begins to play
· At Preload Action: you can add a Preload Content Action as a Scene Event. This acts as a marker for where you would like definitions to appear. Any objects before the first Preload Content option are treated as though Preload content was disabled
· Scene default: the value for this setting is taken from the default defined for the Scene, and is not overridden here. This is the default and unless you change Scene and Movie settings the effective value will be the same as the At Preload Action setting.

Share Fonts
Font definitions in a .swf file define the shapes for characters. To save space, only the actual characters used appear in font definitions. This setting lets you specify where font definitions are written out and what they contain. Unless you particularly want to override the default setting for the Scene, you should leave the setting as 'Scene Default'. The possible values for this setting are:
· Disabled: a separate font definition is written out for each Text Object for the characters used in that text object only
· Across Scene: font definitions are written out at the start of the Scene that include all the characters used in the Scene. This saves space by combining multiple fonts
· Across Movie: font definitions are written out at the start of the first Scene found that has any Text Objects with Share fonts set to Across Movie. These definitions include all the characters used in the Movie
· Scene default: The value for this setting is taken from the default defined for the Scene, and is not overridden here. This is the default and unless you change Scene and Movie settings the effective value will be the same as the Across Movie setting.

However, in all cases, if a font has already been defined that includes all the necessary characters, the existing font definition is used. In general, an effective value for the Across Movie setting will result in the smallest .swf size. However, it may mean that there is a delay at the start of the Movie when fonts are defined. This can be a problem if you are using a preloader. In this case, it is common to use Across Scene as the default for the preloader Scene, and Across Movie as the default for subsequent Scenes.

Text as Shapes
This option lets you export the characters of the Text Object as individual shapes rather than as fonts and text. This should make no difference visually. However, if you later import the .swf file, you cannot edit any text that has Text as shapes enabled. You may also need to use this option if your text does not appear in the correct font when importing it into another application, such as Flash. The possible values for this setting are:
· Disabled: text is not exported as shapes, but rather is exported as font definitions and text records. If Complex Effects are used, then SWiSH will automatically define the text as individual objects for each character, so the characters can be animated individually
· Colored + Scaled: text is converted into shapes. SWiSH generates separate shape definitions for each combination of font size or color
· Colored: text is converted into shapes. SWiSH generates separate shape definitions for each color, regardless of the font size
· Normalized: text is converted into shapes. SWiSH generates a single set of shape definitions for each letter, regardless of the font size of color
· Scene default: the value for this setting is taken from the default defined for the Scene, and is not overridden here. This is the default and unless you change Scene and Movie settings the effective value will be the same as the Disabled setting.

If you need to define text as shape, the most efficient setting will depend on the variety of letters, fonts, font sizes and colors that you use. You should experiment with the settings for each individual Movie to get the smallest possible .swf size.


AVI Export Options

AVI Export Options

The AVI option of the 'Export' Panel allows you to control the generation of the .avi file for the Export AVI commands.

AVI export automatically rounds up the width to the closest number divisible by four. This is required for most types of compression. All action script in the scene and tell target action script will be disabled.

Use Movie size
Check this option if you want to use the Movie size for the exported .avi file. The default setting is to have this option turned on.

Width
Sets the width of the exported .avi file. This value will be neglected if you choose to use Movie size.

Height
Sets the height of the exported .avi file. This value will be neglected if you choose to use Movie size. Height will automatically be calculated from Width if you choose Lock Aspect Ratio.

Lock Aspect Ratio
Automatically calculates the width to maintain the aspect ratio of the exported .avi file.The default setting is to have this option turned on.

Setup Compression
Click this button to open up the 'Setup Compressor for AVI Export' dialog box to choose the available compression types and their attributes.

Compressor
Choose your desired compression type here. Different compression types will produce different .avi file quality and size. When choosing compression type, make sure the people who are going to view your .avi file also have that compression type available. The most common one is Cinepak Codec by Radius, which is selected by default. If this is not available, the default changes to Uncompressed.

Some compression types are not available for a certain color depth. If you can't find your desired compression type, try changing your screen color depth before clicking on this button.

Compression Quality
Set this value to adjust the image quality of your .avi file. The better the quality, the bigger the file size. The default setting is 50%. Some compression types do not let you adjust Compression Quality.

Key Frame
This sets how many frames appart the AVI exporter needs to set Keyframes. Smaller gaps between Keyframes will produce better, but bigger .avi files. Some compression types do not let you adjust Key Frame. The default setting is to have this option turned on with a Keyframe inserted every 15 Frames. Uncheck this to use a compression-type-specific default value for Data Rate.

Data Rate
This sets the Data Rate of your .avi file. Smaller values will produce smaller .avi files, but worse quality than higher values. Some compression types do not let you adjust Data Rate. The default setting is to have this option turned on with a Data Rate figure of 10 KB/sec. Uncheck this option to use a compression-type-specific default value for Data Rate.

Configure
Click this button to adjust a compression-type-specific setting. Different compression types will have different settings.

Make movie longer by
Enter number of frames to add at the end of the movie. The default setting is 0.
If this number is 0, the exported AVI will be as long as the total frames within the main timeline of all scenes.


Effect Settings Dialog

Effect Settings Dialog Box

The 'Effect Settings' dialog box is displayed when you first create an Effect. It can also be displayed by double-clicking on an Effect in the Timeline, or right-clicking on an Effect and choosing 'Properties' from the context Menu. Below is part of the 'Effect Settings' dialog box, which is common to all Effects.

You can save and reuse Effect Settings. Effect Settings are written to sub-folders of the SWiSH folder on your hard disk. There is one folder of Effect Settings for each of the SWiSH Effects.

Name
Specifies the name of the Effect. This name appears on the Timeline.

Load
Loads predefined Effect Settings from the corresponding Effect folder on disk.

Save
Saves the current Effect Settings to the corresponding Effect folder on disk.

Organize
To Organize/Remove/Rename the saved Effect Settings. This option starts Windows Explorer and shows the contents of the folder where the current Effect is filed.

Preview Effect
Previews the current Effect.

Stop
Stops previewing the current Effect.

Delete/Cancel
Deletes the effect, removing it from the timeline.

Duration
Specifies the duration of the Effect as a number of Frames. For some Effects, the duration is either preset (for example, the Remove Effect is always a single Frame), or calculated depending on the Effect Settings (for example, the Typewriter Effect). In these cases, you cannot directly edit the duration.

Continue from previous effect
This option tells SWiSH to apply the Effect starting with the object as it was at the end of the previous Effect. If you want to specify a different starting condition for the Effect (or want to reset the components of the object to their initial positions), turn this option off. SWiSH will then add the Start At tab that lets you change the starting Transforms for the Effect.

There are a number of Effect sheet tabs that are common to two or more Effects. These are as follows:
· Motion
· Easing
· Start At
· Cascade
· Camera
· Transforms.

The other tabs are described in the corresponding Effects.


Color Selector

Color Selector

The Color Selector pops up whenever you click on the color fill button to select a color.

Swatch
This box shows you the old color on the left hand side and the new color selection on the right. If you click on the left hand side of the button (or press escape), the color is left unchanged. If you click on the right hand side (or press enter) the color you have selected is used.

Eyedropper
Click on this button to select a color from elsewhere on the screen. Move the eyedropper cursor over the color you want and click. If you don't want to select a color, click on the 'Eyedropper' button again to deselect this function.

Websafe Colors
Turns websafe colors on or off. When turned on, any color you select will be replaced by the nearest websafe color. Websafe colors have red, green and blue components that are multiples of #33 (hex) and should display correctly in all browsers. The default setting is off.

More Colors
Displays an enhanced Windows Color Selector, which gives a wider selection of colors.

You can adjust the color by either RGB (red, green, blue) component, by HSL (hue, saturation, luminance).

RGB and A Values
You can directly enter hex values for the Red, Green, or Blue components of the color. If an alpha value (transparency) is appropriate for the selection, you can enter this as a percentage, with 0% being completely transparent and 100% being completely opaque. These edit boxes also show you the RGB and alpha values for the currently selected color.

Color Palette
Move the mouse cursor the palette and click to select a color.

The palette includes sixteen levels of grey scale at the top, primary colors on the left and all the websafe colors in the center area.

MRU Colors
These buttons represent a selection of the Most Recently Used (MRU) colors. The colors in these boxes are updated every time you make a color selection.


Status Bar

Status Bar

The Status Bar is at the bottom of the 'Swish application' window and is used to display help for the selected command or tool.

The Status Bar also displays the file size of the exported .swf file. The size is calculated whenever you export a .SWF file, or use the Test in Player, Test in Browser or Test Report commands. Until you first export, the indicator says "Unknown Size".

You can show or hide the status bar using View | Status Bar.


Tutorials

Tutorials

This chapter gives worked examples of how you can use SWiSH.

· Creating Your First SWiSH Movie takes you through the basic steps of creating a simple Movie. It also covers sound, interactivity, preloaders and preparing your Movie for the web
· Using Actions to Control your Movie is a short example of how to use Events and Actions. The Creating Your First SWiSH Movie tutorial also has topics covering this area
· How to make an Animated Button explains how to make a button that animates when you move the mouse over the button
· Using SWiSH with other programs shows you how you can use you .swf Movie with other applications, namely Flash, Dreamweaver, FrontPage and Powerpoint


Creating Your First SWiSH Movie

Creating Your First SWiSH Movie

This section is broken into step-by-step tutorials that will take you through the process of creating a basic animated web site. The final web site is saved as "first.swi" in the Samples Menu, you may want to view it before beginning this tutorial to get an idea of what you will be creating.

Each section is a stand-alone tutorial which will help you create the individual components of the website. The tutorials are:
· Creating your first SWiSH Movie
· Importing and Working with Images and Vector Graphics
· Adding Music and Sounds
· Creating Buttons
· Creating a Menu
· Creating a Sprite
· Adding Interactivity to your Movie
· Creating a Preloader
· Exporting your Movie and getting it ready for the Web.


Creating Your First SWiSH Movie

Creating Your First SWiSH Movie

This is a step-by-step tutorial on how to create your first SWiSH Movie. This tutorial illustrates some of the Text Effects seen in the "first.swi" file in the Samples Menu.

1. Start the SWiSH application

2. From the File Menu select Samples | "first.swi"

3. From the File Menu select Test | [image] In Player

When you are ready to begin creating your Movie, you can close the player window or minimize it to view the Movie as a reference while you work on the following tutorials.

1. From the File Menu select [image] New

2. Define your Movie's properties by select the Movie Panel and changing the Width to 700, Height to 450, and Frame Rate to 15. Make sure that the Background color is set to white

The 'Movie' Panel should look like this:

3. In the Zoom Controls of the Layout Panel, click on the [image] Zoom 100% button. This will centre the stage area within the Layout window.

4. Ensure Scene 1 is selected in the Outline Panel, and press the [image] Insert Text button on the Insert Toolbar. You should see the word 'Text' appear in the center of the stage in the Layout Panel.

5. Select the Text Panel and change the word 'Text' to the word 'THIS' in the text window. Change the font size to 48 point from the drop-down font size menu, or by or entering 48 in the font size box of the 'Text' Panel

The 'Layout' Panel should look like this:

5) In the Timeline Panel, click on Frame 0 in the row for 'THIS'. Ppress the [image] 'Add Effect' button which is on the left of the Timeline Panel. Select Fade In from the dropdown menu. The Fade In Settings dialog box will appear. From the 'Fade In Settings' dialog box, uncheck the Continue from previous Effect box to access the Start At tab. From the Start At tab, select X Scale | Scale Factor, and enter the value 20 in the % edit box and press enter. Select the Motion tab, and select X Scale | Resize to 100%. Press the 'Close' button, at the top right of the dialog, to close the dialog.

The Timeline should look like this:

6. Press the [image] Play Movie button on the Control Toolbar. You should see the word 'THIS' increase in scale as it fades in. This will continue to loop. Press the [image] Stop button.
7. Click on Frame 14 in the row for 'THIS'. Press the [image] 'Add Effect' button, and select Fade Out from the Menu. Press the 'Close' button in the Fade Out Settings dialog box to accept the default settings

Now the Timeline should look like this:

8. Press the [image] 'Play Movie' button. You should see the word 'THIS' fade in, and then fade out. Press the [image] 'Stop' button

9. Right-click on the Fade Out Effect in the Timeline, and select 'Properties' from the context Menu to access the 'Fade Out Settings' dialog box. Change the Duration from 10 to 4

10. Press the [image] 'Play Movie' button again. You should now see the word 'THIS' fade out faster than before, because you have shortened its duration. Press the [image] 'Stop' button

11. Press the [image] 'Insert Text' button. By default, the last word that was selected while the Text Panel was active will be duplicated. You will not see this word as the text will be directly over your first word on the stage, but it will appear in the Timeline and the Outline Panel. In the Text Panel, change the word 'THIS' to the word 'IS', the font size should be set to 48 point

12. Press the [image] 'Insert Text' button to create a third word. Change this word to 'MY' and leave the font size at 48 point

13. Press the [image] 'Insert Text' button again to create a fourth word, change this word to 'MESSAGE' and leave the font size at 48 point

14. From the Timeline, click on the Fade In Effect you created for the word 'THIS' and while holding the Shift key down, click on the Fade Out Effect next to it. Both the Fade In and the Fade Out Effects should be highlighted. Right-click, and select Copy Effect from the context Menu. You may need to resize of scroll the timeline so you can see the rows you want to working on.

15. On the Timeline right-click at Frame 17, next to the word 'IS' and select Paste Effect. Paste these Effects at Frame 34 next to the word 'MY' and at Frame 51 next to the word 'MESSAGE'

The Timeline should now look like this:

16. Click on the Fade Out Effect for the word 'MESSAGE' to select the effet, then Right-click on it and select 'Properties' from the context Menu. The 'Fade Out Settings' dialog box should appear. Select the Motion Tab, and select X Scale | Resize to Scale and enter the value 400 in the % edit box, press enter and the click on the Close button

17. Press the [image] 'Play Movie' button on the Toolbar. You should now see the sequence of words 'THIS', 'IS', 'MY', fade in while increasing in scale and then fade out. The Word 'Message' will fade in while increasing in scale and then fade out while increasing in scale. Press the [image] 'Stop' button

18. Now press the [image] Save Movie button on the Toolbar. You should now see the 'Save As' dialog box. Type 'myfirst' into the File name edit box and press Save. Your Movie has now been saved as a .swi file and can be opened at a later time

You are ready to continue with the Importing and Working with Images and Vector Graphics tutorial.


Importing and Working with Images and Vector Graphics

Importing and Working with Images and Vector Graphics

This is a step-by-step tutorial on importing and working with bitmap images and vector graphics. This tutorial illustrates some of the features seen in the "first.swi" file in the Samples Menu.

Note:
· You can import bitmap images in .jpg, .jif, .jpeg, .gif, .png, .bmp, and .dib formats
· You can import vector graphics in .wmf and .emf formats, or as a static .swf

Images

1. Open the Movie you began in the last tutorial "myfirst.swi"

2. Press the [image] 'Insert Image' button on the Toolbar. From the 'Open' dialog box, select JPEG from the 'Files Types' list, then navigate to the Samples folder within your SWiSH application folder, select "first.jpg", and press Open

3. The image should be displayed in the center of the stage

4. Select the Shape Panel and edit the name of the image object from "first_jpg" to "Center Image". Select the solid line from the drop-down Menu. Change the width of the line from 1 to 2pt. Press the color swatch next to the Line width selection box to access the color palette. Select a dark green from the palette

The 'Shape' Panel should look like this:

5. Press the 'Properties' button located next to the 'Clipped image' button to access the 'Image Properties' dialog box. Within the 'Image' dialog box, check the 'Recompress JPEG' checkbox and change the value from 84% (the quality of the imported image) to 10%.

The 'Image Properties' dialog should like like this:

Press OK

6. From the File Menu, select Test | In Player. The image should display in the center of the stage, above the text and appear distorted

7. Press the [image] 'Send to Back' button from the Standard Toolbar

8. Press the Shape (image) 'Properties' button again and change the value of the JPEG quality from 10% to 50%, then Press OK

9. From the File Menu, select Test | In Player again. This time the image should appear clear and behind the text

10. Select the "Center Image" object from the left column of the Timeline, then right-click and select Copy Object from the context Menu. Press the [image] 'Paste' button to paste a second image into your Scene. The copy will appear directly over the original

11. To help with aligning this image, select the Movie Panel, and check the 'Snap' and 'Show in the Grid' boxes. A Grid will appear in the Layout Panel. Change the horizontal and vertical values of the Grid in both the 'Horiz' and 'Vert' edit boxes to 5

The 'Layout' Panel should look something like this:

12. Select the Transform Panel to view the image's X and Y placement properties. With the image selected, drag the image over towards the left side of the window, and place the image at X:140 Y:225

The 'Transform' Panel should look like this:

13. Rename this image object to "Left Image" in the Shape Panel

14. With the "Left Image" selected, press the [image] 'Send to Back' button from the Toolbar, and then press the [image] 'Bring Forward' button. This image should be in the second-from-the-bottom row in the Timeline, just above "Center Image".

15. Press the [image] 'Paste' button to create another copy of the image. Drag this one over to the right side of the window and place the image at X: 560, Y: 225

16. Rename this "Right Image" in the Shape Panel

17. Press the [image] 'Send to Back' button

18. In the Timeline Panel in the "Left Image" row, click on Frame 70. Press the [image] 'Add Effect' button and select Fade In from the Menu. Change this Effect's duration from 10 to 4 Frames. Press OK

19. Right-click on this Effect and select Copy Effect from the context Menu

20. In the Timeline Panel in the "Center Image" row, right-click on Frame 72 and select Paste Effect

21. In the Timeline Panel in the "Right Image" row, right-click on Frame 74 and select Paste Effect

22. Preview your movie in the player by selecting File | Test | In Player. This time you will see the message and then, the images will fade in starting with the left image first and ending with the right image

23. Click on Frame 88 in the "Left Image" row. Press the [image] 'Add Effect' button and select Move from the Menu. From the Motion tab select X Position | Move to X and change the value from 0 to 350. Change the Effect's duration from 10 to 5 Frames, and press Close to accept the changes

24. Click on Frame 93 in the "Center Image" row. Press the [image] 'Add Effect' button and select Move from the Menu. From the Motion tab, select X Position | Move to X and change the value from 0 to 560. Change the Effect's duration from 10 to 5 Frames, and press Close to accept these changes

25. Click on Frame 98 in the "Right Image" row. Press the [image] 'Add Effect' button and select Place from the Menu. Select X Position | Jump to X, change the value from 0 to 140, and press Close to accept the changes

26. Click on Frame 85 of any row in the Timeline and press the [image] Preview Frame button on the Control Toolbar. Drag the Play Head right and then left across the Timeline to preview the animation. "Left Image" should slide over to the center covering "Right Image"; then "Center Image" should slide right to cover "Right Image"; finally, "Right Image" will appear on the left.

27. Save your Movie

Vector Graphics

1. Press the [image] 'Insert Content' button from the Toolbar. From the 'Open' dialog box, select Flash Player Movie (*.swf) from the 'Files of Type' Menu . From the Samples Folder, select "logo.swf" and press Open. From the 'Import Frames' dialog box press Select All Frames, check the 'Import as Sprite' checkbox and uncheck the 'Masked' checkbox and press OK. Note that the composite image is within a Sprite, and that the Sprite has been named "logo"

2. The logo sprite should appear in the center of the stage

3. Click at Frame 110 in the Timeline in the row for "logo". Press the [image] 'Add Effect' button, and select Fade In from the Menu. Change the Effect's duration in the 'Fade In Settings' dialog box from 10 to 4, and from the Motion tab select X Scale | Resize to Scale and type 60 in the % edit box. Leave the 'X=Y' box checked. Press Close to accept the changes

5. Click at Frame 120 in the Timeline in the row for the "logo". Press the [image] 'Add Effect' button, and select Fade Out from the Menu. Change the Effect's duration from 10 to 3, and press Close

6. Press the [image] Play Movie button to preview your Movie. After your message has played and your images have faded out, the logo should fade in quickly and then fade out quickly. Your Movie will continue to loop. Press the [image] Stop button

7. Click on Frame 125 in the Timeline in the Scene row, press the [image] 'Add Action' button and select Stop form the Menu. Press OK

The Stop Action will be added to the 'Actions' Panel

8. Press the [image] Play Movie button to preview your Movie. This time your Movie will play through once. Press the [image] Stop button

9. Save your Movie

You are ready to continue with the Adding Music and Sounds tutorial.


Adding Music and Sounds

Adding Music and Sounds

This is a step-by-step tutorial for adding music and sounds to your Movie. This tutorial illustrates some of the features seen in the "first.swi" file in the Samples Menu.

With SWiSH you can import both .wav and .mp3 formats. You can control the overall volume of sounds and apply simple fade Effects. A sound can be played when a Movie reaches a selected Frame or in response to a Mouse Event. For a more detailed explanation on using sounds in your Movie please read Play Sound. This tutorial will be limited to adding sounds to the Timeline in response to a Frame Event; adding sounds in response to Mouse Events will be discussed in the Creating Buttons tutorial.

As sound files can significantly increase the overall file size of the Movie, it is best to select short tunes that can be looped as background music, for a Movie that will be playing over the Web.

Note: If you are having problems importing .wav files, try downloading and installing the latest Windows Media Player from http://www.microsoft.com/windows/mediaplayer/en/default.asp

Adding Background Music

1. Open "myfirst.swi". Right-click on Frame 1 of the Scene row. From the context Menu select Play Sound. A [image] Play Sound Action marker will appear at that Frame on the Timeline

2. From the Actions Panel you should see the Play Sound Event highlighted in the 'Add Action' window. Press the 'Import' button to view the 'Import Sound' dialog box. From the Samples folder, select "88A.mp3" and press Open

3. Press the [image] Play Movie button on the 'Control' Toolbar. The tune will play once and then stop. Press the [image] Stop button

4. From the Actions Panel, to the right of the 'Import' Button, press the 'Options' button to access the 'Play Options' dialog box. The box at the top of the dialog box, displays the file's sample rate, and the length of 1x loop in seconds and Frames. In the 'Loop sound' edit box, enter 15 (this will ensure that the music will continue throughout the introduction). You can leave the Volume setting at 100%, and the 'Do not play if already playing' feature checked. Press OK to accept the changes

Note : The Sound Effects options work over the total number of loops, so you will not notice them if you have set a high number in the 'Loop sound' edit box

5. Press the [image] 'Play Movie' button on the Toolbar. The tune will start as your Movie starts and will continue to play long after your animation has stopped

Sound Effects

You can add a Sound Effect to synchronize with the appearance of the logo.

1. Right-click on Frame 110 of the Scene row. From the context Menu select Play Sound

2. From the Actions Panel press the 'Import' button and from the Samples folder, select "FX1001.wav" and press Open

3. Press the 'Options' button to access the 'Play Options' dialog box. By default, the Compression for .wav files is set to MP3; leave this setting, as this will produce the smallest file size, compressing your .wav files up to 1/10 of their original size. As you do not want this sound to loop, leave the 'Loop sound' edit box value set to 1. Leave the Volume value set to 100%. Select Sound effect | Pan left to right. Leave the Preload sound set to Object or Scene default. Press OK

4. Press the [image] 'Play Movie' button on the Toolbar. The sound will begin playing when your logo appears, it will begin playing in the left speaker and end playing in the right speaker. Press the [image] 'Stop' button

Stopping Sounds

1. Right-click on Frame 111 and select Stop Sound from the context Menu. Select "88A.mp3" and press Enter on your keyboard

Note:
· If you need or want to stop your background music in the middle of a loop, rather than having it stop abruptly, it may be helpful to the flow of the Movie if you stop the music while another sound is playing, as you have done in this example
· There may be times when you will want to stop all sounds playing. This can be done within the Timeline by right-clicking on the Frame where you would like the sounds to stop and selecting Stop All Sounds from the context Menu

2. Press the [image] 'Play Movie' button on the Toolbar. Your background music will end just as "FX1001.wav" begins. Press the [image] 'Stop' button

3. Your introduction is complete. You may view it in your browser by pressing the [image] 'Test in Browser' button

4. Save your Movie

You are ready to continue with the Creating Buttons tutorial.


Creating Buttons

Creating Buttons

This is a step-by-step tutorial for creating a simple button. This tutorial illustrates some of the features seen in the "first.swi" file in the Samples Menu.

The Button Object makes it easy to add mouseover Effects to your Movie without interrupting the Movie's main Timeline.

You can create an empty button by pressing the [image] Insert Button on the Insert Toolbar, or you can choose an existing object and convert it into a button by selecting Modify | Convert | Convert to Button or by pressing the 'Convert to Button' icon from the Grouping Toolbar. The 'Grouping' Toolbar can be can be accessed by selecting 'View | Toolbars | Grouping Toolbar'.

Note: In most circumstances, it is best create your text or shape first and then use the 'Convert to Button' option (remove any Actions attached to a shape before converting it into a button). This will save you the time of adding the text or shape for each state; you need only to go into the Button Object's 'Outline' tree, to make your adjustments to the different states

To Create a Button

1. Open "myfirst.swi". Your introduction has ended and the visitor will now enter your main site. This is a good time to create a new Scene

2. From the Main Menu, select Insert | Scene, a new Scene named 'Scene 2' will be created. Check that Scene 2 appears in the Scene row on the Timeline Panel

3. Press the [image] 'Insert Text' button on the Insert Toolbar. Change the word "Text" to "LINK 1", and the Font size to 12

4. Press the [image] 'Convert to Button' buttom from the Grouping Toolbar. A [image] Button icon will appear In the Outline Panel with an 'Object' Tree, with four child buttons indicating the button's four states

The 'Outline' Panel should look like this:

The Up State represents the button's appearance when the mouse pointer is not over it. The Over State represents the button's appearance when the mouse pointer is over it. The Down State represents the button's appearance when the mouse is clicked. The Hit State represents the button's active region

5 From the button's 'Object' Tree select LINK 1 from the button's Up State, and from the Text Panel, change the color from black to a dark green

6. Select LINK 1 from the button's Over State, and from the 'Text' Panel, change the color to a medium gray

7. Select LINK 1 from the button's Down State and change the color to a dark gray

8. Select LINK 1 from the button's Hit State. You should see a black rectangle. This rectangle represents the button's active region - the area that will respond to the mouse cursor. This state is not visible when the Movie is playing

9. Press the [image] Play Scene button on the 'Control' Toolbar, and test your button. Your button should change to a gray when the mouse pointer is over it and to a dark gray when you press the button. Press the [image] 'Stop Movie' button to end your preview

10. Save your Movie

Adding Sounds to your Buttons

1. Open file "myfirst.swi"

2. From the Outline Panel, select Scene 2

3. Select your 'LINK 1' button from the Outline Panel. Click on the minus (-) symbol to the left of the button icon, so that the button's states are not visible

Note: Make sure that none of the button's states are selected when you add your Actions, as you cannot add Actions to the button's state. Objects inside button states are not allowed to have Actions and SWiSH will ignore them

The 'Outline' Panel should look like this:

4. Select the Actions Panel and press the 'Add Event' button and select On Rollover from the drop-down Menu. The On (Roll Over) Event will appear and be highlighted in the 'Actions' window

5. Press the 'Add Action' button and select Play Sound from the drop-down menu. Press the 'Import...' button and the 'Import Sound' dialog box will appear. Navigate to the Samples folder within your SWiSH application folder, select "Beep1.wav" and press Open

The 'Actions' Panel should look like this:

6. Press the [image] 'Play Scene' button to test your button. When your mouse pointer rolls over the button, you should hear the sound. Press the [image] 'Stop Movie' button

7. From the Actions Panel, select On (Roll Over) and press the 'Add Event' button again and select On Press. The 'Add Event' button will change into an [image] 'Add Action' button

8. Press the [image] 'Add Action' button and select Play Sound from the drop-down Menu. Press the 'Import' button, and select "Beep2.wav" from the Samples folder. Press Open

9. Select the Button Panel. In the 'Name' text entry box, type in LINK 1, and check the Track as Menu box.

10. Press the [image] 'Play Scene' button to test your button. When your mouse pointer rolls over the button, you should hear the first sound you imported, and when you click the button, you should hear a second sound. Press the [image] 'Stop Movie' button to end your preview

11. Save your Movie

You are ready to continue with the Creating a Menu tutorial.


Creating a Menu

Creating a Menu

This is a step-by-step tutorial for creating a Menu. This tutorial illustrates some of the features seen in the "first.swi" file in the Samples Menu.

1. Open file "myfirst.swi"

2. Check that Scene 2 appears in the Scene row on the Timeline Panel. If Scene 2 does not appear in the 'Timeline' Panel, select Scene 2 from the Outline Panel

3. Press the [image] 'Fit in Window' Zoom button to see the complete stage

Note: You can also Zoom In or Zoom out on the stage at any time by pressing the [image] Zoom In button or the [image] Zoom Out button

4. Select the [image] Rectangle/Square Tool from the Toolbox. Click near the top left corner of the stage and drag the mouse down and right to create a rectangle

5. Select the Transform Panel and change the width of this shape to W: 702 and the height of this shape to H: 40 (The 'Uniform' box should not be checked). At the top of this panel there is a 'Center' button indicating the object's alignment. As the Movie's width is 702, the center of the object's X location should be 350. If it is not, change the value in the 'X:' box to 350. As the object's height is 40, the center of its Y location should be 19. Change the value in the 'Y:' box to 19 if it is another value. This will ensure that there is no gap around the top or sides of the shape when played

6. Select the Shape Panel, change the Line color to a dark green and the Fill color to a light gray

7. While the Rectangle shape is selected, press [image] to copy, and [image] to paste your object. It will paste directly over the original shape. Click on the shape and drag it towards the bottom of the stage. Check the rectangle's X and Y position in the Transform Panel, and change to X: 350, Y: 431, if necessary

8. Select the [image] Rectangle/Square Tool from the Toolbox. Click over the left corner of the rectangle at the top of the stage, and drag the mouse down and right to create a rectangle that will completely cover both rectangles.

9. Select the Transform Panel and change the width of this shape to W: 700 and the height to H: 450 (the 'Uniform' box should not be checked). Center the object on the stage by changing the value in the 'X:' box to 350, and the value in the 'Y:' box to 225

10. Select the Shape Panel and change the Line color to a dark green and the Fill to None

11. Right-click on Frame 10 in the Scene row and select Stop from the context Menu

12. Select Scene 1 from the Outline Panel. From the Timeline Panel in Scene 1, remove the Stop Action at Frame 125 by right-clicking on the Stop Action marker and selecting Cut Action or by pressing Control + X while clicking

13. From the File Menu, select 'Test | Test in Player' to check that your rectangles are placed correctly. Your introduction will play first and this Scene will follow. Close the 'Player' window

14. Select Scene 2 from the Outline Panel

15. Select the 'LINK 1' button and press the [image] 'Bring to Front' button on the Standard Toolbar, then drag it over towards the top left corner of the stage, placing it over the gray rectangle where desired

The 'Layout' Panel should look like this:

Before making a Menu, you may want to consider whether you want your buttons to look more or less the same and whether you want them to have similar behaviors. If you want your buttons to look uniform, it can save a lot of time if you create one button and then copy and paste as many of those buttons as needed, and then go into the different states to change the text. This way, the buttons will be consistent in size and color. If you want the buttons to have similar behaviors as well, you should add any sounds and perhaps some or all of their actions before copying and pasting. You can always go into the different states and change the specific Goto Scene or URL references

For this tutorial, all buttons will have the same sounds attached to the On Roll Over, and On Press Events, but the other actions will be different. As these sounds have already been attached, you can begin copying and pasting the 7 additional buttons we will be using.

16. From the Outline Panel make sure that your button's states are not visible, clicking the minus (-) symbol to the left of the main button's icon, if necessary

17. With the button selected, press the Control+C keys to copy your button, then select Scene 2 from the Timeline Panel

Note: It is important that the Scene is selected before you paste and not the button, as a button cannot be pasted inside of another button

18. Press [image] to paste the copy of your button. Drag your button over to the left and place it about 200 pixels away from the first button

19. This Menu will have 8 buttons, 4 buttons over the top rectangle and 4 over the bottom rectangle. Continue pasting the 7 additional buttons (selecting Scene 2 from the 'Timeline' Panel) prior to each paste, then drag each button so that all the buttons will be more or less evenly spaced over the top and bottom rectangles

The 'Layout' Panel should look something like this:

20. From the File Menu, select Test | Test in Player to check that your buttons are placed correctly

21. When you are happy with the placement of your buttons, select the button to the right of the 'LINK 1' button, and from the Button Panel change the name from "LINK 1" to "LINK 2"

22. From the Outline Panel, click on the plus ( + ) symbol to access "LINK 2" button's states. Change the text for the Up, Over, and Down, states from "LINK 1" to "LINK 2"

23. Repeat step 22, for the all but the button on the bottom right; increasing the number of each button by one

24. For the bottom-right button, change the name from "LINK 1" to "E-MAIL"

The 'Layout' Panel should now look something like this:

25. From the File Menu, select Test | Test in Player to check that your buttons are placed correctly

26. When you are satisfied with your Menu, save your Movie

You are ready to continue with the Creating a Sprite tutorial.


Creating a Sprite

Creating a Sprite

This is a step-by-step tutorial for creating a Sprite. This tutorial illustrates some of the features seen in the "first.swi" file in the Samples Menu.

A Sprite is a Movie within a Movie. Perhaps the greatest advantage of using Sprites in your Movies is that their Timeline runs independently of the main Movie's Timeline, as you will see in the 'pop-up' Sprite you will be creating. Another advantage of using Sprites in your Movies is that you can easily reuse them throughout your Movie, saving time and with only a slight increase to the file size of the Movie.

1. Open "myfirst.swi"

2. Check that Scene 2 appears in the Scene row on the Timeline Panel. If Scene 2 does not appear in the 'Timeline Panel', select Scene 2 from the Outline Panel

3. Select the [image] Rectangle/Square Tool from the Toolbox. Create a rectangle approximately 1/2 the height and width of the stage. From the Transform Panel, change the Height to 420 and the Width to 220, and center on the stage

4. From the Shape Panel select the solid line and change the line's width from 1 to 2. Change the line's color to a dark green. Select a solid fill in a light gray

The Layout Panel should look something like this:

5. From the Modify Menu, select Convert | Convert to Sprite. A Sprite icon [image] will appear in the Timeline. Select the Sprite Panel and type pop-up in the Name edit box. Leave the Background color unchanged and uncheck the Loop box

6. Select the Outline Panel and click on the plus (+) symbol next to the pop-up Sprite to access the Sprite's 'Object' Tree

Note: In this view, only the rectangle you have just created is visible in the 'Layout' Panel, and in the 'Timeline' Panel only the 'pop-up' Sprite and the rectangle within this Sprite are present. Also note that the Stop Action marker in Frame 10 is not visible. This is because the Sprite Object has its own Timeline. You can toggle this view at anytime by clicking on the plus (+) or minus (-) symbol in the 'Sprite Object' tree

7. With the pop-up Sprite selected, press the [image] 'Insert Text' button. From the Text Panel, change this text to the letter X, change the font size to 20, and change the color to a dark green

8. Drag the X Text Object over to the top-right corner of the rectangle

The Layout Panel should look something like this:

The 'pop-up' Sprite Object's Timeline should look like this:

9. Select the Rectangle/Square from the Timeline Panel. Click on Frame 1 and press the [image] 'Add Effect' button, select Fade In from the Menu. From the 'Fade In Settings' dialog box, change the Effect's duration value from 10 to 3 Frames, and press the 'Close' button to accept the new value

10. Select the Shape Panel and, in the Name edit box, change the word "rectangle" to "window"

11. Select the X Object row from the 'Timeline' Panel and click on Frame 4. Press the [image] 'Add Effect' button, and select Place from the Menu. Press the 'Close' button in the 'Place Settings' dialog box to accept the default settings

12. From the Insert Menu, select Content. In the 'Open' dialog box, from the 'Files of Type' drop-down Menu, select Plain Text (*.txt) and select "first.txt" from the Samples folder

13. From the Text Panel, change the font size to 11, and the paragraph alignment to [image] left. Check the 'Has Name' box, then highlight and delete the text in the edit box to the right of Has Name and type "link 1" into the edit box

14. On the Timeline Panel, click on Frame 4 in the link 1 Object row, press the [image] 'Add Effect' button and select Place from the Menu

15. Click on Frame 4 in the pop-up Sprite Object row. The [image] 'Add Effect' button will change to an [image] 'Add Action' button. Press the [image] 'Add Action' button and select Stop from the Menu

16. Press the [image] 'Play Scene' button on the Control Toolbar. You should see your 'window' fade in quickly, and the 'X' and your imported text will show. This will continue looping during preview. Press the [image] 'Stop Movie' button on the Control Toolbar

17. Select the 'Shape Object' window from the Timeline Panel and click on Frame 6. Press the [image] 'Add Effect' button, and select Fade Out from the Menu. In the 'Fade Out Settings' dialog box change the Effect's duration value from 10 Frames to 3. Press Close to accept the new value

18. Select the X Text Object from the Timeline Panel and click on Frame 6 in the in the X Object row. Press the [image] 'Add Effect' button and select Remove from the Menu

19. Select the link 1 Text Object from the Timeline Panel and click on Frame 6 in the in the link 1 Object row. Press the [image] 'Add Effect' button and select Remove from the Menu

20. Select the X Text Object from the Timeline Panel, then select the Actions Panel. From the 'Actions' Panel, press the 'Add Event' button, and select On Press from the Menu

21. Press the [image] 'Add Action' button and select Go to Frame from the Menu. In the 'Frame Number' edit box, change the Frame from 0 to 6. Leave the 'Play' box checked. The new value will automatically be accepted

22. On the 'Timeline' Panel, click on Frame 9 in the pop-up Sprite row. Press the [image] 'Add Action' button and select Stop from the Menu

23. Click on Frame 0 in the pop-up Sprite row. Press the [image] 'Add Action' button and select Stop from the Menu. This action will hide the Sprite until it is called for by a future Tell Target Action you will apply in the next tutorial

The pop-up Sprite's Timeline should look like this:

24. To preview this Sprite from within the Sprite's Timeline, you will need to be in Preview Frame mode. Press the [image] 'Preview Frame' button on the Control Toolbar. Click on Frame 0 and drag the Play Head right across the Timeline to preview the animation, or use the arrow controls on the 'Control' Toolbar either side of the [image] 'Preview Frame' button

Advancing one Frame should show the window object starting the fade in. Advancing to Frame 3 will show the link 1 text object and the X object appear, and at Frame 6 the window object should start to fade out as the link 1 Text Object and X object disappear

Grouping a Sprite

1. The pop-up Sprite should be in the top row of the Outline Panel. All other objects in this Scene belong to your Menu and should appear from the second row and down in the Outline Panel. Select the object in the second row of the Outline Panel, press and hold the Shift key and select the rectangle shape on the bottom row. As pressing and holding the Shift key allows you to select multiple objects, these two objects and the objects in the rows between them should all be highlighted.

The Outline Panel should look something like this:

2. With these objects selected, from the Modify Menu select Group | Group as a Sprite. This will create a Sprite Object consisting of every object in your menu.

Note: If a number of objects are selected and you select Convert | Convert to Sprite from the Modify Menu, you will create a separate Sprite for each object selected

3. Select the Sprite Panel and type the word "menu" in the Name edit box. Uncheck the 'Loop' box

This Sprite will be controlled from the Movie's main Timeline, and our purpose for grouping and converting this Menu into a Sprite is twofold. Firstly, it will allow you to have this Menu fade in (rather than suddenly appearing after your intro/splash page) as a Sprite, so that you need only apply the Fade In Effect to the Sprite Object rather than applying this Effect to each object within it. Secondly, This Sprite can be quickly copied and pasted and used later on in the Movie

4. Select Scene 2 from the top row of 'Timeline' Panel and select the Menu Sprite Object. Select frame 1 and press the [image] 'Add Effect' button, select Fade In from the Menu, and press Close to accept the default settings

5. Press the [image] 'Play Movie' button on the Control Toolbar. Your Menu will fade in after your introduction and the Movie will stop. The pop-up Sprite will not show (we will use this Sprite later). Press the [image] 'Stop Movie' button on the Control Toolbar

6. Save your Movie

You are ready to continue with the Adding Interactivity to your Movie tutorial.


Adding Interactivity to Your Movie

Adding Interactivity to Your Movie

This is a tutorial includes step-by-step instructions to creating links in your Movie. This tutorial illustrates some of the features seen in the "first.swi" file in the Samples Menu.

Linking to a Sprite and using the Tell Target Action

1. Open "myfirst.swi".

2. Check that Scene 2 appears in the Scene row on the Timeline Panel. If Scene 2 does not appear in the 'Timeline' Panel, select Scene 2 from the Outline Panel.

3. From the Outline Panel click on the plus (+) symbol next to the Menu Sprite Object and select the 'LINK 1' button. Make sure that the plus (+) symbol appears next to this button's icon, and that this button's states are not visible.

Note: Make sure that none of the button's states are selected when you add your Actions, as you cannot add Actions to the button's state. Objects inside button states are not allowed to have Actions and SWiSH will ignore them.

The Outline Panel should look like this:

The Tell Target action is used to communicate with a Sprite and the Movie's Main Timeline. In the following example, we will use the Tell Target Action to call the pop-up Sprite.

4. From the 'Actions Panel', press the [image] 'Add Action' button, and select Play Sound "beep2.wav" under the On (Press) Event. Press the [image] 'Add Action' button, and select Tell Target from the Menu. Press the arrow to the right of the 'Target Name' box and select "/pop-up" from the Menu. Press the [image] 'Add Action' button again and select Go to Frame from the Menu. Change the value from 0 to 1 in the 'Frame Number' box. Leave the 'Play' box checked.

The 'Actions' Panel should look like this:

5. Test your action by pressing the [image] 'Play Scene' button and then pressing the 'LINK 1' button. As this Scene will not loop, you can retest by pressing the X Text Object and the 'LINK 1' button again. Press the [image] 'Stop Movie' button.

Note: The X Text Object can accept Actions, and behaves like a button without the different states.

6. Select the pop-up Sprite from the Timeline then press the [image] Copy button. Select Scene 2 from the Timeline then press the [image] 'Paste' button.

Note:
· If you do not select Scene 2 on your 'Timeline' or 'Outline' panels before pasting, you will paste the copy of your Sprite inside the original.

· By copying and pasting your pop-up Sprite, you can save time using it as a template. This can be done before you add your text, or you can change your text later using the original text as a guide for positioning your new text then deleting.

7. Select the Sprite Panel and in the 'Name' edit box. Change the name from "pop-up1" to "pop-up2".

Note: Giving your Sprites unique names makes it easy to use the Tell Target action; as SWiSH will add each Sprite to the 'Tell Target' list, which you can access from the 'Tell Target' edit box within the Actions Panel.

8. From the 'Outline' Panel click on the plus (+) symbol next to the Menu Sprite Object and select the 'Link 2' button. Make sure that the plus (+) symbol appears next to this button's icon, and that this button's states are not visible.

9. From the 'Actions' Panel, press the [image] 'Add Action' button, and select Play Sound "beep2.wav" under the On (Press) Event. Press the [image] 'Add Action' button, and select Tell Target from the Menu. Press the arrow to the right of the 'Target Name' box and select "/pop-up2" from the Menu. Press the [image] 'Add Action' button again, and select Go to Frame from the Menu. Change the value from 0 to 1 in the 'Frame Number' box. Leave the 'Play' box checked. Select the 'Tell Taget' action you just added. Press the [image] 'Add Action' button, and again select Tell Target from the Menu. Press the arrow to the right of the 'Target Name' box and select "/pop-up" from the Menu. Press the [image] 'Add Action' button again and select Go to Frame from the Menu. Change the value from 0 to 5 in the 'Frame Number' box. Leave the 'Play' box checked.

10. From the 'Outline' Panel click on the plus (+) symbol next to the pop-up2 Sprite to access the Sprite's child objects. Select the link 1 Text Object, and from the 'Text' Panel, select all of the text within the text edit box and type "This is different text to show that the 'LINK 2' button is linked to a different Sprite." Uncheck the 'Has Name' box.

11. Test your actions for the 'LINK 1' and 'LINK 2' buttons by pressing the [image] 'Play Scene' button and then pressing the 'Link 1' and 'Link 2' buttons. Press the [image] 'Stop Movie' button.

12. Save your Movie.

Linking to Another Scene

1. Select Scene 2 from the Outline Panel. From the File Menu select [image] Copy Scene and then File | [image] Paste Scene. A new Scene named "Scene 3" will be created. It will be added to the 'Outline' Panel, and you will be taken to that Scene.

2. From the Scene Panel, change the Background color to a light green by clicking on the color swatch and selecting the color from the Color Palette.

3. Select Scene 2 from the Outline Panel.

4. From the 'Outline' Panel click on the plus (+) symbol next to the Menu Sprite and select the 'Link 3' button. Make sure that the plus (+) symbol appears next to this button's icon, and that this button's states are not visible.

5. From the 'Actions' Panel select Play Sound "beep2.wav" under the On (Press) Event. Press the [image] 'Add Action' button, and select Tell Target from the Menu. Press the arrow to the right of the 'Target Name' box and select '/' from the Menu ( '/' refers to the main Timeline). Press the 'Add Action' button again and select Go to Frame from the Menu. From the Scene option drop-down Menu select Scene 3. Leave the 'Play' box checked.

6. Test your action for the 'LINK 3' button by selecting File | [image] Test in Player and pressing the 'LINK 3' button. Close the Player window.

7. Save your Movie.

Linking to another Web page

1. From the 'Outline' Panel click on the plus (+) symbol next to the Menu Sprite to access the Sprite's child objects. Select the 'LINK 4' button. Make sure that the plus (+) symbol appears next to this button's icon, and that this button's states are not visible.

2. From the 'Actions' Panel select Play Sound "beep2.wav" under the On (Press) Event. Press the [image] 'Add Action' button, and select Go to URL from the Menu. In the 'URL' edit box, type "http://www.swishzone.com". Leave the 'Target' box empty.

Note: When playing within SWiSH, Goto URL actions are not performed.

3. Test your action for the 'LINK 4' button by selecting File | Test | [image] In Browser and pressing the 'LINK 4' button.

If you are online, you will be brought to the SWiSH web site. This page will open in a new window.

4. Save your Movie.

Linking to the Visitor's E-mail Client

1. From the 'Outline' Panel click on the plus (+) symbol next to the Menu Sprite to access the Sprite's child objects. Select the 'E-MAIL' button. Make sure that the plus (+) symbol appears next to the button's icon, and that the button's states are not visible.

2. From the 'Actions' Panel select Play Sound "beep2.wav" under the On (Press) Event. Press the [image] 'Add Action' button, and select Mailto from the Menu. In the 'To' edit box, type your e-mail address e.g., 'me@myaccount.com'.

3. In the 'CC' edit box, type 'sales@swishzone.com'. This will send a copy of the e-mail.

4. In the 'Subject' edit box, type Your First SWiSH Movie.

5. The window below the 'Subject' edit box is the message body area. Type "I really like your Movie, can't wait to see the next one you create." in the 'Field' edit box.

When the Mailto action is executed, the Flash Player will start the default e-mail client. The fields you have specified will be already filled in. The user can edit any of these or fill in any that you may leave blank before sending the message.

6. Save your Movie.

You are ready to continue with the Creating a Preloader tutorial.


Creating a Preloader

Creating a Preloader

This is a step-by-step tutorial for creating a Preloader. This tutorial illustrates some of the features seen in the "first.swi" file in the Samples Menu.

A Preloader is a looping animation that plays while the rest of the Movie loads into your visitor's browser.

1. Open "myfirst.swi"

2. Press [image] Insert Scene on the Insert Toolbar

3. Press the [image] 'Send to Front' button on the Standard Toolbar

4. Select the Scene Panel, and change the name to "Preloader" in the 'Scene Name' edit box

5. Press [image] Insert Text on the Insert Toolbar

6. Select the Text Panel and change the word "Text" to the word "LOADING" in the 'text' window. Change the font size to 20, and the color to a dark green

7. In the Timeline Panel, click on Frame 1 in the Loading Text Object's row. Press Add Effect and choose Fade In from the Menu. Press Close on the Fade In Settings dialog box to accept the default settings

8. Press the 'Add Effect' button and select Move from the Menu. From the Motion Tab in the Move Settings dialog box, select Color | Fade to Color, choose a medium gray from the Color Palette, and leave the value set to 100 in the '%' edit box. Press Close to accept the changes

9. Press the 'Add Effect' button again and select Move from the Menu. From the Motion Tab in the Move Settings dialog, select Color | Fade to Color. Choose any color you wish from the Color Palette and change the value to 0 in the 'color A %' edit box.

Note: Entering the 0% value in the 'A' (Alpha) % edit box will cause the color to fade to the original dark green again. This can be very useful when you want to display an image or shape in its original color after having changed the color value to tint it

10. Click on Frame 35 in the Loading Text Object's row. Press Add Effect and choose Fade Out from the Menu (the Fade Out Settings dialog box for the Move Effect is displayed). Press Close on the Fade Out Settings dialog box to accept the default settings

The 'Timeline' Panel should now look like this:

11. Press the [image] 'Play Scene' button. Your text should fade in then fade to gray and back to green again; then your text will fade out. The Scene will continue to loop. Press the [image] 'Stop Movie' button

12. Select the Preloader Scene row from the Timeline. Right-click on Frame 31 and select Go to Frame from the context Menu. A place marker for the Go to Frame Action will appear on the Timeline, and the action will appear in the window of the Actions Panel. From the 'Actions' Panel, change the value in the 'Number' edit box from 0 to 11

The 'Actions' Panel will look like this:

13. Press the [image] 'Play Scene' button. Your text should fade in then fade to gray and back to green again. Your text will continue fading from gray to green and from green to gray until you press the [image] 'Stop Movie' button. Press the [image] 'Stop Movie' button

14. Press the [image] 'Play Movie' button. Your "LOADING" text will continue to loop - it will not fade out and your introduction will not begin. Press the [image] 'Stop Movie' button

Note:
· You have created the looping animation for your Preloader. Now you need instruct your Movie to loop this animation until your Movie, or a portion of it, has preloaded into the viewer's browser cache. The instructions that the Player needs can be added to your Movie with the If Frame Loaded and the Go to Frame Actions
· If your Movie is in the viewers cache, there is no need to have them view this looping animation at all. You may instruct your Movie to go to Scene 1 rather than playing the Preloader Scene in the first Frame of the Preloader Scene as in this example

15. Select the Preloader Scene row from the Timeline. Right-click on Frame 0 and select If Frame Loaded from the context Menu. This section will be added to and highlighted in the 'Actions' Panel window. By default it will add the 'If Frame 0 of Preloader is Loaded' Event to the 'Actions' Panel. This Action will be highlighted. Change the value from 0 to 10 in the 'Frame number' edit box. From the Scene drop-down Menu, select Scene 3

16. Press the 'Add Action' button and select Go to Frame from the Menu. Leave the Frame value at 0. Select Scene 1 from the Scene drop-down Menu

The 'Actions' Panel should look like this:

You need to add one more action for your Preloader to function properly

17. Right-click on Frame 30 in the Preloader Scene row and select If Frame Loaded from the Menu. Change the value from 0 to -1 in the 'Number' edit box, and select Scene 3 from the drop-down Menu. Press Add Action again and select Go to Frame from the Menu. Change the value from 0 to 35 in the 'Number' edit box. Leave the Scene set to Preloader

Note: The -1 value refers to the last Frame of a Scene. You are instructing the player to download the entire Movie before playing

The 'Actions' Panel should look like this:

Note: For the Go to Frame Action Scene, you can select a Scene by name e.g., Scene 3 as in this example, or choose a relative Scene name such as _LAST_SCENE_ from the Menu

18. Press the [image] 'Play Movie' button. You will not see the Preloader Scene; as this is a local file your entire Movie is loaded instantaneously. Press the [image] 'Stop Movie' button

19. Save your Movie

You are now ready to continue with the Exporting your movie and Getting it Ready for the Web tutorial.


Exporting your Movie and Getting it Ready for the Web

Exporting your Movie and Getting it Ready for the Web

This is a step-by-step tutorial for exporting your Movie.

This tutorial is saved as "first.swi" in the Samples Menu.

1. Open "myfirst.swi"

2. From the File Menu, select Export | [image] HTML. From the 'Publish SWiSH Movie' dialog box, locate the folder you wish to save your files to, and press Save. This will export your Movie in the .swf file format (which the Flash Player will read) and the HTML page that your Movie will be embedded in.

3. Upload the .swf and .htm files to your server. Your Movie is now ready to play on the Web

Note : You can find more information on the options available when publishing your Movies in the Export Panel section of this manual. You will also find that the section Using SWiSH with Other Programs covers the export options and parameters in some detail, particularly in the tutorial Using SWiSH with Dreamweaver.

To view your Movie as it will be seen on the Web, locate and open "myfirst.html". This will play your Movie in your default browser.


Using Actions to Control Your Movie

Using Actions to Control Your Movie

This is a step-by-step tutorial on how to add Actions to your SWiSH Movie. This tutorial is saved as "Actions.swi" in the Samples Menu.

1. Open "first.swi" from the Samples Menu

2. On the 'Outline' Panel select Scene 1 and copy to the Clipboard by holding down the Control while pressing the C key (Ctrl+C) on your keyboard

3. Select File | New and close "first.swi" without saving changes. Adjust your new Movie stage size to match "first.swi" by selecting the Movie Panel and changing the Width to 700, Height to 450

4. Paste in Scene 1 from the Clipboard by selecting Edit | Paste from the Main Menu or Control+V on your keyboard

Note: Remember to delete the Scene 1 created with your new Movie, so that you have only one Scene 1 in the Timeline. It should have a + symbol beside it

5. Add a new Text Object by pressing the 'Insert Text' button or by selecting Insert | Text from the Main Menu. Change the size to '36', and change the text to read "Go to Swishzone"

6. On the 'Timeline' Panel click on Frame 122 in the Timeline row labeled "Go to Swishzone" and add a Place Effect.

This will open the 'Place Settings' dialog box. As we are not changing anything about the Place Effect, simply close this panel. You will notice that a Place Effect marker [image] is now visible at Frame 122

Note: Simply closing the 'Place Settings' dialog box will place your Effect on the selected object at the specified Fame on your Timeline

7. Select the 'Timeline' Panel tab and select Frame 10 in the row labeled Scene 1 ('Scene' is always the top row in the Timeline). Press Add Action and choose Stop from the Actions Menu

The timeline should now look like this:

Note: When you move your mouse over the action marker you should see a ToolTip indicating the Stop Action

8. Now select the 'this' Text object (bottom row of the Timeline) and click on the Actions Panel

9. Press Add Event and choose On Release from the Menu (the [image] 'Add Event' icon was chosen because Events are 'triggers' to Actions)

The 'Add Event' button will change to Add Action, and the selected Mouse Event will show in the window below the button, and also as a checked box on the right of the panel (you can change your chosen event easily here at any time)

10. Press Add Action and choose Play from the Menu

The Action list should now look like this:

11. Press [image] Play on the Control Toolbar. The 'this' Text Object will fade in and grow onto the screen then the Movie will stop because of the Stop Action at Frame 10. Now move your mouse over the 'this' Text Object and click and release the mouse button. When the mouse is released the Movie continues playing because of the Play Action that is triggered On Release. Press [image] Stop on the Toolbar

12. Now go back to the Timeline Panel and select Frame 122 in the row labeled Scene 1

13. Press Add Action and choose Stop from the Actions Menu.
The Actions panel should now look something like this:
(note that the two stop actions have been artificially emphasised to clearly indicate what you have just done)

14. On the 'Timeline' Panel, select the 'Go to Swishzone' object and click on the Actions Panel

15. Press Add Event and choose On Press from the Menu

16. Press Add Action and select Goto Frame from the Menu. You should now see the Goto Frame Properties on the the right side of the Actions Panel

17. Scene 1 and Frame Number 0 (zero) are preselected in the Goto Frame properties. Make sure the 'Goto' and 'Play' options are checked

The Actions tab should now look like this:

Note: The 'Goto Frame' dialog box will default to Frame 0 | Scene 1. If you wish to direct the Play Head to a different Frame or Scene, enter the Frame and Scene numbers in the dialog box

18. Press Add Action again and choose Goto URL from the Menu. You should now see the Goto URL properties on the the right side of the 'Actions' Panel

19. Enter "http://swishzone.com" into the URL text box

The Actions tab should now look like this:

20. You will be able to test most of your Actions by pressing [image] Play on the Control Toolbar. The 'this' Text Object will fade in and grow onto the screen, then the Movie will stop. Click and release the mouse button over this object. The Movie will continue playing and run the rest of your animation until "Go to swishzone" appears and then it will stop. Now move the mouse over the "Go to swishzone" object and press the mouse button. The Movie will restart at Frame 0

21. To test the Goto URL Action, select File | Test | In Browser. Your default browser will open and your Movie will start and then stop when it reaches the first Stop Action you applied at Frame 10, click on the 'this' object to carry on playing your Movie. When it reaches "Go to Swishzone" it will stop (at the Stop Action you applied at Frame 122). Click on the "Go to Swishzone" object. Your Movie will go back to the start and, at the same time, a new browser window is launched and will display the URL http://swishzone.com

Note: Testing the Goto URL Action requires testing in a browser rather than using the 'Play' button on your 'Control' Toolbar

22. You will have noticed that there are other Actions already applied in this Scene. On the Scene line on the 'Timeline' Panel, select the Action marker in Frame 110, hold down the Shift key while you also select the marker in Frame 111 and then press the Delete key on your keyboard

23. On the Timeline in the Scene line, double-click on the sound Action marker on Frame 1. This will open the 'Actions' Panel where you can then select Play Sound to open the 'Import' dialog box

Your 'Actions' Panel should look like this:

24. Import a wave file from your system and you will find that it is automatically added to the Play Sound Action list on the left. By double-clicking on the sound in the Content list you will open the 'Play Options' dialog box, where you can select the number of times you want your sound to loop, apply various Effects such as fade and pan and also define the length of time and number of Frames your sound will play for

25. Select File | Test in Player to test your Movie

26 Save you Movie


How to Make an Animated Button

How to Make an Animated Button

This is a step-by-step tutorial on how to create a simple animated button using a Sprite. The .swi file for this tutorial is "buttondemo.swi" in the Samples folder.

Buttons can be created using the 'Insert Button' icon on the 'Insert' Toolbar or by converting an existing object into a button by selecting Modify | Convert to Button on the main Menu. This second option is the method illustrated in this tutorial.

1. Create a red circle using the 'Ellipse' vector tool from the Toolbar on the 'Layout' Panel (hold down the Shift key on your keyboard while you drag out the shape to make a circle)

2. On the Main Menu bar, select Modify | Convert to Button

3. Open the 'Outline' Panel, it should look like this:

4. Select the ellipse in the Over State and press Control+C to copy, and Control+V to paste a duplicate into this Over State
Your 'Outline' Pane should now look like this:

5. Open the 'Shape' Panel and select "None" for the Fill type, and then right-click on the Ellipse in the 'Outline' Panel and select Convert | Convert to Sprite. Your 'Outline' Panel should now look like this:

6. Double-clicking on the Sprite in the 'Outline' Panel will open the 'Timeline' Panel showing the Timeline for the Sprite Object. Your Timeline should look like this:

7. On the Timeline, double-click on Frame 10 in the 'Ellipse' object row. This will insert a Move Effect.
Your Timeline should look like this:

8. Double-click on the Keyframe at the end of the Move Effect. This will open the 'Move Settings' dialog box. In this dialog box, select Scale | Resize to Scale | 300% and then Alpha | To Transparent. Press the [image] 'Play Scene' button on your 'Control' Toolbar to preview your Sprite

9. On the 'Timeline' Panel, select the Scene 1 row and press 'Play' to see how the mouseover works to this point. Move the mouse over your red circle. You should see a black circle radiating out from the red circle and fading out

10. Open your 'Outline' Panel to finish editing your button. Select the ellipse in the Over State, then open the 'Shape' Panel and change the color to a bright green. Then go back to the 'Outline' Panel and select the ellipse in the Down State, changing the color to blue in the 'Shape' Panel

11. You are finished. Press the 'Play' button on the 'Control' Toolbar to test your button

12. Save your Movie as "mybutton.swi"


Using SWiSH with Other Programs

Using SWiSH with Other Programs

This section uses examples to describe the how to incorporate your SWiSH animation into the following programs:
· Macromedia Flash
· Macromedia Dreamweaver
· Microsoft FrontPage 2000
· Microsoft Powerpoint.


Using SWiSH with Flash

Using SWiSH with Flash

This is a step-by-step tutorial on using your SWiSH (.swf) Movie in Flash.

Note: Flash cannot embed your .swi (SWiSH working file format) Movie, so you will need to export your Movie from Swish as a .swf file

Exporting your .swf Movie from SWiSH

1. Start with the Movie you created in the first tutorial or open "first.swi" from the Samples Menu

2. Uncheck the 'Offset Movie to suit use as a Movie Clip' option on the Movie section of the Export Panel

3. Press the [image] 'Export to SWF' button on the Export Toolbar, or select Export | Swf from the File Menu. You should now see the 'Export to SWF' dialog box

Note: If the 'Export' Toolbar is not visible, select View | Customise | Toolbars. The dialog box will enable you to turn on the Export Toolbar

4. Choose the folder where you want to export the .swf file, enter a file name of "first.swf" (without quotation marks) and press the 'Save' button

Importing your .swf file into Flash
There are three possible techniques for importing SWiSH .swf Movies into Flash.

Note: There is a bug in Flash, in addition to the limitations mentioned above, where it will not import some valid SWF files. In particular, it will crash if a SWF file does not have a particular record that not actually required in a SWF file. There are two situations in which SWiSH leaves out this optional record. The first is when you select the [x] Solid shape with overlap filled checkbox on the Shape Panel. This option tells SWiSH to export a shape as a font, which has different behavior for self-overlapping shapes. The information Flash requires is not applicable and so is not exported. The second is when you explicitly turn off the font info record with the [x] Allow import of text as text object checkbox on the Export Movie Panel. This tells SWiSH to omit the optional record for all text, which reduces the size of the resulting SWF file.

Method 1. Importing a SWiSH .swf Movie into a Flash layer
This is the simplest way to import a SWiSH .swf Movie and is an appropriate method if you do not want to reposition the SWiSH animation after you have imported it into Flash.

1. Start the 'Macromedia Flash' application and open the Flash Movie (.fla file) you wish to add the SWiSH Movie to

2. Select Import from the File Menu. You should now see the 'Flash Import' dialog box:

3. Select "Flash Player (*.swf, *.spl)" from the 'Files of type' box

4. Locate to the folder where you exported the .swf file, choose "first.swf", and press Open

5. You should now see a new layer in the Flash Timeline. This layer will contain the entire SWiSH Movie

Note:
· Swish cannot export a .fla file directly because .fla is a closed format. Only Macromedia Flash can read and write .fla files
· All Keyframe and tweening information is lost when the SWiSH .swi Movie is converted to a .swf file and imported into Flash. Flash will import every Frame as a Keyframe. This does not mean .swf files made with SWiSH are larger than those made with Flash. No .swf file made with any application contains Keyframes or tweens. This is not really a problem unless you want to edit the tweens on individual letters in Flash. It is much easier to do your edits in SWiSH and import the whole thing into Flash
· To relocate your imported elements you will need to move every Keyframe, and for this reason, it may be better to import your SWiSH .swf into Flash as a Movie Clip symbol

Method 2. Importing a SWiSH .swf Movie into a Flash Movie Clip
When a Swish .swf Movie is imported into Flash as a new layer, it can be difficult to select and move around the stage. The Swish Movie is much easier to manipulate if you import the .swf into a Movie Clip first, and then place an Instance of the Movie Clip on the stage.

1. Start the 'Macromedia Flash' application and open the Flash Movie (.fla file) you would like to add the SWiSH .swf Movie to

2. Select New Symbol from the Insert Menu

You should see the 'Symbol Properties' dialog box:

3. Call the symbol "first.swi", select the 'Movie Clip' Behavior and press OK

4. Select Import from the File Menu. You should now see the 'Flash Import' dialog box

5. Select 'Flash Player (*.swf, *.spl)' from the 'Files of type' box

6. Change to the folder where you exported the .swf file, choose "first.swf", and press Open

7. Now select the Flash Scene where you would like to add the SWiSH animation

8. Select Library from the 'Window' Menu if the Library is not already open

9. Drag and drop "first.swi" from the 'Library' window onto the stage. You can now select and move the SWiSH animation as a single object

10. Select Control | Test Movie or File | Publish Preview to play the complete animation

Note:
· Unless instruct otherwise, the SWiSH Movie Clip will begin playing at the Frame where you dropped it
· You can stop and start the SWiSH Movie Clip by giving it an Instance name and using Tell Target to control the SWiSH animation
· Flash does not import the attached sounds and Actions with any .swf file, regardless of whether the .swf file was made with SWiSH, Flash or any other application

Method 3. Importing a SWiSH .swf Movie using the Load Movie Action
To get around the limitation of not being able to import sounds and Actions, it may be better to use the Load Movie Action in Flash.

1. Start the 'Macromedia Flash' application and open the Flash Movie (.fla file) you would like to add the SWiSH .swf Movie to

2. Click the 'Add Layer' button in the bottom left of the Flash Timeline

3. Double-click on the Frame where you would like the SWiSH Movie to begin

4. Select the Actions tab on the 'Frame Properties' dialog box

5. Click the '+' button and choose Load/Unload Movie

6. In the 'URL' box type "first.swf"

7. Select Control | Test Movie or File | Publish Preview to play the complete animation

Note:
· The SWiSH .swf Movie should be exported to the same folder as the Flash Movie, otherwise the Load Movie Action will fail
· The 'Flash Output' window will display an error message when it cannot load a Movie
· Flash uses the Windows Temporary Folder when you select the Control | Test Movie option
· Flash uses the Flash installation folder when you select File | Publish Preview


Using SWiSH with FrontPage 2000

Using SWiSH with FrontPage 2000

This is a step-by-step tutorial on how to import your SWiSH (.swf) Movie into FrontPage 2000.

Note: FrontPage 2000 cannot embed your .swi (SWiSH working file format) Movie directly. You will need to export your SWiSH Movie in the Flash Player file format (.swf)

Importing your SWiSH Movie into FrontPage is a three-part process involving three files:

· the .swi file is your SWiSH Movie saved in the SWiSH native file format
· the .swf file is your SWiSH Movie saved in the Flash Player file format
· the .htm file is the web page that acts as a 'container' for the SWiSH Movie when it is displayed in a web browser.

The .swi file is not required to play your SWiSH Movie in a web page, and does not need to be uploaded to your web server. Both the .swf and .htm files must be uploaded your web server and they must be in the same folder.

Step 1: Export your SWiSH Movie to SWF

1. Start with the Movie you created in the first tutorial or open "first.swi" from the Samples Menu

2. Uncheck the 'Offset Movie to suit use as a Movie Clip' option on the Movie section of the Export Panel )

Note: If you can't see the 'Export' Panel, select Export from the Panels Menu

3. Select [image] Export | Swf from the File Menu

You can also press the [image] 'Export to SWF' button on the Export Toolbar if this toolbar is visible. If the button is not visible, select View | Customise | Toolbars. The dialog box will enable you to turn on the Export Toolbar

4. You should now see the 'Export to SWF' dialog box. Choose the same folder where your web page (.htm) file is located, enter a file name of "first.swf" (without quotes) and press the 'Save' button

Note: You must save the Flash Player (.swf) file in the same folder as the web page (.htm) file

Step 2: Copy HTML to Clipboard

1. Select Export | HTML to Clipboard from the File Menu. This copies the HTML code required to display the SWiSH Movie onto the Windows Clipboard so you can paste it into your web page

Step 3: Insert your SWiSH Movie into a web page using FrontPage

1. Start FrontPage and open the web page (.htm file) where you want to insert the SWiSH Movie. If you are inserting the SWiSH Movie into a new web page, you should first save the empty web page in the same folder as the .swf file

2. Position the caret at the place in your web page where you want to insert the SWiSH Movie

3. From the FrontPage Main Menu, select Insert | Advanced | HTML...

4. You should now see the 'HTML Markup' window. Right-click in the text area and choose Paste.
The 'HTML Markup' window should now look the screenshot below:

Press OK on the 'HTML Markup' window

5. Change to the HTML tab in FrontPage.

You should now see the following HTML code inserted into your web page:

<!--webbot bot="HTMLMarkup" startspan -->
<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"
  codebase="http://active.macromedia.com/flash2/cabs/swflash.cab#version=4,0,0,0"
  id="first" width="700" height="450">
  <param name="movie" value="first.swf">
  <param name="quality" value="high">
  <param name="bgcolor" value="#FFFFFF">
  <embed name="first" src="first.swf" quality="high" bgcolor="#FFFFFF"
    width="700" height="450"
    type="application/x-shockwave-flash"
    pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash">
  </embed>
</object>
<!--webbot bot="HTMLMarkup" endspan -->

Note: You should not modify any of the HTML code between the <object> and </object> tags

6.   Change to the Preview tab in FrontPage.

   You should now see the SWiSH Movie playing inside your FrontPage web page

Trouble-shooting
The most common mistake is to not save the web page (HTML) file and Flash Player (.swf) file in the same folder. If these files are not in the same folder, or the .swf file is missing, your SWiSH Movie will not play. When you upload the web page to your web server, you should make sure that the .swf and .htm files are in the same folder on your web server as well.


Using SWiSH with Dreamweaver 4

Using SWiSH with Dreamweaver 4

This is a step-by-step tutorial on using your SWiSH (.swf) Movie in Dreamweaver 4.

Note: Dreamweaver cannot embed your .swi (SWiSH working file format) Movie. You will need to export your SWiSH Movie to the Flash Player file format (.swf)

Exporting your SWF from SWiSH

1. Start with the Movie you created in the first tutorial or open "first.swi" from the Samples Menu

2. Uncheck the 'Offset Movie to suit use as a Movie Clip' option on the Movie section of the Export Panel

3. Press the [image] 'Export to SWF' button on the Export Toolbar, or select Export | SWF from the File Menu. You should now see the 'Export to SWF' dialog box

Note: If the 'Export to SWF' button is not visible, select View | Customise | Toolbars. The dialog box will enable you to turn on the Export Toolbar

4. Choose the folder where you want to export the SWF file, enter a file name of " first.swf " (without quotes) and press the 'Save' button

Note: Any export parameters that you set for HTML in the 'Export' Panel of SWiSH will be ignored by Dreamweaver if you simply import your SWF rather than producing your HTML page in SWiSH and then opening it in Dreamweaver to edit

To insert your SWF Movie into an HTML page using Dreamweaver

Open dreamweaver and you will find that there are 2 ways to access the 'insert flash' object:

1. From the Main Menu bar select Insert | Media | Flash (Ctrl+Alt+F)

2. From the Dreamweaver 'Objects' Panel ( Ctrl+F2 ), select the [image] Flash icon and click on it, or drag it to the insertion point on your page.

Once you have selected the Movie you wish to insert, Dreamweaver will generate the most common parameters automatically.

If you open your Code Inspector ( F10 ), you will see the code that is produced.
It will look like this (the parameters automatically set by Dreamweaver are highlighted):

<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=5,0,0,0" width="600" height="400">
<param name=movie value="squeezevariations.swf">
<param name=quality value=high>
<embed src="squeezevariations.swf" quality=high pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash" type="application/x-shockwave-flash" width="600" height="400">
</embed>
</object>

This code contains both the <embed></embed> tags recognized by Netscape Navigator and the <object></object> tags recognized by Internet Explorer.

The Properties Inspector
Your Movie properties can be altered and added to by using the Properties Inspector ( Ctrl+F3 ).

Note: Dreamweaver 3 users may see a slightly different Properties Inspector (without the Play button)

Exploring the Movie parameters in the Properties Inspector

W, H: specify the width and height parameters of your Movie in pixels (you can also specify %)

Align: specifies the align parameter, which aligns your Movie to a selected side of the browser window and crops the other sides to fit if needed

Bg: specifies the BGCOLOR parameter for the Movie area. This color also appears while the Movie is loading or has finished playing (this is an optional parameter)

Quality sets the quality parameter for the Object and embed tags that run the Movie. The settings relate to the level of anti-aliasing used during playback of the Movie. With higher settings a Movie looks better, but requires a faster processor to render correctly, while lower settings emphasize speed above appearance (this is an optional parameter)

Scale: sets the scale parameter for the Object and Embed tags that run the Movie (this is an optional parameter)

Autoplay: defines the play parameter. A value of 'true' plays the Movie automatically when the page loads (this is an optional parameter)

Loop: controls the loop parameter, if set to true it makes the Movie loop indefinitely (this is an optional parameter)

id: is an ActiveX ID parameter, which is used to pass information between ActiveX controls (this parameter is automatically generated in your SWiSH produced HTML page) [this is an optional parameter]

V Space, H Space: HTML parameters, which set the amount of white space between your Movie and the browser window

'Parameters' button: opens a dialog box where you can add additional parameters to pass on to the Movie

You can preview your Movie from the 'Properties' Panel by pressing the 'Play' button.

Editing your SWiSH produced HTML page in Dreamweaver
Open your SWiSH-built HTML page in Dreamweaver. You will notice that SWiSH generates a more complete set of parameters than is produced by Dreamweaver. For this reason, it is considered better to produce your HTML page in SWiSH and then import it into Dreamweaver for any further editing.

If you open your Code Inspector (F10), you will see the code that is produced.
It will look like this (the parameters set by the user in Swish are highlighted):

<center>
<OBJECT classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"
codebase="http://active.macromedia.com/flash2/cabs/swflash.cab#version=4,0,0,0"
id=ball width=600 height=400 align=left>
<PARAM name=movie value="ball.swf">
<PARAM name=quality value=autolow>
<PARAM name=scale value=noborder>
<PARAM name=align value=left>
<PARAM name=wmode value=transparent>
<PARAM name=bgcolor value="#666666">
<EMBED name="ball" src="ball.swf" quality=autolow scale=noborder align=left wmode=transparent bgcolor="#666666"
width=600 height=400
type="application/x-shockwave-flash"
pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash">
</EMBED>
</OBJECT>
</center>

This code contains both the <embed></embed> tags recognized by Netscape Navigator and the <object></object> tags recognized by Internet Explorer. It also covers a more comprehensive range of SWF Movie parameters.

To edit your Movie properties open the Properties Inspector ( Ctrl+F3 )

Note: Dreamweaver 3 users may see a slightly different Properties Inspector (without the Play button)

You will see some of the parameters that you specified on the 'Export' Panel in SWiSH. You can change these by selecting alternatives from the drop-down Menus, or typing a value into the text input boxes.

To see all the parameters you set, you will also need to open the 'Parameters' dialog box by pressing the 'Parameters' button on the Properties Inspector.

This dialog box and the Properties Inspector will allow you to edit all the SWF parameters of your Movie.
You can also edit the code directly by opening the Code Inspector (F10) and typing in your changes.

Note: Some .swf Movie parameters should not be changed, or changed with care:

classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"
Identifies the media type and should always be left as shown for .swf Movies.

codebase="http://active.macromedia.com/flash2/cabs/swflash.cab#version=4,0,0,0"
You can change the cab#version to =5,0,0,0 to force the Movie to get the ActiveX control for Flash Player Version 5.

pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash"
This is the location of the Flash player plugin for Netscape Navigator or browsers that do not use ActiveX controls.


Using SWiSH with PowerPoint

Using SWiSH with PowerPoint

This is a step-by-step tutorial on how to use your SWiSH (.swf) Movie in a PowerPoint presentation.

Note: PowerPoint cannot embed your .swi (SWiSH working file format) Movie.You will need to export your SWiSH Movie to the Flash Player file format (.swf)

Exporting your SWF from SWiSH

1. Start with the Movie you created in the first tutorial or open "first.swi" from the Samples Menu

2. Uncheck the 'Offset Movie to suit use as a Movie Clip' option on the Movie section of the Export Panel

3. Press the [image] 'Export to SWF' button on the Export Toolbar, or select Export | SWF from the File Menu. You should now see the 'Export to SWF' dialog box

Note: If this button is not visible, select View | Customise | Toolbars. The dialog box will enable you to turn on the Export Toolbar

4. Choose the folder where you want to export the .swf file, enter a file name of " first.swf " (without quotes) and press the 'Save' button

To Embed a SWiSH SWF Movie in PowerPoint

1. Open PowerPoint and and select the project where you wish to place your Movie. Create a new slide

2. On your Main Menu bar select View | Toolbars | Visual basic. This will display the 'Visual Basic' Toolbar

3. Select the 'Control' Toolbox icon [image] and open the 'Control' Toolbox

4. Select the 'More Controls' icon and scroll down the list to Shockwave Flash Object

Note: What you are doing is inserting an Active X control. You must use the Shockwave Flash Object to see your .swf Movie

5. You will notice that your mouse pointer has changed to a cross hair cursor. Draw out a rectangle on your slide (the size can be adjusted later)

6. Right-click on the rectangle you have just drawn and select Properties. This will open a list of Movie properties that you can apply

7. To embed your Movie, make the following changes:
· Embed Movie: change this value to True
· Loop: change to False (if you want your .swf Movie to loop, leave this parameter as True)
· Movie: type in the absolute path of your .swf movie ( c:/movie_directory/movie_name.swf )

8. Test your Movie by selecting Slide show | View show. You will see your .swf Movie playing on the slide you placed it on

9. Adjust the size to suit your requirements by clicking on the Movie to turn on the drag control points. Drag the Movie boundaries to the dimensions you require


Frequently Asked Questions

Frequently Asked Questions

Here you will find answers to many questions you may have about SWiSH.


Useful Tips

Useful Tips

How can I have more than one SWiSH Movie open at the same time?
Use File | New Window to create new 'SWiSH application' windows. You can have multiple windows open with a different SWiSH Movies in each window. Use File | Close to close individual windows, or File | Exit to close all of them and shut down the SWiSH program completely.

How can I open a SWiSH Movie that I was working on recently?
SWiSH saves a list of the four most recently used files under the File Menu. You can open a recent SWiSH Movie be selecting it from the File menu.

How can I make my Movie less crowded so I can more easily work on particular objects?
Use the 'Eye' icons in the Outline Panel, or right-click on an object and select the Show or Hide options from the Menu. Hidden objects still exist in the Movie and can still be selected and edited from the Timeline Panel, but do not appear in the Layout Panel while editing or in Preview Frame mode.

How can I select a Group of nearby objects?
While using the Select tool, drag a rectangle to surround the objects. This is called 'marquee' selection. You can also click on an object while holding the Control key to add or remove it from the selection.

How can I see work with the 'Layout' window at actual scale?
Click on the View at 100% button. This will also re-center the stage within the Layout Panel.

How can I see all the objects in a Scene, even those that are off stage?
Select the whole Scene and select the View | Fit Objects in Window command.

How can I Zoom in or out to see all the objects I have selected?
Use View | Fit Objects in Window.

How can I make objects line up nicely?
Use View | Snap to Object Handles. As you resize or drag objects around, they will snap into position to line up with other objects already on the stage. You can also use View | Snap to Grid to have objects line up with a grid (which you can show using View | Show Grid). You can also turn these options on or off, and set the grid size, from the Movie Panel.

How can I make two or more copies of something without having to copy and paste all the time?
Use Insert | Instance or Edit | Make Instance to create an Instance of a Sprite. As clones, Instances always remain the same as the reference Sprite they are copies of, but can have their own name, Effects and Events.

How can I make a mask?
Create a Sprite. Put some text or a shape at the bottom-most layer of the Sprite and then turn on the 'Masked' option on the Sprite Panel. The text or shape at the bottom of the Sprite becomes a mask when you play.

How can I make room for new Effect Frames between existing Effects?
Use Insert | Insert Frames and Insert | Delete Frames to add or remove Frames for all objects in the Scene. You can use this to make room for extra Effects. If you want to move Effects for a single object, simply select the Effects you want to move and drag them to the left or right in the Timeline Panel.

How can I apply an Effect to a number of objects (for example, explode a group of shapes)?
Select all the objects you want to combine and use Modify | Grouping | Group to create a Group Object. You can then apply a Complex Effect (such as Explode) to the Group, which will apply to the individual objects inside the Group.

How can I add animation to a button?
You cannot directly add Effects to an object in a Button State. However, you can convert the object inside a Button State into a Sprite using Modify | Convert | Convert to Sprite. Then you can edit the Sprite and apply Effects to the object inside it.

How can I apply outlines and gradient or image fills to text?
You cannot directly apply outlines and gradient or image fills to text. However, you can convert the text to shapes using Modify | Convert | Convert to Shapes and then apply an outline and gradient or image fill to the resulting individual letter shapes. If you use Modify | Group | Group as Shape, you can convert the text to a single shape and apply a single outline or fill to the whole shape. Note that once converted to shapes, or grouped as a shape, you can no longer edit the text.


Something Odd Happened

Something Odd Happened

Why do letters 'stick' to the edge of the Movie when I import my SWiSH animation into Flash?
You have the 'Do not animate off-stage objects' option checked on the Movie Export Panel. Uncheck this option and re-export your SWiSH Movie.

Why do some fonts display incorrectly when I opened a SWiSH Movie created on another machine?
You do not have all the fonts installed on your machine. Missing fonts will be displayed as Times New Roman. You need to install all the fonts used in the SWiSH Movie onto your computer.
Note: Fonts do not need to be installed to play SWiSH animations over the internet

Why does my movie get slower and slower as it plays?
If you fade objects out, they remain on the stage completely transparent (with zero alpha). Even though you cannot see them, Flash Player still has to do expensive transparency calculations on them, and that will slow things down.

Why do I get strange holes in my objects?
Flash Player has problems when you have several completely transparent objects overlapping another object and it ends up cutting "holes" in the objects. This can happen if you use a Fade Out effect and do not put a Remove effect immediately after the Fade Out. If you do not put the remove effect, the object stays on the stage, but with zero transparency .. it is still active though (for example if it is a button). If you do not require the object to be active but invisible, you should put a Remove effect after the Fade Out effect. This can also greatly improve movie playback performance.

Why do Effects start one Frame into the animation?
This is so Effects can be joined together seamlessly without the object 'sticking' for one Frame between the Effects. If you need the initial Frame of the Effect, simply shift the Effect one Frame to the right, and select Place Effect to insert an Effect in the first Frame.

Why do objects turns into Sprites when I group them?
Objects in a Group cannot have their own Effects, unless they are (inside) a Sprite. If any of the objects you are trying to Group already have Effects, then that object is first converted to a Sprite so that your Effects are not lost.

Why is the Sprite off center in the 'Layout' Panel, or not visible at all?
When you expand a Sprite to edit it, the system of co-ordinates in the Layout Panel changes from Scene co-ordinates to Sprite co-ordinates. This will make the objects in the Sprite go off center. Use the View | View at 100% or View | Fit Objects in Window to recenter the Layout Panel.

Why does the cursor still move in jumps when I turned of the Grid?
Even if you have hidden the Grid, you may still have Snap to Grid turned on. These are separate options under the View Menu. You can have the Grid visible, but no snapping; or the Grid hidden and snapping turned on. Use View | Snap to Grid to turn Grid snapping on or off. You can also turn this on or off, and set the Grid size, from the Movie Panel.

Why don't I see masking happening?
Masking only happens when the Movie or Scene is playing. When you are editing, masking is turned off automatically, so that you can see both the mask shape and the objects being masked.

Why can't I see the 'Export' Panel?
The Export Panel is hidden when you first install SWiSH. You can show the Export Panel by selecting Panels | Export from the main Menu.

Why can't I see the 'Color' Panel?
The Color Panel is hidden when you first install SWiSH. You can show the Color Panel by selecting Panels | Color from the main Menu.

Why can't I see all the Menu commands on Toolbars?
Use the View | Toolbars Menu to turn on additional Toolbars. Use Tool | Customise to add, move or remove buttons from Toolbars.

My Panels and Toolbars are all mixed up. How do I reset SWiSH to the default layout?
You can restore the Panels to the default layout by selecting Panels | Reset to Defaults. You can restore the Toolbars to the default layout by selecting Tools | Customize and pressing Reset All on the Toolbars tab. If your SWiSH layout is still mixed up, follow this procedure:
1. close SWiSH if it is running
2. press the Windows 'Start' button and select Run...
3. type "regedit" (without quotes) into the Open edit box and press OK to open the Registry Editor
4. in the Registry Editor open the folder: My Computer\HKEY_CURRENT_USER\Software\
5. select the DJJ Holdings folder, right-click and select Delete
6. close the Registry Editor
7. restart SWiSH.
SWiSH will now start with the default layout.

Flash crashed when I imported my SWF file. Why?
There is a bug in Flash where it will not import some valid SWF files. In particular, it will crash if a SWF file does not have a particular record that is not actually required in a SWF file. There are two situations in which SWiSH leaves out this optional record. The first is when you select the [x] Solid shape with overlap filled checkbox on the Shape Panel. This option tells SWiSH to export a shape as a font, which has different behavior for self-overlapping shapes. The information Flash requires is not applicable and so is not exported. The second is when you explicitly turn off the font info record with the [x] Allow import of text as text object checkbox on the Export Movie Panel. This tells SWiSH to omit the optional record for all text, which reduces the size of the resulting SWF file. See Importing a SWiSH Movie into Flash.

I imported my SWF file into Flash ok, but when I play the Flash movie thee is nothing there. Why?
There is a bug in Flash when importing a SWF that has masking. Even though it looks ok inside Flash itself, when Flash generates a SWF file, nothing is visible. To avoid this, ensure that the [x] Mask off-stage objects option is turned off in the Export Movie Panel.

A warning message was displayed when I tried to select an Adobe PostScript font. Why?
Due to a bug in Adobe Type Manager 4.0 (and earlier) for Windows NT, use of PostScript fonts may cause SWiSH to close.
To fix this either:
· Update to ATM 4.1 or later (ATM Lite is a free download)
· Turn off ATM 4.0, and convert your PostScript fonts to TrueType using Windows NT TrueType Converter.
To do this:
1. turn off ATM 4.0
2. restart Windows NT
3. go to Start | Settings | Control Panel | Fonts | File | Install New Font
4. in the 'Install Type 1 Font' dialog box turn on Convert Type 1 Font to TrueType and Install Type1 Font Files for use on a PostScript printer. Turn off Copy Type 1 Font Files to Fonts Folder
5. click Yes.

For more information refer to:
http://www.macromedia.com/support/freehand/ts/documents/freehand_7_and_atm_4_for_nt.htm
http://www.macromedia.com/support/flash/ts/documents/flash_crash_fonts.htm
http://www.macromedia.com/support/flash/ts/documents/tn4105.html


Importing Into SWiSH

Importing Into SWiSH

Can I import .swf or animated .gif files into SWiSH?
Yes. Use the Insert | Content command and select the .swf or animated .gif file you want to import. Then select the Frames you wish to import and whether you want to import as a Sprite or as a Group of Frames (usually one would choose to import as a Sprite). Alternatively, you can simply drag and drop files from Windows Explorer onto SWiSH to import them.

Can I import text into SWiSH?
Yes. Use the Insert | Content command and select the .txt file you want to import. Alternatively, you can simply drag and drop text files from Windows Explorer onto SWiSH to import them.

Can I import images into SWiSH?
Yes. Use the Insert | Image command and select the image file you want to import. Alternatively, you can simplye drag and drop image files from Windows Explorer onto SWiSH to import them.

Why don't actions or sounds in my .swf import into SWiSH?
Like Flash, SWiSH will not import Actions or sounds from a .swf file. It will also not import dynamic text or masks. However, SWiSH will import buttons and Sprites (Movie clips).

Why don't dynamic text or masks in my .swf import into SWiSH?
Like Flash, SWiSH will not import Actions or sounds from a .swf file. It will also not import dynamic text or masks. However, SWiSH will import buttons and Sprites (Movie clips).

Why do I see a lot of Keyframes when I import a .swf into SWiSH?
This is a limitation of the .swf format. It is not due to a problem with either SWiSH or Flash. SWF files only hold Frame information. They do not contain information about Scenes, Effects or tweening. When imported into Flash, Flash is not able to reconstruct tweening and layering. Read this Technote from Macromedia. See Importing a SWiSH Movie into Flash.

Why doesn't SWiSH import Flash (.fla) files?
FLA is a closed format. Macromedia has only published the specifications for .swf (the Flash Player format) not .fla, therefore, only Macromedia can read and write .fla files.

Why doesn't SWiSH import Live Motion (.liv) files?
LIV is a closed format. Adobe has not published the specifications for .liv, therefore, only Adobe can read and write .liv files.


Exporting From SWiSH

Exporting From SWiSH

Can I export a .swf file from SWiSH?
Yes. Use File | Export | SWF to export a .swf from SWiSH. You can embed this in a web page, play it in the Flash Player, or import it into Flash.

Can I export an .avi file from SWiSH?
Yes. Use File | Export | AVI to export an .avi from SWiSH.

Can I export an .exe file from SWiSH?
Yes, indirectly. Use File | Test | In Player. Then you can select File | Create Projector from within the Flash Player.

Can I generate an HTML web page from SWiSH?
Yes. Use File | Export | HTML to export a .htm web page from SWiSH. This will also export the corresponding .swf file, and will include the HTML tags required for scripting.

Can I generate HTML code from SWiSH?
Yes. Use File | Export | HTML to Clipboard to export the HTML code required to embed a .swf in a web page. You can paste this into your web page using your HTML editor.

Why doesn't SWiSH export Flash (.fla) files?
FLA is a closed format. Macromedia has only published the specifications for .swf (the Flash Player format) not .fla, therefore, only Macromedia can read and write .fla files.

Why doesn't SWiSH export Live Motion (.liv) files?
LIV is a closed format. Adobe has not published the specifications for .liv, therefore only Adobe can read and write .liv files.


Importing SWiSH Movies Into Flash

Importing SWiSH Movies Into Flash

Can I import .swf Movies made by SWiSH into Flash?
Yes.

Can I import SWiSH (.swi) files into Flash?
Not directly. You must export your SWiSH .swi file as a .swf file, and then import the .swf into Flash.

How do I export SWiSH movies as .swf files?
In SWiSH, select File | Export | SWF from the File Menu and enter a filename. See Importing a SWiSH Movie into Flash.

How do I import a SWiSH .swf file into Flash as a layer?
In Flash, select File | Import and select Files of Type: Flash Player (*.swf, *.spl) on the 'Flash Import' dialog box. Choose the .swf file you exported from SWiSH and select Open. Flash will create a new layer and place the SWiSH animation in that layer. See Importing a SWiSH Movie into Flash.

How do I import a SWiSH .swf file into Flash as a Movie clip?
In Flash, first create a Movie clip and import the SWiSH animation into the Movie clip. Then place an Instance of the Movie clip on the stage. See Importing a SWiSH Movie into Flash.

SWiSH animations imported into Flash are difficult to select and move. How do I make them easier to manipulate?
Import the .swf file as a Movie clip instead of as a layer. See Importing a SWiSH Movie into Flash.

When I import a .swf into a Flash Movie clip, the animation is shifted down and to the right. How do I fix this?
In SWiSH, check the 'Offset to suit use as a Movie Clip' option in the Movie section of the Export Panel. Re-export the .swf from SWiSH, and re-import it into Flash as a Movie clip. See Importing a SWiSH Movie into Flash.

When I import a .swf into a Flash layer, the animation is shifted up and to the left. How do I fix this?
In SWiSH, uncheck the 'Offset to suit use as a Movie Clip' option in the Movie section of the Export Panel. Re-export the .swf from SWiSH, and re-import it into Flash as a layer. See Importing a SWiSH Movie into Flash.

Why don't sounds and actions I added in SWiSH import into Flash?
This is a limitation of Flash. Flash will not import Actions, buttons, sounds, or Sprites (Movie clips) from a .swf file. Read this Technote from Macromedia. See Importing a SWiSH Movie into Flash.

Why do my buttons and sprites not import correctly into Flash?
This is a limitation of Flash. Flash will only import the first frame of a sprite, and the "up" state of a button. Read this Technote from Macromedia. See Importing a SWiSH Movie into Flash.

Why does Flash crash when I import my SWF files?
There is a bug in Flash, in addition to the limitations mentioned above, where it will not import some valid SWF files. In particular, it will crash if a SWF file does not have a particular record that is not actually required in a SWF file. There are two situations in which SWiSH leaves out this optional record. The first is when you select the [x] Solid shape with overlap filled checkbox on the Shape Panel. This option tells SWiSH to export a shape as a font, which has different behavior for self-overlapping shapes. The information Flash requires is not applicable and so is not exported. The second is when you explicitly turn off the font info record with the [x] Allow import of text as text object checkbox in the Export Movie Panel. This tells SWiSH to omit the optional record for all text, which reduces the size of the resulting SWF file. See Importing a SWiSH Movie into Flash.

Why can't I see anything when I export from Flash after I import my SWF files?
There is a bug in Flash, in addition to the limitations mentioned above, where it will not generate bad SWF files after importing SWiSH file that have masking. In particular, if you turn on the [x] Mask off-stage objects checkbox in the Export Movie Panel, Flash will get confused if you import the resultant SWF file. See Importing a SWiSH Movie into Flash.

Why do I see a lot of Keyframes when I import a .swf into Flash?
This is a limitation of the .swf format and the limitations of Flash. It is not due to a problem with SWiSH. SWF files only hold Frame information. They do not contain information about Scenes, Effects or tweening. When imported into Flash, Flash is not able to reconstruct tweening and layering. Read this Technote from Macromedia. See Importing a SWiSH Movie into Flash.


Flash

Flash

Do I need Macromedia Flash installed to use SWiSH?
No. SWiSH is a stand-alone application. It is not a plugin for Macromedia Flash. SWiSH can export .swf animations and create web pages without Flash being installed. However, you may find it useful to have the Flash Player installed on your computer. SWiSH is very useful for Flash users because it allows them to import Text Effects into larger Flash Movies.

Can I import a .swf file into Flash?
Yes. See the FAQ section on importing SWiSH movies into Flash.

Can I import a .swf file into SWiSH?
Yes. See the FAQ section on importing into SWiSH.


SWF Files

SWF Files

What are Shockwave Flash (.swf ) files?
SWF is a file format used by Macromedia to deliver graphics, animation and sound over the Internet. SWF files are much like .gif files in that they will play in most browsers without installing a plugin. SWF files can be imported into Macromedia Flash and used as part of a larger animation. SWF is pronounced "swiff".

Can I export a .swf file from SWiSH?
Yes. See the FAQ section on exporting from SWiSH.

Can I import a .swf file into Flash?
Yes. See the FAQ section on importing SWiSH movies into Flash.

Can I import a .swf file into SWiSH?
Yes. See the FAQ section on importing into SWiSH.


File Size And Performance

File Size And Performance

SWiSH is taking a long time to redisplay the Layout Panel. How can I speed this up?
If you have a lot of objects visible in a single Scene it will increase the time taken to redisplay the Layout Panel. To improve the redisplay time, try unchecking the Show All Images and Smooth Edges and Images options on the View menu. This will affect display quality, but should improve performance. You can also improve performance by hiding large objects, such as lengthy text objects and complex shapes. To hide an object select Edit | Hide, or click on the eye icon on the Outline Panel.

How can I reduce the size of the .swf file produced in SWiSH?
There are a number of techniques you can use. These include:
· reusing similar fonts in similar sizes and colors
· using smaller image and sound files. You can also change JPEG and sound compression options (e.g. choose MP3 compression)
· looping short sound clips rather than using a single long clip
· using vector graphics rather than bitmap (raster) images
· reusing sprites. Use instances to ensure copies of sprites remain identical.
· minimizing the use of Effects where lots of objects (or components of objects) are moving at once (such as explode and squeeze)
· changing the options for 'Text as Shapes' and 'Share Font'. Although the default settings are usually the best, in some cases you can get smaller file sizes by changing these settings
· checking the 'Do not animate off-stage objects' option on the Export Panel - this removes animation of objects that are outside the 'Movie' window of the .swf file
· unchecking the 'Allow import of text as text object' option on the Export Panel - this removes some information that is only required when importing the .swf into Flash.

Why do some Effects produce larger .swf files than others?
Effects where lots of objects (or components of objects) are moving at once, such as Explode and Squeeze, require many 'Place' Object tags to be exported in every Frame of the .swf file. Effects that change both color and position will also increase the size. Effects such as typewriter only change the current letter being typed, requiring only one 'Place' Object tag per Frame.

Why does my Movie pause or play slowly when playing from the Internet?
The .swf file format requires fonts, shapes, image, sounds and so on to be defined before they are used. These definitions take up space in the .swf file and time to download. By default, SWiSH will export these content definitions at the Frame where they are first used. This can mean that playing will slow down or pause while the definitions at a Frame are downloaded. You can use various preloading techniques to stop this from happening and to make you Movie appear to load quicker and play more smoothly.

Why does my movie play at different speeds or slows down or speeds up partway through?
The frame rate (fps) is a maximum rate only. The Flash Player will render every frame of your animation. If a particular frame (or series of frames) involves a lot of computation, then that will slow down the play rate. Things that require a lot of work by the Flash Player (and therefore slow down your movie) are lots of objects with alpha < 100% (eg faded), or animating large bitmaps, or having lots of objects animated at the same time. If playback speed is a problem, look for these things and try altering your design to avoid them.

Why does my movie get slower and slower as it plays?
If you fade objects out, they remain on the stage completely transparent (with zero alpha). Even though you cannot see them, Flash Player still has to do expensive transparency calculations on them, and that will slow things down. Also you may end up with grpahic glitches with several transparent objects overlapping non-transparent objects. This is another Flash Player problem.

How can I find out what things are taking up space in my .swf file, and where they are?
Use the File | Test | Report command to see a breakdown of how much room is taken up by various SWF tags in each scene. You can use this to help fine tune the file size and performance.


Macintosh Support

Macintosh Support

Is a Mac version planned?
A Mac version is currently not planned. However, .swf files created by SWiSH will play on a Mac, and can be imported into the Mac version of Flash.


Purchasing, Registration and Licensing

Purchasing, Registration and Licensing

I have a question about purchasing, registration or the licensing of SWiSH.
Look at some of the frequently asked questions in the Purchasing, Registration and Licensing section.


Publishing SWiSH files

 [Previous] [Main]

Publishing SWiSH files

Introduction
SWiSH (v1.x and v2.0) creates flash format files (.swf) for playback on the world wide web. They are mostly compatible with the Flash 3 player, and entirely compatible with the Flash 4 and Flash 5 player. Since version 4 of the Netscape Navigator and Microsoft Internet Explorer browsers, such players have been built in (and users usually do not need to download a player).

How to publish a file to the web
In order for any SWiSH created animation to work, both a .html file and a .swf file must be produced and uploaded to your web server. The HTML file serves as a container for the .swf file. It will 'refer' to your .swf file. The reference tells the browser how big to display the file, and which player to use (this will always be the Flash player in SWiSH's case).

If you are adding a SWiSH animation to your web page, you will need to copy the necessary tags into your web page. You can get the tags in SWiSH v1.x by using the 'Export' tab, 'Copy HTML to Clipboard' button. In SWiSH v2 the menu option sequence File | Export | HTML to Clipboard will copy the tags to the clipboard so you can paste them into your page.

If you don't know html or don't have an editor, you can get a .html page fully made up for you, by using File | Publish in SWiSH v1.x and File | Export | HTML in SWiSH v2. In SWiSH v1.x, Publish will automatically create a .swf file for you. In SWiSH v2, you will need to use File | Export | SWF to create the .swf files. Keep the two files in the same directory. Upload them both to your web server. Unfortunately we cannot give generalized instructions for uploading, as many web servers are different. However if you are using ftp to upload your files, you must upload the .swf file in binary mode otherwise it will be corrupted. All FTP programs have options for this.

Why wont my movie play ? My browser (Internet Explorer) sits there with a black window, and downloads the file for 10 minutes! My browser (Netscape) displays a broken link or tries to download the plugin again!
Cause: .swf file has not been uploaded to the web server.
Remedy: upload the .swf file as well as your .html file to your server
Cause: .swf file is corrupted on the server.
Remedy: upload the .swf file again via ftp and binary mode
Cause: your object and embed tags have the wrong filename
Remedy: edit your object and embed tags to have the correct file name
Cause: Mime types on your server are missing or incorrect
Remedy: visit this page at Macromedia for procedures to resolve this http://www.macromedia.com/support/flash/ts/documents/tn4151.html

Why won't my movie play ? It works in netscape but not IE
Cause: the object tags are missing. This commonly occurs with older versions of Microsoft Frontpage, which produce only embed tags when importing a .swf file to a Frontpage managed website.
Remedy: use the File | Export | HTML to Clipboard (SWiSH v2) to get a full set of tags for your file, and paste that over your current object and embed tags in your html editor.

Why won't my movie work ? It works in Internet Explorer but not in Netscape
Cause: the embed tag is missing
Remedy: use the File | Export | HTML to Clipboard (SWiSH v2) to get a full set of tags for your file, and paste that over your current object and embed tags in your html editor.
Cause: the filename contains unusual characters such as spaces.
Remedy: Rename the file in SWiSH to have only alpha numeric . - and _ characters, re-export the file, and recreate your tags (the File | Export | HTML to Clipboard option). Paste in your updated tags.

My background colour in my movie is wrong. It doesn't match the background colour of my website
Cause : The background colour is set externally via the tags. If you edit your web page and change your web pages background, and change the colour to match in SWiSH, but don't change the tags in your html, the colour set by the tags will override the colours set in SWiSH.
Remedy : Either, edit your tags to have the matching colours, or recreate your tags from SWiSH (File | Export | HTML to Clipboard), and paste these into your page.

My text is blurry (anti-aliased)
Cause : the Flash player does this automatically. Its much more noticeable on small point sizes
Remedy : if its suitable, increase the point size. If not, edit the tags (in your html page), and set the quality to autolow. Then check the file to see if this made anything else work poorly. See the tag sections below if you need information on tags.

My movie is not in the same position in Netscape Communicator compared to Microsoft Internet Explorer
Causes: This can be because your html is not strictly correct, and some parts are missing in one or the other browser. Generally Microsoft Internet Explorer will try and "render around problems". Netscape Communicator is less tolerant of poorly formed html. Alignment problems in Netscape Communicator can be caused by excess white space in table definitions (in and around the tr and td tags). It can be caused by using CSS syntax to position elements, which Netscape Communicator 4 implements differently to other browsers. It can be caused by simple differences in the browsers themselves (Netscape Communicator 4.06 positions slightly differently to Communicator 4.08 and all other Netscape browsers that followed). Microsoft Internet Explorer positions things slightly differently to Netscape Communicator in general, particulary with tables and margin sizes.
Remedy : These are html and browser problems, not SWiSH problems. You'll get different problems depending on which editors and browsers you use to create and test your pages. Each situation is different and you'll have to experiment to get it right. Here are some things to try. Try removing excess whitespace. Try setting more element positions explicitely. (use fixed sizes in tables, put size parameters for pictures etc). Try simplifying your tables, (less column and row spans). Use sub tables instead. Try setting fonts explicitely. Try removing fussy aspects of your design, or replace cut up pictures with single pictures. If you have Dreamweaver and Frontpage, try loading the file into Dreamweaver and using the "strip microsoft' command.
There are many useful sources of correct html syntax. The official reference is this site : http://www.w3c.org/

My html background image doesn't show through the movie, even though I chose transparent
Transparency is only supported by Microsoft Internet Explorer 5 onwards. It will not work in Netscape Communicator, Mozilla, or Microsoft Internet Explorer 3, or 4.

My browser crashes (or more commonly, my clients browser crashes!)
Cause: Predominantly the browser that crashes is Netscape 4.7 or Netscape 4.71. This browser was shipped originally with a buggy flash player. Its suffers from both random lockups, and instant lockups when presented with certain version flash files.
Remedy: Downloading and Installing the Flash 5 player will generally solve this problem. For best results, its worth updating the Netsape 4.7 browser as well. The Flash 5 player can be located at http://www.macromedia.com/ and later versions of Netscape Communicator 4.7 can be located at http://www.netscape.com/
Cause: The .swf file is corrupted on the web server.
Remedy: Re-export and re-upload your movie.

Reference material : Explanation of the html tags.
SWiSH is primarily concerned about creating .swf files. Thus the HTML creation facilities are automated and limited. If you want or need finer control over how your SWiSH created animation appears on your website, you may need to edit the tags concerned (either with a text editor such as notepad, or a html editor such as Frontpage or Dreamweaver).
There are 3 types of tags. Object and Parameter tags, and the embed tag.
Object and Parameter tags are generally used by the Microsoft Explorer browser to display .swf files.

<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://active.macromedia.com/flash2/cabs/swflash.cab#version=4,0,0,0" id="Movie1" width="400" height="300">

the object tag, tells the browser were to find a downloadable player if one is not installed already. If you want the movie to fill the browser window, set the width to "100%" and height to "100%"
<param name="movie" value="Movie1.swf">
the above param tag tells the browser which .swf file to play
<param name="quality" value="high">
this parameter controls the playback quality. Set it to low or auto-low if you are having problems with anti-aliased text
<param name="bgcolor" value="#FFFFFF">
this tag controls the background colour of the movie. It overrides any settings in the movie itself. If your movies background doesn't match your html body background colour, (when you meant it to), this tag is always the cause.
<embed name="Movie1" src="Movie1.swf" quality="high" bgcolor="#FFFFFF" width="400" height="300" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash">
The embed tag does everything that the object and parameter tags do for IE, in one tag for the Netscape browser. Note that it is usually within the Object tag. (most versions of IE understand both embed and object, so if you don't put the embed inside the object tag, you'll get 2 movies in IE and one movie in Netscape). The properties work the same as the individual parameter tags do for IE. The most important thing to note, if you change a param tag for IE, you must make the same change to the corresponding embed tag property to retain consistent results across both browser types.
</embed>
</object>
these tags close the embed and object tags. The object tag is always after or below the embed tag. (the embed tag is contained completely within the object tag).

[Previous] [Main]


Alpha

 The Alpha value controls the transparency or opacity of an object. The greater the alpha value the more opaque it appears (i.e. 100% is solid). The smaller the alpha value the more transparent it appears (i.e. 0% is invisible).


Character

 A character is a single element of a Complex Object. An example of a character is a letter in a text object. Characters are also known as components.


Component

 A component is a single element of a complex object. An example of a component is a letter in a text object. Components are also known as characters.


Context Sensitive Help Definition

 Context-sensitive help provides documentation about the particular feature that you are in the process of using.


.topic 100
The File Menu enables you to work with .swf files and Movies as a whole.

The available options are as follows:

Manage .swi files
  New
  Open...
  Save
Save As...

Create a new application window
New Window

External files and testing
Samples
Import...
Export
Test

Recent files
Recent Files

Closing windows and exiting
Close
Exit.

.topic 101
  File | New (Ctrl+N)
Creates a new SWiSH Movie. If you already have a Movie open, SWiSH will ask you if you want to save it before closing the current Movie and creating a new one.

.topic 102
  File | Open... (Ctrl+O)
Opens a .swi (SWiSH Movie) file.

You can also use File | Open to create a new SWiSH Movie into which the file you specify imported.  To do this, choose a file with a type and extension that is supported by File | Import.

Note:
SWiSH cannot open .fla files because it is not a public format
If you want to open an existing .swf file and do not have the corresponding .swi file, use File | Import to import it into the current Movie

.topic 103
  File | Save (Ctrl+S)
Saves the current SWiSH Movie. If it is a new Movie, SWiSH will ask you for a name. There is no need to type in the .swi extension.

.topic 104
File | Save As...
Saves the current SWiSH Movie under a new name. There is no need to type in the .swi extension.

.topic 105
File | New Window (Ctrl+Shift+N)
Opens a new 'SWiSH application' window. You can create or edit different SWiSH Movies in different windows. This allows you to copy objects from one Movie and paste to another.

.topic 106
File | Samples
The Samples Menu contains a list of sample .swi Movies that demonstrate various features of SWiSH.

The following examples are included in the Samples folder to illustrate some of the potential of this new version of SWiSH. Others will be posted on www.swishzone.com in the future.

Snakes.swi
This example was produced by Roger Onslow to illustrate the many Effect variations possible using the Snake Effect in SWiSH v2. A study of the settings used in each of these variations will assist you in understanding what they do. It also includes, as a bonus, Scenes which demonstrate a Radarscope Effect, and a Spotlight Effect produced with a masked Sprite and three vector objects.

Pseudo3D.swi
This example, produced by Dawn Barrie, also shows some variations on the Snake Effect, but uses the gradient fill properties of vector objects to show how a pseudo 3D Effect can be produced. It also demonstrates an Explode Effect applied to a 'sheet of glass' (a group of vector shapes).

Ray of Light.swi
This example was also produced by Dawn Barrie, to illustrate the use of vector shapes and gradient fills to produce the Effect of light beaming out from, and sweeping across, the letters of a word.

Spritedemo.swi
This example was produced by David Petley to illustrate the use of masked Sprites. An inspection will show the use of Sprites within Sprites.

Actions.swi, Buttons.swi, First.swi
The Actions, Buttons and First samples are used in the tutorials.

Three other examples from SWiSH v1.5 are also included. They illustrate some basic techniques.

Promo.swi
The demonstrates how Text Effects, which include Squeeze, Scale and Wave are simply and effectively applied.

Preloader.swi
This is a basic preloader. SWiSH v2 provides more preload options than SWiSH v1.5, but this shows the basics.

Menu.swi
This example shows how easy it can be to apply Mouse Events to Text Objects and, although this only shows the Goto URL Action, there are many other Actions that can be applied.

.topic 107
File | Import...
Imports an external file into the current Scene. SWiSH currently supports the following formats:

Text
Plain text (*.txt)

Images (raster)
Windows Bitmap (*.bmp; *.dib)
GIF Image (*.gif)
JPEG Image (*.jpg; *.if, *.jpeg)
PNG Image (*.png)

Graphics (vector)
Windows Metafile (*.wmf)
Enhanced Metafile (*.emf)
Flash Graphics (*.swf)

Animation
Animated GIF (*.gif)
Flash Animation (*.swf)
Flash Projector (*.exe)

Note: When importing a Flash Animation (*.swf) file, SWiSH does not import any sounds, actions, morph shapes or external video streams, and all clipping (mask) settings are ignored.

Sound
Wave sounds (*.wav)
MP3 sounds (*.mp3)

Note: When importing a sound, SWiSH will add a Play Sound action that will play the sound to the current frame of the current scene or sprite.

Import Frames
The 'Import Frames' dialog box appears when you import an animation. With this dialog box, you can select the Frames you want to import.

Select All Frames button
To select all Frames in the Frame list.

Import background
The background rectangle will be imported if this option is checked.

Import as a Sprite
The selected Frames will be imported as a Sprite if this option is checked. Otherwise, the selected Frames will be imported as a group of pictures.

Masked
The imported sprite will be masked by the background rectangle if this option is checked.

Show File Information...
Displays the details of the file to be imported.

.topic 108
  File | Export | SWF... (Ctrl+E)
Exports the current SWiSH Movie to a .swf file. You can import the .swf file into Flash by choosing File | Import and selecting Files of Type: Flash Player (*.swf, *.spl) on the 'Flash Import' dialog box. See the tutorial on Importing a SWiSH Movie into Flash.

  File | Export | HTML... (Ctrl+P)
Creates an .htm and .swf file for uploading to your web site. Both the .htm and .swf files will have the name you enter on the 'Publish SWiSH Movie' dialog box.

Note: Once these files have been created, simply upload to your web server (using FTP or similar). That's it. No other files are necessary to play your SWiSH Movie over the internet

  File | Export | AVI... (Ctrl+D)
Exports SWiSH Movies in the .avi video format. Actions (except sounds), buttons and other interactive components are excluded.

Note: During the export process, the 'SWiSH main application' window will be minimized. The export process is done in two stages: capturing audio and recording data.
During capturing audio:
make sure your computer is not running a heavy process as this will affect the quality of the exported audio
Do not press the 'Cancel' button and then 'Continue' otherwise the exported audio might be out of synchrony

File | Export | HTML to Clipboard
Copies the HTML code for embedding the .swf file to the Clipboard. If you wish to insert your Flash Movie into an existing web page, just paste the code in the Clipboard into your existing web page. The HTML code does not include any scripting functions.

Note: You can export to a standalone projector .exe file.  Use File | Test | In Player.  Then you can select File | Create Projector from within the Flash Player.

.topic 109
 File | Test | In Player
Creates a temporary .swf file, launches the Flash Player and plays the current SWiSH Movie in the Flash Player.

Note: You must have the stand-alone Flash Player installed on your system and .swf files must be associated with the Flash Player

Note: You can also use this to create a stand-alone projector .exe file.  Use File | Test | In Player, then select File | Create Projector from within the Flash Player.

  File | Test | In Browser
Creates temporary .htm and .swf files, launches the default browser and displays the HTML page containing the Movie in the browser.

Note: You must have at least one browser associated with .htm files

File | Test | Report
Displays the details of the Movie to be exported.

.topic 110
Below the Test Menu item and above the Close Menu item, you will see a list of the four most recently used files. Select any of these Menu options to open the file.

.topic 111
File | Close (Ctrl+F4)
Closes the current SWiSH Movie. The 'application' window for the current SWiSH Movie will be closed, unless it is the only 'SWiSH application' window left open, in which case this has the same effect as File | New. File | Close will never shut down the last 'SWiSH application' window.

.topic 112
File | Exit
Exits the SWiSH application. All 'SWiSH' windows will be closed.

.topic 200
The Edit Menu enables you to make changes to a Movie.

The available options are as follows:

Undo or Redo changes
  Undo
  Redo

Copy, Paste and Delete Scene, object, Effects, etc.
  Cut
  Copy
  Paste
  Delete

Create an Instance of a selected Sprite
  Make Instance

For showing or hiding objects
Show
Hide
Show All States

Select all objects
Select All

Show the properties of an object, Effect, etc.
Properties.

.topic 201
  Edit | Undo (Ctrl+Z)
To Undo the last change made to the current SWiSH Movie. SWiSH supports unlimited Undo/Redo commands. Almost all changes can be undone.

.topic 202
  Edit | Redo (Ctrl+Y)
To Redo the last change made to the current SWiSH Movie. SWiSH supports unlimited Undo/Redo commands. Almost all changes can be redone.

.topic 203
  Edit | Cut (Ctrl+X)
Deletes the currently selected object or Effect and copies it to the Clipboard. If no Effect is selected the object will be copied.

.topic 204
  Edit | Copy (Ctrl+C)
Copies the currently selected object or Effect to the Clipboard. The selected object or Effect is not deleted. If no Effect is selected, the object will be copied.

.topic 205
  Edit | Paste (Ctrl+V)
Pastes the object or Effect in the Clipboard to the current SWiSH Movie. If an object is being pasted, it is added to the current Scene/Sprite/Button State/Group in the center of the Movie at the top of the stacking order. If an Effect is being pasted, it is inserted at the current Frame of the selected object.

.topic 206
  Edit | Delete (Delete)
Deletes the currently selected object or Effect.

.topic 207
  Edit | Make Instance
Creates an Instance of the selected Sprite. An Instance is a clone of a reference Sprite. The contents of the Instance and its reference Sprite are always consistent. Making changes to the Instance will also change the reference Sprite and vice versa.

Note: The selected Sprite must have a name or must itself be an instance of another Sprite

.topic 208
Edit | Show
Shows the selected object(s).

.topic 209
Edit | Hide
Hides the selected object(s). However, hidden objects will still appear when the Movie is played.

.topic 210
Edit | Show All States
Shows all states (Up, Over, Down and Hit) of a button translucently, to help you position and edit the objects in those states. The state you have selected will appear darker.

.topic 211
Edit | Select All (Ctrl+A)
Selects all objects in the current Scene.

.topic 212
Edit | Properties (Alt+Enter)
Displays the properties of the selected object or tool in Object Panel.

.topic 300
The View Menu enables you to show and hide windows and change the view of the Movie.

The available options are as follows:

Preview Frame mode
  Preview Frame

Toolbars and Status Bar and Ruler
Toolbars
Status bar
  Rulers

Zooming
  Zoom in
  Zoom out
  View at 100%
  Fit Scene in Window
Fit Objects in Window

Grids and snapping
  Show Grid
  Snap to Grid
  Snap to Object Handles.

Display quality
Show All Images
Smooth Edges and Images

.topic 301
  View | Preview Frame
'Preview Frame' mode previews the current Frame in the Layout Panel.

In Preview Frame Mode, you can move, scale, rotate and skew objects in Keyframes using Select/Scale tool   and Rotate/Skew tool  .

See the Preview Frame Mode tutorial for more information.

.topic 302
View | Toolbars
Shows or hides a specific Toolbar. See the Toolbars topic for a list of Toolbars.

.topic 303
View | Status Bar
Shows or hides the Status Bar.

The Status Bar is at the bottom of the SWiSH v2 window and is used to display Help for the selected command or tool. The Status Bar also displays the estimated file size of the exported .swf file.

Note: The actual file size of the export .swf may be smaller depending on the optimizations selected on the Export Panel.

.topic 304
  View | Rulers
Shows or hides Rulers in the Layout Panel.

.topic 305
  View | Zoom In
To increase the zoom factor of the Layout Panel, such that the Movie is displayed 50% larger than its previous size.

.topic 306
  View | Zoom Out
To decrease the zoom factor of the Layout Panel, such that the Movie is displayed at two-thirds its previous size.

.topic 307
View | View at 100%
Views the Movie at its actual size in the Layout Panel.

.topic 308
View | Fit Scene in Window
To fit the entire Scene (stage area) into the Layout Panel.

.topic 309
View | Fit Objects in Window
To fit all selected objects into the Layout Panel. If no object is selected, fit all objects in the Scene into the Layout Panel.

.topic 310
  View | Show Grid
Displays or hides the Grid on the Layout Panel. The Grid is a network of evenly spaced horizontal and vertical lines that cover the canvas. It can help you to align your artwork and arrange objects symmetrically. You can change the Grid settings on the Movie Panel.

.topic 311
  View | Snap to Grid
Have objects Snap to the Grid while moving or editing. It will automatically align objects along your Grid when they come within a certain distance of it. You can change the Grid settings on the Movie Panel.

.topic 312
  View | Snap to Object Handles
To have an object Snap to another object's handles while moving or editing. You can change the settings on the Movie Panel.

.topic 400
The Insert Menu enables you to add things to the Movie.

The available options are as follows:

Add Scenes
  Scene

Add objects
  Text
  Button
  Sprite
  Image...
  Content...
  Instance...

Effects and interactivity
Effect
Event
Action

Frames
Insert Frame
Delete Frame.

.topic 401
  Insert | Scene
Inserts a new Scene into the Movie.

.topic 402
  Insert | Text
Inserts text into the current Scene/Sprite/Group. You can edit the text in the Text Panel.

.topic 403
  Insert | Button
Inserts a button into the current Scene/Sprite/Group.

.topic 404
  Insert | Sprite
Inserts a Sprite into the current Scene/Sprite/Group.

.topic 405
  Insert | Image...
Inserts an image from an external file into the current Scene/Sprite/Group.

SWiSH currently supports the following image formats:
Windows Bitmap (*.bmp; *.dib)
GIF Image (*.gif)
JPEG Image (*.jpg; *.jif, *.jpeg)
PNG Image (*.png).

.topic 406
  Insert | Content...
Inserts an external file into the current Scene/Sprite/Group.

This is the same as the File | Import command.

.topic 407
  Insert | Instance...
Inserts an Instance of a specific Sprite into the current Scene/Sprite/Group.

An Instance is a clone of a reference Sprite. The contents of the Instance and its reference Sprite are always consistent. Making changes to the Instance will also change the reference Sprite and vice versa.

.topic 408
Insert | Effect
Inserts an Effect to the selected object at the current Frame. The Submenu has a list of the available Effects.  Some of the effects have a further sub-menu where you can select the basic effect, or one of the preset effects you have recently used (saved or loaded).

.topic 409
Insert | Event
Adds a Mouse Event to the selected object or add a Frame Event to the current Frame. The Event can be edited in the Actions Panel.

.topic 410
Insert | Action
Adds an Action to the current Event handler of the selected object or the current Frame. The Action can be edited in the Actions Panel.

Note:
If the selected object does not have any mouse Events, an On Release mouse Event will be added before inserting the Action
If the current Frame does not have a Frame Event, an At Frame Event will be added before inserting the Action

.topic 411
Insert | Insert Frame (F5)
Inserts a new Frame before the current Frame in the Timeline.

.topic 412
Insert | Delete Frame (Shift+F5)
Deletes the current Frame from the Timeline.

.topic 500
The Modify Menu enables you to change the properties of the currently selected object(s).

The available Submenus are as follows:

Grouping and Convert
Grouping
Convert

Change layer and Transform
Order
Transform

Change text objects
Alignment
Justification
Appearance.

.topic 501
  Modify | Grouping | Group (Ctrl+G)
To Group selected objects together. Complex Effects can then be applied to the Group.

Note: Because a Group does not have its own Timeline, SWiSH converts any objects with Effects into Sprites before grouping

  Modify | Grouping | Group as Sprite
Groups the selected objects together as a Sprite.

  Modify | Grouping | Group as Shape
Groups the selected objects together as a single shape.

Note:
If you want to use multiple Text or Shape Objects as a mask, you should group them as a shape

Objects with Effects/Events cannot be grouped as a single shape, as you will lose the Effects and Events. You should manually remove these before grouping if desired

After grouping as a single shape, the overlapped regions of objects with the same fill style will become empty. You can use this feature to punch a hole in a shape as shown below

If you use the merged shape as a mask, any overlapping regions will be empty (see below left). If you want the overlapping regions to be filled, then check the 'Solid shape with overlap filled' option in the Shape Panel (see below right). If you use this setting on a shape that is not being used as a mask, then the shape will always have a solid fill with no outline, regardless of the fill and line styles specified

After grouping as a single shape, the edges of the object behind are no longer covered by the object in front, as shown below

  Modify | Grouping | Ungroup (Ctrl+U)
Splits a Group or Sprite into separate objects.

.topic 502
  Modify | Convert | Convert to Button
Converts the selected objects into individual Buttons.

  Modify | Convert | Convert to Sprite
Converts the selected object into individual Sprites.

  Modify | Convert | Convert to Shapes
Converts the selected objects into Groups of shapes.

Note: The text is converted into shapes according to the text object's Text as shapes setting in the Export Panel

Disabled/Colored+Scaled: SWiSH generates separate shape definitions for each combination of font size or color. Different characters will be represented by the different shapes without using any scale and color Transform
Colored: SWiSH generates separate shape definitions for each color, regardless of the font size. The characters which are only different in scale will be represented by the same shape definition but using different scale Transforms
Normalized: Text is converted into shapes. SWiSH generates a single set of shape definitions for each letter, regardless of the font size of color. Characters that are only different in scale and color will be represented by the same shape definition, but using different scale and color Transforms

  Modify | Convert | Convert to Letters
Converts the selected Text Objects into Groups of letters.

.topic 503
  Modify | Order | Bring to Front
Moves the selected object in front of all other objects.

  Modify | Order | Send to Back
Moves the selected object behind all other objects.

  Modify | Order | Bring Forward
Moves the selected object one step closer to the top of the stack of objects.

  Modify | Order | Send Backward
Moves the selected object one step closer to the bottom of the stack of objects.

.topic 504
Modify | Transform | Rotate 90
Rotates the selected object by 90 degrees.

Modify | Transform | Rotate 180
Rotates the selected object by 180 degrees.

Modify | Transform | Rotate 270
Rotates the selected object by 270 degrees.

Modify | Transform | Flip Horizontal
Flips the selected object horizontally.

Modify | Transform | Flip Vertical
Flips the selected object vertically.

Modify | Transform | Reset
Resets the Transform to default settings, except for position.

.topic 505
Alignment specifies what you mean by the 'position' of the object. For example, when you talk about the position of the object, you may be referring to where the center of the object is. The alignment position can be one of nine preset positions on the corners, edges and center of the object. The alignment position is also the center for rotation and scaling of the object. You can see the co-ordinates of the alignment position in the 'Transform' Panel.

Modify | Alignment | Top Left
Sets the alignment position to be at the top left of the object.

Modify | Alignment | Top Center
Sets the alignment position to be at the top center of the object.

Modify | Alignment | Top Right
Sets the alignment position to be at the top right of the object.

Modify | Alignment | Center Left
Sets the alignment position to be at the center left of the object.

Modify | Alignment | Center
Sets the alignment position to be at the center of the object.

Modify | Alignment | Center Right
Sets the alignment position to be at the center right of the object.

Modify | Alignment | Bottom Left
Sets the alignment position to be at the bottom left of the object.

Modify | Alignment | Bottom Center
Sets the alignment position to be at the bottom center of the object.

Modify | Alignment | Bottom Right
Sets the alignment position to be at the bottom right of the object.

.topic 506
Modify | Justification | Align Left/Top
Aligns the lines of the selected text to the left/top with ragged right/bottom edge.

Modify | Justification | Center
Centers the lines of the selected text with ragged right and left edges.

Modify | Justification | Align Right/Bottom
Aligns the lines of the selected text to the right/bottom with ragged left/top edge.

Modify | Justification | Align Full
Aligns the lines of the selected text on both sides.

.topic 507
Modify | Appearance | Bold (Ctrl+B)
Makes the selected text bold (toggle).

Modify | Appearance | Italic (Ctrl+I)
Makes the selected text italic (toggle).

Modify | Appearance | LR-TB Flow
Displays the selected text from left to right, top to bottom.

Modify | Appearance | TB-RL Flow
Displays the selected text from top to bottom, right to left.

Modify | Appearance | RL-TB Flow
Displays the selected text from right to left, top to bottom.

Modify | Appearance | TB-LR Flow
Displays the selected text from top to bottom, left to right.

.topic 600
The Control Menu enables you to control how the Movie is played and previewed.

The available options are as follows:

Play
  Play Movie
  Play Scene
  Play Effect
  Preview Frame

Stop
  Stop

Move the play head
  Step Forward
  Step Back
  Cue to End
  Rewind to Start.

.topic 601
  Control | Play Movie
Plays the Movie.

.topic 602
  Control | Play Scene
Plays the current Scene only.

.topic 603
  Control | Play Effect
Plays the part of the Scene containing the currently selected Effects.

.topic 604
  Control | Preview Frame
Switches to 'Preview Frame' mode to preview the current Frame in the 'Layout' window. In 'Preview Frame' mode, you can move, scale, rotate and skew objects in Keyframes using Select/Scale tool   and Rotate/Skew tool  .

See the Preview Frame Mode tutorial for more information.

.topic 605
  Control | Stop
Stops playing the Movie, Scene or Effect.

.topic 606
  Control | Step Forward
Steps forward to the next Frame in 'Preview Frame' mode.

.topic 607
  Control | Step Back
Steps back to the previous Frame in 'Preview Frame' mode.

.topic 608
  Control | Cue to End
Jumps to the last Frame in 'Preview Frame' mode.

.topic 609
  Control | Rewind to Start
Rewinds to the first Frame in 'Preview Frame' mode.

.topic 700
The Tools Menu enables you to set application-wide preferences and add your own commands to the SWiSH User Interface.

The available options are as follows:
Preferences
Customize
Keyboard Map.

You can add additional options to the Tools Menu by selecting the Customize option, and then choosing the Tools tab.

.topic 701
Tools | Preferences
Opens 'Preferences' dialog boxes for setting options in SWiSH.

Show Formatting
Shows the color and font of text objects in the Outline, Timeline and Text Panels.

Color Selector
Converts the selected color to the nearest websafe color. This may be a color selected from the Color Selector, the screen or the Windows Color picker.

Background
Sets the background color of the window for areas outside the Movie in the Layout Panel, and empty space in the Timeline Panel.  This uses the Color Selector. Change this setting if you have difficulty seeing window outlines when you drag a Panel, or if your Movie background is the same color as the workspace area.

Load Movie from Folder
Sets the folder to look in for .swf files when a Load Movie action is executed while previewing in SWiSH or testing in the player or browser.  You can choose to use either:
the folder where you last loaded or saved a .swi file
the folder where you last exported a .swf file
the folder where you last exported a .html file
a folder of your choice.

.topic 702
Tools | Customize...
Opens a dialog box to customize the Toolbars and Menus.

The available options are as follows:
Commands Tab: to add/remove a command to/from a Toolbar
Toolbars Tab: to show/hide a Toolbar or add/rename/delete a custom Toolbar
Tools Tab: to add/edit/remove an external command to/in/from the Tools Menu
Keyboard Tab: to add/remove a shortcut key to/from a command
Menu Tab: to add/remove a command to/from a Menu
Options Tab: to configure the 'look' of Menus and Toolbars.

.topic 703

To add a command to a Toolbar
1.	Select a Menu in the 'Categories' box
2.	Drag the command you want from the 'Commands' box to the displayed Toolbar.

To remove a command from a Toolbar
Simply drag the icon off the Toolbar.

.topic 704

To show/hide a Toolbar
1.	Select an option from the 'Toolbars' box
2.	Tick/Untick the check box to show/hide the selected Toolbar.

To add a custom Toolbar
1.	Click the 'New...' button, and in the 'Toolbar Name' box, type a name for the new Toolbar
2.	Click the Commands tab
3.	In the 'Categories' box, click the category that contains the command that you want to add to the new Toolbar
4.	From the 'Commands' options, drag the command to the new Toolbar.

To rename a custom Toolbar
1.	In the 'Toolbars' box, click the Toolbar you want to rename
2.	Click the 'Rename...' button and type the new name in the 'Toolbar Name' box.

To delete a custom Toolbar
1.	In the 'Toolbars box', click the Toolbar you want to delete
2.	Click the 'Delete' button.

To reset a Toolbar to the default settings
1.	In the 'Toolbars' box, click on the Toolbar you want to reset
2.	Click the 'Reset' button.

To reset all Toolbars to the default settings
Click the 'Reset All' button.

To display text labels on Toolbars
1.	In the 'Toolbars' box, click the Toolbar you want the text labels be displayed on
2.	Check the 'Show text labels' checkbox.

.topic 705

To add a command to the Tools Menu
1.	Click the   'New' button or double-click the blank area of the 'Menu contents' box
2.	Type the name of the tool as you want it to appear on the Tools Menu. To specify a letter in the Menu title as an access key, precede that letter in the 'Menu contents' box with an ampersand (@). The first letter in the title is the keyboard access key by default
3.	Highlight the name of the tool you just entered in the 'Menu contents' box
4.	In the 'Command' box, browse using the   'Browse' button or type the path and name of the program
5.	In the 'Arguments' text box, browse or type any arguments to be passed to the program
6.	In the 'Initial directory' box, type the file directory where the command is located.

To remove a command from the Tools Menu
1.	In the 'Menu contents' box, select the command you want to delete
2.	Click the   'Delete' button or press the Delete key.

To edit a command in the Tools Menu
1.	In the 'Menu contents' box, select the command you want to edit
2.	To move the command up/down one position in the Menu, click the   'Move Up' or   'Move Down' buttons, respectively. To change the Menu text, 'Command' line (tool path and file name), command-line 'Arguments', or the 'Initial directory', type the new information in the appropriate text box.

.topic 706

To assign a shortcut key
1.	In the 'Category' list, select the Menu that contains the command that you wish to assign a shortcut key
2.	In the 'Commands' list, select the command that you wish to assign a shortcut key
3.	In the 'Press New Shortcut Key' box, press the shortcut key or key combination that you want and click the 'Assign' button. If you press a key or key combination that is currently assigned to another command, an 'Assigned To' section will appear under the 'Press New Shortcut Key' box.

To delete a shortcut key
1.	In the 'Category' list, select the Menu that contains the command you wish to delete the shortcut key to
2.	From the 'Commands' list, select the command you wish to delete the shortcut key to and click the 'Remove' button.

To reset all shortcut keys to their default values
Click the 'Reset All' button.

.topic 707

To add a command to an Application Frame Menu
1.	Use the 'Show Menus for' drop-down list to select the Menu you want to customize
2.	Click the Commands tab and drag the commands into the Menu.

Note: To remove items, just drag them off the Menu

To reset the Menus to their original configuration
Click the 'Reset' button.

To add a command to a context Menu
1.	Use the 'Select context menu' drop-down list to select the pop-up Menu you want to customize
2.	Click the Commands tab and drag the commands into the Menu.

Note: To remove items from the pop-up Menu, just drag them off

To select the type of Menu animations
Use the 'Menu animations' drop-down list to select the type of Menu animations. The available options are None, Unfold, Slide and Fade.

To display shadows under open Menus
Tick the 'Menu shadows' checkbox.

.topic 708

Show ScreenTips on Toolbars
Select the 'Show ScreenTips on toolbars' checkbox to display short help text when mouse pointer is positioned over a 'Toolbar' button.

Show shortcut keys in ScreenTips
Select the 'Show shortcut keys in ScreenTips' checkbox to see the possible keyboard shortcut displayed in addition to the short help text.

Large Icons
Select the 'Large Icons' checkbox to display big Toolbar icons.

Look 2000
Select the 'Look 2000' checkbox to enable Windows-2000-style features in the User Interface. This option has only minimal effects, mainly affecting the style of toolbar handles.

Menus show recently used commands first
Select the 'Menus show recently used commands first' checkbox to show only basic and frequently used commands on Menus.

Show full Menus after a short delay
Select the 'Show full menus after a short delay' checkbox to show all commands on the Menu after you rest the mouse pointer over the open Menu for a brief period of time.

Reset my usage data
Click the 'Reset my usage data' button to clear the list of recently used commands saved by SWiSH.

.topic 709
Tools | Keyboard Map
Displays a map of the current keyboard shortcuts and a brief description of functions.
You can modify your keyboard shortcuts at the Keyboard tab on the Customize dialog box.

.topic 800
Panel | Layout
Shows or hides the Layout Panel.

Panel | Timeline
Shows or hides the Timeline Panel.

Panel | Outline
Shows or hides the Outline Panel.

Panel | Movie
Shows or hides the Movie Panel.

Panel | Object
Shows or hides the Object Panel.

Panel | Actions
Shows or hides the Actions Panel.

Panel | Transform
Shows or hides the Transform Panel.

Panel | Color
Shows or hides the Color Panel.

Panel | Export
Shows or hides the Export Panel.

Panel | Reset to Defaults
Resets all panels to their default position.

.topic 900
  Help | SWiSH Help Topics
Opens the SWiSH Help file and lists help topics.

Help | SWiSH Tutorials
Opens the SWiSH Help file and shows a list of tutorials.

Help | Go to SWiSH web site
Launches the browser and goes to the SWiSH web site at http://www.swishzone.com.

Help | Go to SWiSH Support Forums
Launches the browser and goes to the SWiSH support forums at http://www.swishzone.com/support_forums.html.

Help | About Macromedia Flash
Launches the browser and goes to the Flash Player web site.

Help | About LAME MP3 Encoder
Displays information about the LAME MP3 encoder.

Help | Purchase SWiSH...
To purchase a copy of SWiSH.

  Help | About SWiSH...
Displays application information, version number and copyright information.

.topic 313
  Select / Scale
Selects, moves and scales objects on the stage by clicking and dragging.

To Select objects
Click on the object. The selected object has eight resize handles.

Note:
To select multiple objects, press and hold Shift key while clicking, or drag the cursor to select surrounded objects (marquee selection)
To toggle the selection status of an object, press and hold the control key down while clicking
Double-click the object to display its properties in Object Panel

To move objects
1.	Press and hold the left mouse button on the object
2.	Drag the object to the new position and release the mouse

To Scale objects
1.	Press and hold the left mouse button on a resize handle
2.	Drag the handle to the new position and release the mouse

Note: To maintain the aspect ratio of the object, press and hold Shift key while dragging

To move/Transform an object at a Keyframe
1.	Click on the object
2.	Click on either the Timeline Ruler   or the 'Preview Frame' button   to enter Preview Frame mode. The Motion Path of the object will be displayed in 'Preview Frame' mode
3.	Click on a Keyframe handle. Follow the same procedures mentioned above to move/Transform the object at the Keyframe

Note: In 'Preview Frame' mode, double-clicking on the Scene's background in the 'Layout' window will add a Move Effect to the selected object. A Motion Path is added from the object's current position to the position double-click occurred

.topic 314
  Rotate / Skew
Selects, moves, rotates or skews objects on the stage by clicking and dragging.

To select objects
Click on the object. The selected object comes with four rotation handles on the corners and four skew handles on the edges of its bounding rectangle.

Note:
To select multiple objects, press and hold SHIFT key while clicking
To toggle the selection status of an object, press and hold the Control key while clicking
Double-click on the object to display its properties in Object Panel

To move objects
1.	Press and hold the left mouse button on the object
2.	Drag the object to the new position and release the mouse

To copy objects
1.	Press and hold the left mouse button on the object while holding the Control key
2.	Drag a copy of the object to the new position and release the mouse and the Control key

To Rotate/Skew objects
1.	Press and hold the left mouse button on a rotation/skew handle
2.	Drag the handle to the new angle and release the mouse

Note:
To constrain the rotation/skew angle to multiples of 15°, press and hold Shift key while dragging
To round the rotation/skew angle to an integer, press and hold Control key while dragging
To change the point about which the object rotates, change the alignment using the Transform Panel or the Alignment submenu of the Modify Menu

To Rotate/Skew an object at a Keyframe
1.	Click on the object
2.	Either click on the Timeline ruler   or the 'Preview Frame' button   to enter Preview Frame mode. The Motion Path of the object will be displayed in 'Preview Frame' mode
3.	Click on a Keyframe handle. Follow the same procedures mentioned above to rotate/skew the object at the Keyframe

Note: In 'Preview Frame' mode, double-clicking on the Scene's background in the 'Layout' window will add a Move Effect to the selected object. A Motion Path from the object's current position to the position where the double-click occurred is added

.topic 315
  Reshape
Reshapes graphic objects by clicking and dragging.

To Select an object
Click on the object. The vertices of the selected object are indicated by square anchors, and the control points by circular anchors. Vertex anchors are always on the curve, whereas control-point anchors are usually off the curve. There are either zero, one or two control points associated with each edge, and these affect the curvature of the edge. The control points are shown joined to the adjacent vertices by a dotted line.

To move the whole object
1.	Press and hold the left mouse button inside the object, but not on any vertex or control-point anchor
2.	Drag the object to the new position and release the mouse

To Reshape objects by dragging an anchor
1.	Press and hold the left mouse button on a vertex or control-point anchor
2.	Drag the anchor to the new position and release the mouse

Note: To constrain the direction from the original position to the new position to multiples of 15°, press and hold the Shift key while dragging

To Reshape objects by dragging an edge
1.	Press and hold the left mouse button on an edge
2.	Drag the edge to the new position and release the mouse

Note: To constrain the direction from the original position to the new position to multiples of 15°, press and hold Shift key while dragging

To delete or change the type of a vertex anchor
1.	Move mouse pointer to the vertex anchor
2.	Right-click and select the command from the pop-up Menu

Cusp: lets you adjust the adjacent control points independently. When the vertex is a cusp, the edges are still curved, but the corner is not smooth
Smooth: the adjacent control points are always in the same direction, but can be different distances from the vertex. The corner at the vertex is smooth
Symmetrical: the adjacent control points are always in the same direction and are both the same distance from the vertex
Sharpen: the edges on either side of the vertex are made straight, thereby removing the associated control points. This makes the corner sharp
Remove Anchor: removes the vertex anchor completely

To change the type of an edge, or insert a vertex
1.	Move mouse pointer to the edge
2.	Right click and select the command from the pop-up Menu

Linear edge: the edge is straight and does not have any control points
Quadratic edge: the edge is curved and has one control point
Cubic edge: the edge is curved and has two control points
Insert Anchor: adds a new vertex anchor at the mouse position

To Reshape an object in Preview Frame mode
In 'Preview Frame' mode, if you reshape an object at a Keyframe, the change is not only applied to the current Frame. The shape of the object in all other Frames will be changed as well.

.topic 316
  Motion Path
Plots a Motion Path for the selected object by clicking and dragging.

To draw a Motion Path for an object
1.	Select the object

2.	Click at the new position where the object will be displayed for the next Keyframe. In this step, a new Move Effect will be added into the object's Timeline automatically

3.	Repeat step 2 to add more Move Effects

Note:
To constrain the direction from the current position to the new position to multiples of 15°, press and hold the Shift key while clicking
To draw a sharp corner path for the next Keyframe, press and hold the Control key while clicking

.topic 317
  Fill Transform
Transforms an object's gradient or image fill without transforming the object.

To Move/Scale the filled gradient or image
1.	Ensure the 'Fill Transform' tool is selected
2.	Select the object with the 'Select/Scale' tool. The resize handles of the filled gradient or image will be displayed

3.	Follow the same procedures mentioned in Select/Scale tool to move/scale the filled gradient or image

To Rotate/Skew the filled gradient or image
1.	Ensure the 'Fill Transform' tool is selected
2.	Select the object with 'Rotate/Skew' tool. The rotation/skew handles of the filled gradient or image will be displayed

3.	Follow the same procedures mentioned in Rotate/Skew tool to rotate/skew the filled gradient or image

.topic 318
  Line
Draws a line.

To draw a Line
1.	Position the mouse pointer to where you want the line to begin
2.	Press and hold the left mouse button
3.	Drag the mouse pointer to where you want to end the line, and release the mouse

Note: To constrain the line direction to multiples of 15°, press and hold the Shift key while dragging

.topic 319
  Pencil
Draws a freehand line object.

To draw a freehand line
1.	Position the mouse pointer to where you want the line to begin
2.	Press and hold the left mouse button
3.	Drag the mouse pointer on the path you want the line to take
4.	Release the mouse button to end the drawing

Note: To draw a closed shape, release the mouse button at the starting point

.topic 320
  Bezier
Draws a set of connected Bezier curves or line segments.

To draw a set of connected Bezier curves
1.	Position the mouse pointer to where you want the curve to begin
2.	Press and hold the left mouse button to place the on-curve anchor
3.	Drag the mouse pointer in the tangent direction of the curve to be drawn
4.	Release the mouse button to place the off-curve anchors
5.	Repeat steps 1-4 to draw additional curves
6.	Double-click left mouse button to end the drawing

Note:
To constrain the tangent direction to multiples of 15°, press and hold the Shift key while dragging
To draw a closed shape, double-click the left mouse button at the starting point on completion of the drawing

To draw a set of connected line segments
1.	Press and release the left mouse button at the position you want the line segment to begin
2.	Continue pressing and releasing the left mouse button at the position you want to end the current line segment and begin the next line segment
3.	Double-click left mouse button to end the drawing

Note:
To constrain the direction of the line segment to multiples of 15°, press and hold the Shift key while moving the mouse pointer
To draw a polygon, double-click the left mouse button at the starting point on completion of the drawing

.topic 321
  Rectangle
Draws a rectangle or square.

To draw a Rectangle
1.	Press and hold the left mouse button down (or click and release) at the position you wish to draw a corner of the rectangle
2.	Drag the pointer diagonally to adjust the size of the rectangle
3.	Release the mouse button (or click and release) to end the drawing

Note: To draw a square, press and hold the Shift key while dragging

To draw a Rectangle with rounded corners
1.	Press and release the left mouse button at the position you wish to draw a corner of the rectangle
2.	Move the mouse pointer diagonally adjust the size of the rectangle
3.	Press and hold the left mouse button to finish positioning the other corner of the rectangle
4.	Drag the mouse pointer back into the rectangle to adjust the rounded edge of the corners
5.	Release the mouse button to end the drawing

Note:
To draw a rounded square, press and hold the Shift key while drawing with the 'rectangle' tool
To constrain the rounded corners of squares to circles, press and hold the Shift key while adjusting the rounded edge of the corners
To constrain the rounded corners of rectangles to ellipses, press and hold the Shift key while adjusting the rounded edge of the corners

.topic 322
  Ellipse
Draws an ellipse or circle.

To draw an Ellipse
1.	Press and hold the left mouse button where you wish to position the ellipse
2.	Drag the mouse pointer diagonally to adjusting the size of the ellipse
3.	Release the mouse button to end the drawing

Note: To draw a circle, press and hold the Shift key while drawing with the 'Ellipse' tool

.topic 323
  Zoom
Zooms in/out of the workspace in the Layout Panel using the mouse.

To Zoom in/out
Click the left mouse button at the position you want to zoom in on.

Note: To zoom out, press and hold the Shift key

To Zoom to an area
1.	Press and hold the left mouse button at one corner of the area
2.	Drag the mouse pointer diagonally to position the other corner of the area
3.	Release the mouse button to zoom in

.topic 324
  Pan
Pans around the workspace in the Layout Panel by clicking and dragging.

To Pan the Layout Panel
1.	Press and hold the left mouse button on the workspace
2.	Drag the mouse to pan the 'Layout' window
3.	Release the mouse button to finish panning

.topic 325
The Zoom Controls are fixed to the bottom-left corner of the Layout Panel. The zoom controls allow you to quickly adjust the scale of the workspace.

  Zoom Menu
Displays a pop-up Menu of common zoom factors (25%, 33%, 50%, 66%, 75%, 100%, 150%, 200%, 300%, 400%, 500%)

  Fit Scene In Window
Fits the entire Scene (stage area) into the 'Layout' window.

  View at 100%
Views the Movie at its actual size.

  Zoom In
Zooms in on the stage by a factor of 1.5.

  Zoom Out
Zooms out on the stage by a factor of 2/3.

.topic 999
This chapter gives worked examples of how you can use SWiSH.

Creating Your First SWiSH Movie takes you through the basic steps of creating a simple Movie. It also covers sound, interactivity, preloaders and preparing your Movie for the web
Using Actions to Control your Movie is a short example of how to use Events and Actions. The Creating Your First SWiSH Movie tutorial also has topics covering this area
How to make an Animated Button explains how to make a button that animates when you move the mouse over the button
Using SWiSH with other programs shows you how you can use you .swf Movie with other applications, namely Flash, Dreamweaver, FrontPage and Powerpoint


Demonstration Link

 Demonstration Link.

Press Back to return to previous page.


Frame Preview Mode Definition

 'Preview Frame' mode previews how the Movie will look at the current Frame. If the current Frame is a 'Keyframe' at the end of an Effect, you can use the resizing handles to visually position/scale/rotate the object at that Frame.

More information about the 'Preview Frame' mode can be found in the Tutorial.


Kerning

 To adjust the space between characters in typeset text.


Leading

 Leading is the vertical distance between lines in a Text Object.


Mask Definition

 The outline of an object becomes the window through which other objects are viewed. Sprites can be viewed through a mask which is defined by the bottom-most object.

See the Sprite Panel for more information.


Orientation

 The orientation of an object is the direction it faces.


Perspective

 Perspective Projection is a technique for depicting the illusion of three dimensions on a two-dimensional image plane. The farther objects are from the camera, the smaller they display on the image plane.


SWF Definition

 SWF files are Shockwave Flash files. SWF is a file format used by Macromedia to deliver graphics, animation and sound over the Internet.

See SWF Files for more information


SWI Definition

 SWI files are SWiSH working files. These files need to be exported to SWF format for web display.


The Reference Position

 This is the default position of an object. A slide-in Effect will slide to this position. A slide-out Effect will slide from this position. Otherwise this is the initial position of the object.


 The Timeline shows the Effects that are applied to various objects within a Scene or Sprite. It is used to view the timing of various Effects within a Scene or Sprite. Sprites have Timelines independent of the Scene Timeline. The time interval is based on a single Frame. The first Frame is shown on the left, subsequent Frames appear to the right.

See Timeline and Frames and Timeline Panel for additional information.


View Vector

 View Vector is the direction the view point or camera is pointing relative to a 3D world. Also known as the Look-At Vector.


Zoom Factor

 Zoom Factor is directly proportional to the magnification of the Scene being viewed.